2008-03-04  Eric Blake  <ebb9@byu.net>

	Fix strtod("nan()", ptr).
	* libc/stdlib/gdtoa-hexnan.c (hexnan): When the optional
	n-char-sequence is omitted, still parse the ().

2008-03-03  Eric Blake  <ebb9@byu.net>

	Fix ftell bug after ungetc.
	* libc/stdio/ftell.c (_ftell_r): Don't flush ungetc buffer on
	ftell.
	* libc/stdio64/ftello64.c (_ftello64_r): Likewise.
	* libc/stdio/fflush.c (_fflush_r): Clear unget buffer when
	repositioning underlying fd offset.

2008-02-20  Eric Blake  <ebb9@byu.net>

	Fix strtod("-0x", NULL).
	* libc/stdlib/strtod.c (_strtod_r): Fall back to 0 if hex parse
	fails.

2007-10-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/wcstombs_r.c: Add SUSV2 support for calculating
	size if output buffer is NULL.

2007-10-13  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (_VFPRINTF_R) [__OPTIMIZE_SIZE__]:
	Correctly nest else within conditionals.
	Reported by Artur Lipowski.

2007-09-17  Eric Blake  <ebb9@byu.net>

	Obey POSIX on printf("%.s", (char*)NULL).
	* libc/stdio/vfprintf.c (_VFPRINTF_R): Take precision into account
	for %s on NULL.  Skip NULL check when optimizing for size.

2007-09-04  Kazunori Asayama <asayama@sm.sony.co.jp>

	* libm/math/wf_tgamma.c: Add missing include.

2007-07-31  Eric Blake  <ebb9@byu.net>

	More POSIX stream corner cases.
	* libc/stdio/findfp.c (__sinit): Open stderr read/write.
	* libc/stdio/fdopen.c (_fdopen_r): Set O_APPEND on fd when
	requested.
	* libc/stdio64/fdopen64.c (_fdopen64_r): Likewise.

2007-07-13  Eric Blake  <ebb9@byu.net>

	Fix fflush issues.
	* libc/stdio/fflush.c (_fflush_r): New function.
	(fflush): Fix reentrancy and large offset behavior.
	* libc/include/stdio.h (_fflush_r): Add prototype.
	* libc/stdio/fclose.c (_fclose_r): All fflush callers changed.
	* libc/stdio/freopen.c (_freopen_r): Likewise.
	* libc/stdio/fseek.c (_fseek_r): Likewise.
	* libc/stdio/ftell.c (_ftell_r): Likewise.
	* libc/stdio/fvwrite.c (__sfvwrite_r): Likewise.
	* libc/stdio/refill.c (__srefill_r): Likewise.
	* libc/stdio/setvbuf.c (setvbuf): Likewise.
	* libc/stdio/ungetc.c (_ungetc_r): Likewise.
	* libc/stdio/vfprintf.c (__sbprintf): Likewise.
	* libc/stdio/wbuf.c (__swbuf_r): Likewise.
	* libc/stdio64/freopen64.c (_freopen64_r): Likewise.
	* libc/stdio64/fseeko64.c (_fseeko64_r): Likewise.  Defer to
	32-bit version if not large file.
	* libc/stdio64/ftello64.c (_ftello64_r): Likewise.
	* libc/stdio64/tmpfile64.c (_tmpfile64_r): Avoid compile warning.

2007-07-06  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/time.h (gettimeofday): Change to proper
	prototype where second parameter is void *.
	* libc/include/reent.h: Fix prototype for _gettimeofday_r.
	* libc/time/timer.c (_gettimeofday_r): Change prototype accordingly.

2007-06-13  Patrick Mansfield  <patmans@us.ibm.com>

	* libc/include/sys/unistd.h: Change usleep prototype to Posix.

2007-06-04  Eric Blake  <ebb9@byu.net>

	* libc/include/sys/reent.h (struct __sFILE, struct __sFILE64):
	Switch to reentrant callbacks.
	* libc/stdio/local.h (__sread, __swrite, __sseek, __sclose)
	(__sseek64, __swrite64): Fix prototypes.
	[__SCLE]: Pull in setmode declaration.
	* libc/stdio/stdio.c (__sread, __swrite, __sseek, __sclose): Fix
	reentrancy.
	* libc/stdio64/stdio64.c (__sseek64_r, __swrite64_r): Delete.
	(__sseek64, __swrite64): Fix reentrancy.
	* libc/stdio/fseek.c (_fseek_r): Account for overflow, and fix
	reentrancy.
	* libc/stdio/ftell.c (_ftell_r): Likewise.
	* libc/stdio/flags.c (__sflags): Don't lose __SAPP on "a+".
	* libc/stdio/fclose.c (_fclose_r): Fix reentrancy.
	* libc/stdio/freopen.c (_freopen_r): Likewise.
	* libc/stdio/fvwrite.c (__sfvwrite_r): Likewise.
	* libc/stdio/refill.c (__srefill_r): Likewise.
	* libc/stdio/siscanf.c (eofread): Likewise.
	* libc/stdio/sscanf.c (eofread): Likewise.
	* libc/stdio/vsiscanf.c (eofread1): Likewise.
	* libc/stdio/vsscanf.c (eofread1): Likewise.
	* libc/stdio64/freopen64.c (_freopen64_r): Likewise.
	* libc/stdio64/fseeko64.c (_fseeko64_r): Likewise.
	* libc/stdio64/ftello64.c (_ftello64_r): Likewise.
	* libc/stdio/fflush.c (fflush): Improve reentrancy, although more
	could be fixed.

2007-05-29  Eric Blake  <ebb9@byu.net>

	Avoid more compiler warnings.
	* libc/stdlib/btowc.c: Add missing header.
	* libc/stdlib/getopt.c (getopt_internal): Initialize variable.
	* libc/stdlib/system.c (do_system) [__CYGWIN__]: Add declaration.
	* libc/stdlib/wctob.c: Add missing header.
	* libc/string/strcpy.c (strcpy): Avoid warnings.
	* libc/string/strrchr.c (strrchr): Likewise.

2007-05-29  Corinna Vinschen  <corinna@vinschen.de>

	* libc/argz/argz_add_sep.c (argz_add_sep): Handle empty string
	argument.
	* libc/argz/argz_append.c (argz_append): Handle empty buf argument.
	* libc/argz/argz_create_sep.c (argz_create_sep): Return (NULL, 0)
	on empty input strings.
	* libc/argz/argz_extract.c (argz_extract): Check argz_len before
	looping through argz.
	* libc/argz/argz_stringify.c (argz_stringify): Ditto.

2007-05-27  Brian Dessent  <brian@dessent.net>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Populate 'ox' when
	handling %p.

2007-05-25  Eric Blake  <ebb9@byu.net>

	* libc/stdio/rewind.c (rewind): Fix regression of 2003-08-22.

2007-05-23  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Don't truncate %p when
	sizeof(void*) is 8 but sizeof(long) is 4.
	* libc/stdio/vfscanf.c (__SVFSCANF_R): Likewise.  Fix %i scanning
	of "-0x".  Support "-nan" and "inf" for %e.  Audit usage of ungetc
	to fix reentrancy and bug on encoding error in multibyte locales.
	Always return EOF on read error.

2007-05-23  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfscanf.c (__SVFSCANF_R): Support scanf(%1$s).
	Avoid warning when !FLOATING_POINT.
	* libc/stdio/vfprintf.c (_VFPRINTF_R): Simplify _NO_POS_ARGS
	slightly.

2007-05-23  Corinna Vinschen  <vinschen@redhat.com>

	* libc/argz/argz_create_sep.c (argz_create_sep): Initialize *argz_len
	to zero.
	* libc/include/argz.h: Guard against multiple inclusion.  Guard for
	use with C++.

2007-05-17  Cary R.  <cygcary <at> yahoo.com>

	* libm/math/w_atan2.c: Fix atan2 to be consistent with glibc
	(atan2(+0,-0), atan2(-0,-0) and atan(-0,+0))
	* libm/math/wf_atan2.c: Ditto.

2007-05-17  Charles Wilson  <cygwin@...>

	* stdio/tmpfile.c: Include <sys/stat.h>.
	* stdio64/tmpfile64.c: Ditto.

2007-05-16  Eric Blake  <ebb9@byu.net>

	Close security hole in tmpfile.
	* libc/stdio/tmpfile.c (_tmpfile_r): Avoid window between filename
	generation and opening the fd.
	* libc/stdio64/tmpfile64.c (_tmpfile64_r): Likewise.

	* libc/include/math.h (INFINITY, NAN, FP_ILOGB0, FP_ILOGBNAN)
	(MATH_ERRNO, MATH_ERREXCEPT, math_errhandling): Add macros
	required by POSIX.
	* libc/stdlib/ldtoa.c (USE_INFINITY): Rename from INFINITY, to
	avoid clash with <math.h>.

	* libc/stdlib/wctomb_r.c (_wctomb_r): Avoid gcc warnings on cygwin.
	* libc/search/hash.c (__hash_open): Likewise.

2007-05-10  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Fix use of decimal point
	in %f and %e.  Avoid malloc when possible for %S.
	(BUF): Improve stack locality by using smaller size.
	(MAXEXP): Define.
	(exponent): Use for smaller stack size.

2007-05-01  Eric Blake  <ebb9@byu.net>

	* libc/stdio64/local64.h: Delete, move contents to...
	* libc/stdio/local.h: ...here.
	* libc/stdio64/fdopen64.c: Update includes.
	* libc/stdio64/fopen64.c: Likewise.
	* libc/stdio64/freopen64.c: Likewise.
	* libc/stdio64/fseeko64.c: Likewise.
	* libc/stdio64/ftello64.c: Likewise.
	* libc/stdio/findfp.c (std) [__LARGE64_FILES]: Open stdin, stdout,
	and stderr with 64-bit offset.
	* libc/stdio/fseek.c (_fseek_r): Avoid compile warning.
	* libc/stdio/makebuf.c (__smakebuf_r): Likewise.
	* libc/stdio/mktemp.c (_gettemp): Likewise.

2007-05-01  Cary R.  <cygcary <at> yahoo.com>

	* libm/math/e_pow.c: Fix to be consistent with glibc with regards to
	treatment of NaN and +-inf arguments.
	* libm/math/ef_pow.c: Ditto.
	* libm/math/w_pow.c: Ditto.
	* libm/math/wf_pow.c: Ditto.
	* libm/math/w_acos.c: Fix domain errors to return NaN.
	* libm/math/w_asin.c: Ditto.
	* libm/math/wf_acos.c: Ditto.
	* libm/math/wf_asin.c: Ditto.
	* libm/math/w_log.c: Fix to return NaN for negative number inputs.
	* libm/math/wf_log.c: Ditto.
	* libm/math/wf_log10.c: Ditto.
	* libm/math/w_log10.c: Ditto.

2007-04-25  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (get_arg): Support %1$lc.  Simplify types
	that promote to int.

2007-04-24  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Don't zero pad on infinity
	or NaN with %05f.

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Avoid multibyte when not
	_MB_CAPABLE.

	* libc/include/limits.h (NL_ARGMAX): Define a default value.
	* libc/stdio/vfprintf.c (MAX_POS_ARGS): Define in terms of
	NL_ARGMAX, if present.

2007-04-23  Brian Dessent  <brian@dessent.net>

	* libc/stdio/vfprintf.c (_vfprintf_r): When the alternate-form flag
	has been specified with types 'f', 'F', 'g', or 'G', ensure the
	trailing decimal is printed.

2007-04-17  Brian Dessent  <brian@dessent.net>

	* libc/stdio/sscanf.c: Update documentation comments.
	* libc/stdio/vfscanf.c (__SVFSCANF_R): Handle j, t, and z modifiers.

2007-04-12  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (_VFPRINTF_F, cvt): Don't confuse %F with %e.
	(chclass): Recognize 'F', 'X', 'n', and not 'W'.
	(get_arg): Handle %1$F, %1$n.

2007-04-10  Eric Blake  <ebb9@byu.net>

	* libc/include/stdio.h (_ELIDABLE_INLINE): Work even when using
	CFLAGS=-O0.

2007-04-09  Eric Blake  <ebb9@byu.net>

	* libc/include/stdio.h: Add gcc format attributes to printf and
	scanf families.

2007-04-04  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/argz/argz_insert.c: Add stddef.h to get ptrdiff_t type.

2007-04-04  Eric Blake  <ebb9@byu.net>

	* libc/stdio/asiprintf.c (_asiprintf_r): Fix reentrancy.
	(asiprintf): Avoid overhead.
	* libc/stdio/asprintf.c (_asprintf_r): Fix reentrancy.
	(asprintf): Avoid overhead.
	* libc/stdio/diprintf.c (_diprintf_r, diprintf): New file.
	* libc/stdio/dprintf.c (_dprintf_r, dprintf): Use _DEFUN.
	* libc/stdio/fiprintf.c (_fiprintf_r): Add reentrant version.
	(fiprintf): Avoid overhead.
	* libc/stdio/fprintf.c (_fprintf_r): Add reentrant version.
	(fprintf): Avoid overhead.
	* libc/stdio/iprintf.c (_iprintf_r): Use _DEFUN.
	(iprintf): Avoid overhead.
	* libc/stdio/printf.c (_printf_r): Use _DEFUN.
	(printf): Avoid overhead.
	* libc/stdio/vasiprintf.c (vasiprintf): Reduce binary size.
	* libc/stdio/vasprintf.c (vasprintf): Reduce binary size.
	* libc/stdio/vdiprintf.c (_vdiprintf_r, vdiprintf): New file.
	* libc/stdio/vdprintf.c (vdprintf): Avoid overhead.
	* libc/stdio/vsiprintf.c (vsiprintf): Reduce binary size.
	* libc/stdio/vsniprintf.c (vsniprintf): Reduce binary size.
	* libc/stdio/vsnprintf.c (vsnprintf): Reduce binary size.
	* libc/stdio/vsprintf.c (vsprintf): Reduce binary size.
	* libc/stdio/Makefile.am (GENERAL_SOURCES): Add diprintf.c,
	vdiprintf.c.
	* libc/include/stdio.h (diprintf, _diprintf_r, vdiprintf)
	(_vdiprintf_r, _fiprintf_r, _vfiprintf_r): Add prototypes.

2007-03-30  Dave Korn  <dave.korn@artimi.com>

	* libc/include/stdio.h (_ELIDABLE_INLINE):  New macro to conceal
	conflicting inline semantics between C99 and GNU89.
	(__sgetc_r):  Replace static inline with _ELIDABLE_INLINE to be
	compatible with -fkeep-inline-functions usage.
	(__sputc_r):  Likewise for consistency even though disabled.

2007-03-16  Charles Wilson  <cygwin@...>

	* libc/argz/argz_insert.c: "before" pointer is
	invalid after *argz realloc.  Compute offset
	between "before" and *argz, and use it after
	reallocation instead.

2007-03-16  Eric Blake  <ebb9@byu.net>

	* libc/stdio64/fseek064.c (_fseeko64_r): Fix reentrancy.
	* libc/stdio64/freopen64.c (_freopen64_r): Ditto.

2007-03-15  Eric Blake  <ebb9@byu.net>

	* libc/stdio/local.h (cantwrite, FREEUB, FREELB): Make reentrant.
	(__smakebuf): Rename...
	(__smakebuf_r): to this.
	* libc/stdio/fvwrite.h (__swsetup_r): Rename, from __swsetup.
	* libc/stdio/makebuf.c (__smakebuf): Detect failed asprint
	allocation, then rename...
	(__smakebuf_r): ...to this and fix reentrancy.
	* libc/stdio/wsetup.c (__swsetup): Detect failed asprintf
	allocation, then rename...
	(__swsetup_r): ...to this and fix reentrancy.
	* libc/stdio/fseek.c (_fseek_r): Fix reentrancy.
	* libc/stdio/refill.c (__srefill_r): Likewise.
	* libc/stdio/fclose.c (_fclose_r): Likewise.
	* libc/stdio/fread.c (_fread_r): Likewise.
	* libc/stdio/freopen.c (_freopen_r): Likewise.
	* libc/stdio/wbuf.c (__swbuf_r): Likewise.
	* libc/stdio64/fseeko64.c (_fseeko64_r): Likewise.
	* libc/stdio/fvwrite.c (__sfvwrite_r): Set errno properly on
	failed asprintf allocation, and fix reentrancy.
	* libc/stdio/snprintf.c (snprintf, _snprintf_r): Report overflow,
	as required by POSIX.
	* libc/stdio/sniprintf.c (sniprintf, _sniprintf_r): Likewise.
	* libc/stdio/vsnprintf.c (vsnprintf, _vsnprintf_r): Likewise.
	* libc/stdio/vsniprintf.c (vsniprintf, _vsniprintf_r): Likewise.

2007-03-12  Eric Blake  <ebb9@byu.net>

	* libc/stdio/fvwrite.c (__sfvwrite_r): Fix reentrancy.
	* libc/stdio/vasprintf.c (vasprintf, _vasprintf_r): Pass failed
	allocation to caller.
	* libc/stdio/asprintf.c (_asprintf_r, asprintf): Likewise.
	* libc/stdio/asiprintf.c (_asiprintf_r, asiprintf): Likewise.
	* libc/stdio/vasiprintf.c (vasiprintf, _vasiprintf_r): Likewise.

2007-02-20  Kazunori Asayama <asayama@sm.sony.co.jp>

	* libc/include/stdio.h: Add declaration for vsiprintf.

2007-01-05  Brian Ford  <Brian.Ford@FlightSafety.com>

	* configure.host (*-*-cygwin*): Define HAVE_BLKSIZE.

2006-12-14  Jeff Johnston  <jjohnstn@redhat.com>
            Eric Blake  <ebb9@byu.net>

        * libc/stdio/fflush.c (fflush): On seekable streams, always flush
        read but unused data.
        * libc/stdio/fclose.c (_fclose_r): Always flush streams, since
        even read streams may have side effects that must happen.

2006-11-30  Lev Bishop  <lev.bishop@gmail.com>

	* libc/include/math.h: Allow C99 functions/macros to be
	defined for C++ even when __STRICT_ANSI__.

2006-11-29  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/makebuf.c (__smakebuf): If dealing with
	an asprintf-family buffer, make the default initial size 64.

2006-11-29  Eric Blake  <ebb9@byu.net>

	* libc/stdio/fvwrite.c (__sfvwrite_r): Avoid off-by-one error in
	asprintf, as well as quadratic realloc behavior.

2006-11-14  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (_vfprintf_r): Support ' flag.
	(chclass): ' is a flag.  j, t, and z are modifiers.

2006-10-11  Yang Tse  <yangsita@gmail.com>

	* libc/include/machine/setjmp.h: Use __extension__ keyword for gcc's
	braced-groups.

2006-10-11  Corinna Vinschen  <corinna@vinschen.de>

	* libc/reent/reeent.c (_reclaim_reent): Free _REENT_MP_RESULT.

2006-09-13  Patrick Mansfield <patmans@us.ibm.com>

	* libc/include/math.h: Remove _CONST from _LIB_VERSION, as it is
	supposed to be writable.
	* libm/common/s_lib_ver.c: Ditto.

2006-09-06  Eric Blake  <ebb9@byu.net>

	* libc/stdio/vfprintf.c (_vfprintf_r, get_arg): Add 'hh', 'j',
	't', and 'z' modifiers.

2006-08-22  Eric Blake  <ebb9@byu.net>

	* libc/posix/popen.c (popen): Don't close output end of pipe in
	child if stdout was closed on entry.
	[HAVE_FCNTL]: In parent, mark file as close-on-exec, per POSIX.

2006-08-17  Brian Ford  <Brian.Ford@FlightSafety.com>

	* libc/time/gmtime.c: Correct man page; clock is not a
	local time and no conversion occurs.

2006-07-05  Jeff Johnston  <jjohnstn@redhat.com>	

	* libc/stdlib/mprec.h [_DOUBLE_IS_32BITS]: Turn off C99 hex 
	floating-point format support.  Also redefine
	dword0 and dword1 macros.
	* libc/stdlib/strtod.c: Add checks for _DOUBLE_IS_32BITS
	to prevent setting dword1 which is an rvalue only.

2006-06-22  Jeff Johnston  <jjohnstn@redhat.com>	

	* libc/stdlib/Makefile.am: Add new gdtoa routines.
	* libc/stdlib/Makefile.in: Regenerated.
	* libc/stdlib/gd_qnan.h: New file.
	* libc/stdlib/gdtoa-gethex.c: Ditto.
	* libc/stdlib/gdtoa-hexnan.c: Ditto.
	* libc/stdlib/gdtoa.h: Ditto.
	* libc/stdlib/mprec.c: Add new helper routines needed by
	the new gdtoa code.
	* libc/stdlib/mprec.h: Integrate some defines and prototypes
	used by gdtoa routines here.
	* libc/stdlib/strtod.c: Rebased on David M. Gay's gdtoa-strtod.c
	which adds C99 support such as nan, inf, and hexadecimal input
	format.

2006-06-15  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/stdio.h (__sgetc_r): Fix typo.
	* libc/stdio/fread.c (_fread_r): Convert crlf calls to crlf_r.
	* libc/stdio/rget.c (__srbuf): Reinstantiate.
	* libc/stdio/wbuf.c (__swbuf): Ditto.

2006-06-14  Jeff Johnston  <jjohnstn@redhat.com>	

	* libc/include/stdio.h: Add new reentrant I/O prototypes for
	read/write functions.  Change getc/putc macros to have reentrant underlying 
	macros/functions.  This includes __sgetc_raw_r, __sgetc_r, and __sputc_r.
	* libc/stdio/fgetc.c: Fix and/or add reentrant version to call
	new reentrant I/O functions/macros for reading/writing.
	* libc/stdio/fgets.c: Ditto.
	* libc/stdio/fputc.c: Ditto.
	* libc/stdio/fputs.c: Ditto.
	* libc/stdio/fread.c: Ditto.
	* libc/stdio/fseek.c: Ditto.
	* libc/stdio64/fseeko64.c: Ditto.
	* libc/stdio/fwrite.c: Ditto.
	* libc/stdio/getc.c: Ditto.
	* libc/stdio/getc_u.c: Ditto.
	* libc/stdio/getchar.c: Ditto.
	* libc/stdio/getchar_u.c: Ditto.
	* libc/stdio/putc.c: Ditto.
	* libc/stdio/putc_u.c: Ditto.
	* libc/stdio/putchar.c: Ditto.
	* libc/stdio/puts.c: Ditto.
	* libc/stdio/vfprintf.c: Ditto.
	* libc/stdio/vfscanf.c: Ditto.
	* libc/stdio/fvwrite.c: Change __sfvwrite into reentrant __sfvwrite_r.
	Change all previous callers of __sfvwrite.  Set errno to EBADF and
	set error flag on if attempt is made to write to file that does not
	allow writing.
	* libc/stdio/fvwrite.h: Fix new reentrant prototypes.
	* libc/stdio/local.h: Ditto.
	* libc/stdio/refill.c: Turn __srefill into reentrant __srefill_r.
	Set errno to EBADF and the error flag on if attempt is made to
	read unreadable file.  Change all previous callers of __srefill.
	* libc/stdio/rget.c
	* libc/stdio/wbuf.c: Turn __swbuf into reentrant __swbuf_r.  Change
	all previous callers of __swbuf.
	* libc/sys/linux/machine/i386/huge_val.h: Ifdef out file contents since
	huge value macros are already defined correctly for i386 by <math.h>.

2006-06-13  Sandra Loosemore <sandra@codesourcery.com>

	* /libc/sys/arm/syscalls.c (_unlink, isatty, _system, _rename):
	Make them do something useful in the ARM_RDI_MONITOR case.

2006-06-07  Fred Fish  <fnf@specifix.com>

	* libc/search/hash_bigkey.c (MIN,MAX): Remove
	defines that are already supplied by <sys/param.h>.

2006-06-07  Fred Fish  <fnf@specifix.com>

	* configure.host: Remove references to HAVE_GETTIMEOFDAY.

2006-06-05  Shaun Jackman  <sjackman@gmail.com>

	* libc/posix/Makefile.am (GENERAL_SOURCES): Add sleep.c and
	usleep.c.
	* libc/posix/Makefile.in: Regenerate.
	* libc/posix/sleep.c: New file.
	* libc/posix/usleep.c: Ditto.

2006-06-05  Shaun Jackman  <sjackman@gmail.com>

	* configure.host (newlib_cflags) [arm, thumb, xscale]:  Remove
	-DABORT_PROVIDED flag.
	* newlib/libc/sys/arm/syscalls.c (kill, exit): Sync with libgloss.
	* newlib/libc/sys/arm/libcfunc.c (abort): Ditto.

2006-06-05  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am (AM_MAKEFLAGS): Pass CCASFLAGS.
	* Makefile.in: Regenerated.
	* libc/machine/sh/Makefile.am (AM_CCASFLAGS): Remove
	extraneous CFLAGS reference now that CCASFLAGS are being extended
	properly via multilib.
	* libc/machine/sh/Makefile.in: Regenerated.

2006-06-02  Shaun Jackman  <sjackman@gmail.com>

	* libc/unix/sigset.c: Undefine sigfillset, sigdelset, and
	sigismember.

2006-05-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/misc/dprintf.c: Removed.
	* libc/misc/__dprintf.c: Renamed from dprintf.c.
	* libc/misc/Makefile.am: Changed appropriately for rename.
	* libc/misc/Makefile.in: Regenerated.

2006-05-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdio.h: Protect dprintf prototype
	with #ifndef dprintf so as to not interfere with
	historical code defining their own dprintf macro.

2006-05-18  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdio.h: Add prototypes for fiscanf,
	iscanf, and siscanf.

2006-05-11  J"orn Rennecke <joern.rennecke@st.com>

	* acinclude.m4 (_NEWLIB_VERSION): Rename to:
	(DEF_NEWLIB_VERSION).
	* configure.in (_NEWLIB_VERSION): Use NEWLIB_VERSION.
	* configure: Regenerate.

2006-05-09  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/ctype/Makefile.am: Add $(ELIX_SOURCES) to
	lib_a_SOURCES.
	* libc/ctype/Makefile.in: Regenerated.

2006-05-09  Kazu Hirata  <kazu@codesourcery.com>

	* libc/machine/arm/Makefile.am: Fix a typo.
	* libc/machine/arm/Makefile.in: Regenerated.

2006-05-08  J"orn Rennecke <joern.rennecke@st.com>

	* libc/machine/sh/Makefile.am (AM_CCASFLAGS): Add $(CFLAGS).
	* libc/machine/sh/Makefile.in: Regenerate.

2006-05-03  J"orn Rennecke <joern.rennecke@st.com>

	* libc/sys/sh/Makefile.am (AM_CCASFLAGS): Add $(CFLAGS).
	* libc/sys/sh/Makefile.in (AM_CCASFLAGS): Likewise.

2006-05-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/sysnec810/Makefile.am: Specify .S files instead of
	.s.
	* libc/sys/sysnec810/Makefile.in: Regenerated.
	* libc/sys/sysnec810/crt0.S: Renamed from .s file.
	* libc/sys/sysnec810/io.S: Ditto.
	* libc/sys/sysnec810/crt0.s: Renamed to .S file.
	* libc/sys/sysnec810/io.s: Ditto.

2006-05-01  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/argz/Makefile.am: Prefix any objects specified with $(lpfx).  If source file can
	be specified instead of object, do so.
	* libc/ctype/Makefile.am: Ditto.
	* libc/iconv/ccs/Makefile.am: Ditto.
	* libc/iconv/ces/Makefile.am: Ditto.
	* libc/iconv/lib/Makefile.am: Ditto.
	* libc/locale/Makefile.am: Ditto.
	* libc/posix/Makefile.am: Ditto.
	* libc/reent/Makefile.am: Ditto.
	* libc/search/Makefile.am: Ditto.
	* libc/stdio/Makefile.am: Ditto.
	* libc/stdio64/Makefile.am: Ditto.
	* libc/stdlib/Makefile.am: Ditto.
	* libc/string/Makefile.am: Ditto.
	* libc/syscalls/Makefile.am: Ditto.
	* libc/unix/Makefile.am: Ditto.
	* libc/machine/a29k/Makefile.am: Specify lib_a_CCASFLAGS so .S files will get
	prefix added automatically.  Any specified rules must use $(lpfx) for
	object file names.
	* libc/machine/arm/Makefile.am: Ditto.
	* libc/machine/cris/Makefile.am: Ditto.
	* libc/machine/crx/Makefile.am: Ditto.
	* libc/machine/d10v/Makefile.am: Ditto.
	* libc/machine/d30v/Makefile.am: Ditto.
	* libc/machine/fr30/Makefile.am: Ditto.
	* libc/machine/frv/Makefile.am: Ditto.
	* libc/machine/h8300/Makefile.am: Ditto.
	* libc/machine/h8500/Makefile.am: Ditto.
	* libc/machine/hppa/Makefile.am: Ditto.
	* libc/machine/i386/Makefile.am: Ditto.
	* libc/machine/i960/Makefile.am: Ditto.
	* libc/machine/iq2000/Makefile.am: Ditto.
	* libc/machine/m32c/Makefile.am: Ditto.
	* libc/machine/m32r/Makefile.am: Ditto.
	* libc/machine/m68hc11/Makefile.am: Ditto.
	* libc/machine/m68k/Makefile.am: Ditto.
	* libc/machine/m88k/Makefile.am: Ditto.
	* libc/machine/mips/Makefile.am: Ditto.
	* libc/machine/mn10200/Makefile.am: Ditto.
	* libc/machine/mn10300/Makefile.am: Ditto.
	* libc/machine/mt/Makefile.am: Ditto.
	* libc/machine/necv70/Makefile.am: Ditto.
	* libc/machine/powerpc/Makefile.am: Ditto.
	* libc/machine/sh/Makefile.am: Ditto.
	* libc/machine/sh/Makefile.in: Ditto.
	* libc/machine/sparc/Makefile.am: Ditto.
	* libc/machine/tic4x/Makefile.am: Ditto.
	* libc/machine/tic80/Makefile.am: Ditto.
	* libc/machine/v850/Makefile.am: Ditto.
	* libc/machine/w65/Makefile.am: Ditto.
	* libc/machine/xscale/Makefile.am: Ditto.
	* libc/machine/xstormy16/Makefile.am: Ditto.
	* libc/machine/z8k/Makefile.am: Ditto.
	* libc/sys/a29khif/Makefile.am: Ditto.
	* libc/sys/arm/Makefile.am: Ditto.
	* libc/sys/d10v/Makefile.am: Ditto.
	* libc/sys/h8300hms/Makefile.am: Ditto.
	* libc/sys/h8500hms/Makefile.am: Ditto.
	* libc/sys/linux/Makefile.am: Ditto.
	* libc/sys/linux/linuxthreads/Makefile.am: Ditto.
	* libc/sys/linux/net/Makefile.am: Ditto.
	* libc/sys/linux/stdlib/Makefile.am: Ditto.
	* libc/sys/m88kbug/Makefile.am: Ditto.
	* libc/sys/mmixware/Makefile.am: Ditto.
	* libc/sys/rdos/Makefile.am: Ditto.
	* libc/sys/rtems/Makefile.am: Ditto.
	* libc/sys/sh/Makefile.am: Ditto.
	* libc/sys/sun4/Makefile.am: Ditto.
	* libc/sys/sysmec/Makefile.am: Ditto.
	* libc/sys/sysnec810/Makefile.am: Ditto.
	* libc/sys/sysnecv850/Makefile.am: Ditto.
	* libc/sys/sysvi386/Makefile.am: Ditto.
	* libc/sys/sysvnecv70/Makefile.am: Ditto.
	* libc/sys/tic80/Makefile.am: Ditto.
	* libc/sys/w65/Makefile.am: Ditto.
	* libc/sys/z8ksim/Makefile.am: Ditto.
	* libc/machine/necv70/fastmath.S: Renamed from .s file.
	* libc/machine/necv70/setjmp.S: Ditto.
	* libc/machine/necv70/fastmath.s: Removed.
	* libc/machine/necv70/setjmp.s: Ditto.
	* libc/machine/w65/*.S: New files renamed from .s files.
	* libc/machine/w65/*.s: Renamed and removed.
	* libc/sys/a29khif/*.S: New files renamed from .s files.
	* libc/sys/a29khif/*.s: Renamed and removed.
	* libc/sys/sysvi386/*.S: New files renamed from .s files.
	* libc/sys/sysvi386/*.s: Renamed and removed.
	* libc/sys/sysvnecv70/*.S: New files renamed from .s files.
	* libc/sys/sysvnecv70/*.s: Renamed and removed.
	* libc/*Makefile.in: Regenerated as appropriate.

2006-04-24  DJ Delorie  <dj@redhat.com>

	* libc/machine/sh/configure.in: Avoid link tests.
	* libc/machine/sh/configure: Regenerate.

2006-04-18  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/signal.h (sigdelset, sigfillset, sigismember): New macros.
	(sigaddset, sigemptyset): Add return code.

2006-04-13  Ralf Corsepius  <ralf.corsepius@rtems.org>

        * acinclude.m4: New _NEWLIB_VERSION.
        * acinclude.m4(NEWLIB_CONFIGURE): AC_REQUIRE(_NEWLIB_VERSION).
        Use AC_CANONICAL_HOST instead of AC_CANONICAL_SYSTEM.
        Use new form of AC_INIT_AUTOMAKE.
        * configure.in: AC_PREREQ(2.59).
        Use autoconf-2.5.x version of AC_INIT.
        Use AC_CONFIG_FILES and autoconf-2.5x AC_OUTPUT instead of
        autoconf-2.13's AC_OUTPUT.
        * libm/configure.in: Ditto.
        * libm/machine/configure.in: Ditto.
        * libm/machine/i386/configure.in: Ditto.
        * libc/configure.in: Ditto.
        * libc/machine/a29k/configure.in: Ditto.
        * libc/machine/arm/configure.in: Ditto.
        * libc/machine/configure.in: Ditto.
        * libc/machine/mn10300/configure.in: Ditto.
        * libc/machine/powerpc/configure.in: Ditto.
        * libc/machine/z8k/configure.in: Ditto.
        * libc/machine/h8300/configure.in: Ditto.
        * libc/machine/mips/configure.in: Ditto.
        * libc/machine/crx/configure.in: Ditto.
        * libc/machine/m68hc11/configure.in: Ditto.
        * libc/machine/h8500/configure.in: Ditto.
        * libc/machine/xscale/configure.in: Ditto.
        * libc/machine/d10v/configure.in: Ditto.
        * libc/machine/fr30/configure.in: Ditto.
        * libc/machine/sh/configure.in: Ditto.
        * libc/machine/tic80/configure.in: Ditto.
        * libc/machine/m32r/configure.in: Ditto.
        * libc/machine/xstormy16/configure.in: Ditto.
        * libc/machine/i386/configure.in: Ditto.
        * libc/machine/d30v/configure.in: Ditto.
        * libc/machine/mn10200/configure.in: Ditto.
        * libc/machine/frv/configure.in: Ditto.
        * libc/machine/mt/configure.in: Ditto.
        * libc/machine/i960/configure.in: Ditto.
        * libc/machine/v850/configure.in: Ditto.
        * libc/machine/necv70/configure.in: Ditto.
        * libc/machine/tic4x/configure.in: Ditto.
        * libc/machine/cris/configure.in: Ditto.
        * libc/machine/m68k/configure.in: Ditto.
        * libc/machine/m32c/configure.in: Ditto.
        * libc/machine/hppa/configure.in: Ditto.
        * libc/machine/w65/configure.in: Ditto.
        * libc/machine/iq2000/configure.in: Ditto.
        * libc/machine/sparc/configure.in: Ditto.
        * libc/machine/m88k/configure.in: Ditto.
        * libc/sys/linux/configure.in: Ditto.
        * libc/sys/linux/machine/configure.in: Ditto.
        * libc/sys/linux/machine/i386/configure.in: Ditto.
        * libc/sys/linux/linuxthreads/configure.in: Ditto.
        * libc/sys/linux/linuxthreads/machine/configure.in: Ditto.
        * libc/sys/linux/linuxthreads/machine/i386/configure.in: Ditto.
        * libc/sys/arm/configure.in: Ditto.
        * libc/sys/configure.in: Ditto.
        * libc/sys/decstation/configure.in: Ditto.
        * libc/sys/a29khif/configure.in: Ditto.
        * libc/sys/sysnecv850/configure.in: Ditto.
        * libc/sys/d10v/configure.in: Ditto.
        * libc/sys/netware/configure.in: Ditto.
        * libc/sys/mmixware/configure.in: Ditto.
        * libc/sys/h8500hms/configure.in: Ditto.
        * libc/sys/sh/configure.in: Ditto.
        * libc/sys/tic80/configure.in: Ditto.
        * libc/sys/rdos/configure.in: Ditto.
        * libc/sys/sysmec/configure.in: Ditto.
        * libc/sys/sysvi386/configure.in: Ditto.
        * libc/sys/h8300hms/configure.in: Ditto.
        * libc/sys/sparc64/configure.in: Ditto.
        * libc/sys/arc/configure.in: Ditto.
        * libc/sys/sysnec810/configure.in: Ditto.
        * libc/sys/m88kbug/configure.in: Ditto.
        * libc/sys/sysvnecv70/configure.in: Ditto.
        * libc/sys/z8ksim/configure.in: Ditto.
        * libc/sys/rtems/configure.in: Ditto.
        * libc/sys/w65/configure.in: Ditto.
        * libc/sys/sun4/configure.in: Ditto.
        * doc/configure.in: Ditto.
        * iconvdata/configure.in: Ditto.
        * configure.in: Use AC_CONFIG_HEADER instead of AM_CONFIG_HEADER.

2006-04-11  Jeff Johnston  <jjohnstn@redhat.com>

	* acinclude.m4: Properly add square brackets for
	AC_DEFUN macros.  Rewrite LIB_AC_PROG_CC to remove
	macros no longer available.  Add LIB_AM_PROG_AS to
	remove prereq of AC_PROG_CC.  Add LIB_AC_PROG_CC_GNU
	macro.  Substitute lpfx (library object prefix).
	* configure.host: Set lpfx depending on whether
	libtool is used or not.
	* configure.in: Individually specify libc and libm
	to AC_CONFIG_SUBDIRS.  Add square bracket quoting as
	necessary.
	* Makefile.am: Use $(lpfx) to get object names for
	math-library functions that should also be in libc.
	* libc/machine/configure.in: Use case statement to determine
	AC_CONFIG_SUBDIRS statement.
	* libc/sys/linux/linuxthreads/machine/configure.in: Ditto.
	* libc/sys/linux/machine/configure.in: Ditto.
	* libc/sys/configure.in: Ditto.
	* libm/machine/configure.in: Ditto.
	* libc/sys/linux/configure.in: Fix up AC_CONFIG_SUBDIRS.
	* libm/configure.in: Add AM_CONDITIONAL statement
	for HAVE_LIBM_MACHINE_DIR.
	* libc/machine/a29k/Makefile.am: Modified to work with
	latest automake.  Change includes setting AM_CCASFLAGS
	so building .S files will properly pick up flags used
	to build C files.
	* libc/machine/arm/Makefile.am: Ditto.
	* libc/machine/crx/Makefile.am: Ditto.
	* libc/machine/d10v/Makefile.am: Ditto.
	* libc/machine/d30v/Makefile.am: Ditto.
	* libc/machine/fr30/Makefile.am: Ditto.
	* libc/machine/frv/Makefile.am: Ditto.
	* libc/machine/h8300/Makefile.am: Ditto.
	* libc/machine/h8500/Makefile.am: Ditto.
	* libc/machine/hppa/Makefile.am: Ditto.
	* libc/machine/i386/Makefile.am: Ditto.
	* libc/machine/iq2000/Makefile.am: Ditto.
	* libc/machine/m32c/Makefile.am: Ditto.
	* libc/machine/m32r/Makefile.am: Ditto.
	* libc/machine/m68hc11/Makefile.am: Ditto.
	* libc/machine/m68k/Makefile.am: Ditto.
	* libc/machine/m88k/Makefile.am: Ditto.
	* libc/machine/mips/Makefile.am: Ditto.
	* libc/machine/mn10200/Makefile.am: Ditto.
	* libc/machine/mn10300/Makefile.am: Ditto.
	* libc/machine/mt/Makefile.am: Ditto.
	* libc/machine/necv70/Makefile.am: Ditto.
	* libc/machine/powerpc/Makefile.am: Ditto.
	* libc/machine/sh/Makefile.am: Ditto.
	* libc/machine/sparc/Makefile.am: Ditto.
	* libc/machine/tic4x/Makefile.am: Ditto.
	* libc/machine/tic80/Makefile.am: Ditto.
	* libc/machine/v850/Makefile.am: Ditto.
	* libc/machine/w65/Makefile.am: Ditto.
	* libc/machine/xscale/Makefile.am: Ditto.
	* libc/machine/xstormy16/Makefile.am: Ditto.
	* libc/machine/z8k/Makefile.am: Ditto.
	* libc/sys/a29khif/Makefile.am: Ditto.
	* libc/sys/arc/Makefile.am: Ditto.
	* libc/sys/arm/Makefile.am: Ditto.
	* libc/sys/d10v/Makefile.am: Ditto.
	* libc/sys/decstation/Makefile.am: Ditto.
	* libc/sys/h8300hms/Makefile.am: Ditto.
	* libc/sys/h8500hms/Makefile.am: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/Makefile.am: Ditto.
	* libc/sys/linux/machine/i386/Makefile.am: Ditto.
	* libc/sys/m88kbug/Makefile.am: Ditto.
	* libc/sys/mmixware/Makefile.am: Ditto.
	* libc/sys/netware/Makefile.am: Ditto.
	* libc/sys/rdos/Makefile.am: Ditto.
	* libc/sys/rtems/Makefile.am: Ditto.
	* libc/sys/sh/Makefile.am: Ditto.
	* libc/sys/sparc64/Makefile.am: Ditto.
	* libc/sys/sysmec/Makefile.am: Ditto.
	* libc/sys/sysnec810/Makefile.am: Ditto.
	* libc/sys/sysnecv850/Makefile.am: Ditto.
	* libc/sys/sysvi386/Makefile.am: Ditto.
	* libc/sys/sysvnecv70/Makefile.am: Ditto.
	* libc/sys/tic80/Makefile.am: Ditto.
	* libc/sys/w65/Makefile.am: Ditto.
	* libc/sys/z8ksim/Makefile.am: Ditto.
	* libm/machine/i386/Makefile.am: Ditto.
	* libc/sys/arm/Makefile.am: Ditto plus add EXTRA sources including
	trap.S so that automake will generate a .S.o suffix rule.
	* libc/argz/Makefile.am: Modified to work with
	latest automake.  Change includes adding lib_a_CFLAGS
	so automake doesn't complain about libtool and non-libtool
	libraries sharing objects.
	* libc/ctype/Makefile.am: Ditto.
	* libc/errno/Makefile.am: Ditto.
	* libc/iconv/ccs/Makefile.am: Ditto.
	* libc/iconv/ces/Makefile.am: Ditto.
	* libc/iconv/lib/Makefile.am: Ditto.
	* libc/locale/Makefile.am: Ditto.
	* libc/misc/Makefile.am: Ditto.
	* libc/posix/Makefile.am: Ditto.
	* libc/reent/Makefile.am: Ditto.
	* libc/search/Makefile.am: Ditto.
	* libc/signal/Makefile.am: Ditto.
	* libc/stdio/Makefile.am: Ditto.
	* libc/stdio64/Makefile.am: Ditto.
	* libc/stdlib/Makefile.am: Ditto.
	* libc/string/Makefile.am: Ditto.
	* libc/sys/linux/Makefile.am: Ditto.
	* libc/sys/linux/argp/Makefile.am: Ditto.
	* libc/sys/linux/cmath/Makefile.am: Ditto.
	* libc/sys/linux/dl/Makefile.am: Ditto.
	* libc/sys/linux/iconv/Makefile.am: Ditto.
	* libc/sys/linux/intl/Makefile.am: Ditto.
	* libc/sys/linux/linuxthreads/Makefile.am: Ditto.
	* libc/sys/linux/net/Makefile.am: Ditto.
	* libc/sys/linux/stdlib/Makefile.am: Ditto.
	* libc/syscalls/Makefile.am: Ditto.
	* libc/time/Makefile.am: Ditto.
	* libc/unix/Makefile.am: Ditto.
	* libm/Makefile.am: Ditto.
	* libm/common/Makefile.am: Ditto.
	* libm/math/Makefile.am: Ditto.
	* libm/mathfp/Makefile.am: Ditto.
	* Regenerate all aclocal.m4, Makefile.in, and configure files.

2006-04-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/time.c (time): Do not check for HAVE_GETTIMEOFDAY
	anymore.  Assume there is a gettimeofday syscall.

2006-03-29  Shaun Jackman  <sjackman@gmail.com>

	* libc/sys/linux/include/netinet/ip.h: Include netinet/in_systm.h
	for the declaration of n_long.

2006-03-29  Shaun Jackman  <sjackman@gmail.com>

	* libc/sys/linux/include/net/if.h: Include sys/socket.h for
	struct sockaddr.
	(IFF_SMART): Replace this define with IFF_NOTRAILERS.
	(IFF_CANTCHANGE): Replace IFF_SMART reference with IFF_NOTRAILERS.
	(IFF_NOTRAILERS): New define.
	(struct ifreq): Add ifru_netmask.
	(ifr_netmask): New define.

2006-03-29  Shaun Jackman  <sjackman@gmail.com>

	* libc/sys/linux/sys/ioccom.h (ioctl): Change declaration to
	match sys/ioctl.h.

2006-03-29  Shaun Jackman  <sjackman@gmail.com>

	* libtool.m4: Set lt_cv_deplibs_check_method=pass_all for 
	linux-newlib libc implementations.

2006-03-29  Eric Blake  <ebb9@byu.net>

	* libc/stdio/freopen.c (_freopen_r) [__SCLE]: Fix typo.
	* libc/stdio64/freopen64.c (_freopen64_r) [__SCLE]: Likewise.

2006-03-29  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/io.c (__mknod): Fix declaration of
	syscall to pass a dev_t as third argument rather than
	a pointer to dev_t.

2006-03-29  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/net/name6.c: Fix struct references.

2006-03-22  Mark Mitchell  <mark@codesourcery.com>

	* configure.host: Allow hosts to set the default
	newlib_atexit_dynamic_alloc value.
	* configure.in: Likewise.
	* configure: Regenerated.

2006-03-20  Mark Mitchell  <mark@codesourcery.com>

	* acconfig.h (_ATEXIT_DYNAMIC_ALLOC): Undef.
	* configure.in (--disable-newlib-atexit-dynamic-alloc): New
	option. 
	* configure: Regenerated.
	* newlib.hin: Regenerated.
	* libc/stdlib/__atexit.c (__register_exitproc): Don't call malloc
	if _ATEXIT_DYNAMIC_ALLOC is undefined.
	* libc/stdlib/__call_atexit.c (__call_exitprocs): Don't call free
	if _ATEXIT_DYNAMIC_ALLOC is undefined.

2006-03-17  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/linuxthreads/config.h: Remove definition
	of UINT32_C.

2006-03-15  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/wsetup.c (__swsetup): Don't make a buffer
	for a string I/O file that isn't using the asprintf family.

2006-03-07  Eric Blake  <ebb9@byu.net>

	* libc/stdio/freopen.c (_freopen_r) [HAVE_FCNTL]: For NULL
	filename, allow read-only or write-only FILE atop O_RDWR file
	descriptor.
	* libc/stdio64/freopen64.c (_freopen64_r) [HAVE_FCNTL]: Likewise.

2006-03-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libm/common/sf_isinf.c[_DOUBLE_IS_32BITS]: Undef isinf.
	* libm/common/sf_isnan.c[_DOUBLE_IS_32BITS]: Undef isnan.

2006-03-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libm/math/math.tex: Fix reference to sisnan.def which
	is now in common subdirectory.
	* libm/mathfp/mathfp.tex: Ditto.

2006-02-27  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am (MATHOBJS_IN_LIBC): Add s_isinfd, sf_isinff, 
	s_isnand, and sf_isnanf object files.
	* Makefile.in: Regenerated.
	* libc/include/ieeefp.h: Undef isnan and isinf to avoid
	conflict if <math.h> has previously been included.
	* libc/include/math.h
	* libc/include/math.h: Make isnan and isinf macros to
	conform to C99.
	(__isinfd, __isinff, __isnand, __isnanf): New functions.
	* libm/common/Makefile.am: Add new s_isinfd, s_isnand, sf_isinff,
	and sf_isnanf files.  Also support s_isnan, sf_isnan, s_isinf, and
	sf_isinf files which have been moved from math/mathfp directories. 
	* libm/common/Makefile.in: Regenerated.
	* libm/common/s_isinfd.c: New file.
	* libm/common/s_isnand.c: Ditto.
	* libm/common/sf_isinff.c: Ditto.
	* libm/common/sf_isnanf.c: Ditto.
	* libm/common/s_isinf.c: Moved from libm/math directory.
	* libm/common/s_isnan.c: Ditto.
	* libm/common/sf_isinf.c: Ditto.
	* libm/common/sf_isnan.c: Ditto.
	* libm/math/Makefile.am: Remove isinf and isnan family functions
	which have been moved into common directory.
	* libm/mathfp/Makefile.am: Ditto.
	* libm/math/Makefile.in: Regenerated.
	* libm/mathfp/Makefile.in: Ditto.
	* libm/math/s_isinf.c: Removed.
	* libm/math/s_isnan.c: Ditto.
	* libm/math/sf_isinf.c: Ditto.
	* libm/math/sf_isnan.c: Ditto.
	* libm/mathfp/s_isinf.c: Ditto.
	* libm/mathfp/s_isnan.c: Ditto.
	* libm/mathfp/sf_isinf.c: Ditto.
	* libm/mathfp/sf_isnan.c: Ditto.

2006-02-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/fflush.c (fflush): For an fflush on a read-only
	stream, turn off fseek/rewind optimization as per POSIX/SUSv3.
	* libc/stdio/fseek.c (_fseek_r): After a successful unoptimized
	seek, turn off the __SNPT no-optimization flag.

2006-02-16  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/aio.c: Define _GNU_SOURCE so struct aioinit
	will be defined.
	* libc/sys/linux/sys/types.h: Move <sys/config.h> ahead of
	<features.h> to preset special flags.

2006-02-15  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/time.h (struct timeval): Change member types
	according to SUSv3.
	* libc/include/sys/types.h (useconds_t): Change to unsigned
	according to SUSv3.
	(suseconds_t): Define type.

2006-02-13  Jeff Johnston  <jjohnstn@redhat.com>
	    David Carne  <davidcarne@gmail.com>

	* libc/string/strndup_r.c (_strndup_r): Use strnlen logic
	instead of strlen to determine number of bytes to copy.
	* libc/string/strnlen.c (strnlen): Fix so check for max limit occurs
	before looking at storage location.

2006-02-07  Paul Brook  <paul@codesourcery.com>

	* libc/machine/arm/setjmp.S: Add Thumb-2 support.
	* libc/sys/arm/crt0.S: Add Thumb-2 startup code.
	* libc/sys/arm/libcfunc.c (do_AngelSWI): Use AngelSWIInsn.
	* libc/sys/arm/swi.h (AngelSWIInsn, AngelSWIAsm): Define.
	* libc/sys/arm/trap.S: Disable for Thumb-2.

2006-01-31  Leif Ekblad  <leif@rdos.net>

	* configure.host: RDOS support added
	* libc/include/sys/config.h: Ditto.
	* libc/sys/rdos/Makefile.am, libc/sys/rdos/Makefile.in: New files.
	* libc/sys/rdos/aclocal.m4, libc/sys/rdos/chown.c: Ditto.
	* libc/sys/rdos/close.c, libc/sys/rdos/config.h: Ditto.
	* libc/sys/rdos/configure, libc/sys/rdos/configure.in: Ditto.
	* libc/sys/rdos/crt0.S, libc/sys/rdos/execve.c: Ditto.
	* libc/sys/rdos/fork.c, libc/sys/rdos/fstat.c: Ditto.
	* libc/sys/rdos/getenv.c, libc/sys/rdos/getpid.c: Ditto.
	* libc/sys/rdos/gettod.c, libc/sys/rdos/isatty.c: Ditto.
	* libc/sys/rdos/kill.c, libc/sys/rdos/link.c: Ditto.
	* libc/sys/rdos/lseek.c, libc/sys/rdos/open.c: Ditto.
	* libc/sys/rdos/rdos.S, libc/sys/rdos/rdos.h: Ditto.
	* libc/sys/rdos/rdoshelp.c, libc/sys/rdos/read.c: Ditto.
	* libc/sys/rdos/readlink.c, libc/sys/rdos/sbrk.c: Ditto.
	* libc/sys/rdos/stat.c, libc/sys/rdos/symlink.c: Ditto.
	* libc/sys/rdos/times.c, libc/sys/rdos/unlink.c: Ditto.
	* libc/sys/rdos/user.def, libc/sys/rdos/wait.c: Ditto.
	* libc/sys/rdos/write.c: Ditto.

2006-01-24  Jeff Johnston  <jjohnstn@redhat.com>

	* acinclude.m4: Add nodefine to AM_INIT_AUTOMAKE macro invocation
	so as not to define PACKAGE and VERSION in newlib.h.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* newlib.hin: Ditto.

2006-01-20  Jeff Johnston  <jjohnstn@redhat.com>

	* acconfig.h: New file to generate newlib.hin from.
	* newlib.hin: Regenerated.
	* stamp-h.in: Regenerated.
	* Makefile.am: Add ACLOCAL_AMFLAGS so aclocal can be
	called automatically.
	* Makefile.in: Regenerated.
	* acinclude.m4: Add proper comment for hack in previous change.
	* aclocal.m4 */aclocal.m4: Regenerated.
	* configure */configure: Regenerated.

2006-01-11  Jeff Johnston  <jjohnstn@redhat.com>

	* acinclude.m4: Add hack to prevent INSTALL in subdirs
	from being set to "../".
	* Makefile.am: Pass INSTALL in AM_MAKEFLAGS.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* Makefile.in: Ditto.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* iconvdata/aclocal.m4: Ditto.
	* iconvdata/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.

2006-01-10  Eric Blake  <ebb9@byu.net>

	* libc/stdio/freopen.c (_freopen_r): Fix use of oflags.
	* libc/stdio64/freopen64.c (_freopen64_r): Likewise.

2006-01-10  Jeff Johnston  <jjohnstn@redhat.com>

	* libm/mathfp/s_frexp.c: Check for special values on
	the original input, not the manipulated output value.
	* libm/mathfp/sf_frexp.c: Ditto.
	* libm/mathfp/s_atangent.c: Don't use local value branch
	when checking for quadrant.
	* libm/mathfp/sf_atangent.c: Ditto.

2006-01-09  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/freopen.c: Switch to use isatty instead of _isatty.
	* libc/stdio64/freopen64.c: Ditto.

2006-01-09  Eric Blake  <ebb9@byu.net>

	* libc/stdio/freopen.c (_freopen_r): Accept NULL filename.
	* libc/stdio64/freopen64.c (_freopen64_r): Likewise.

2006-01-06  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/include/getopt.h: Add macros needed by
	new version of getopt.c in libc/stdlib.

2006-01-04  Gregory Pietsch  <gpietsch@comcast.net>

	* libc/stdlib/getopt.c: Replaced with version
	that adds getopt_long and getopt_long_only support.
	* libc/include/getopt.h: New file.

2005-12-16  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 1.14.0 info.
	* README: Ditto.
	* acinclude.m4: Change version number to 1.14.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_1.14.

2005-12-16  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/sys/stat.h: Change *stat64 prototypes to
	take a pointer to struct stat64 rather than struct stat.

2005-12-16  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/include/stdint.h: Prefer long over int for int32_t.
	Use __have_long32 to set up int32_t.
	* libc/include/inttypes.h: Use "#if xxx" instead of "#ifdef xxx"
	(Sync with stdint.h).

2005-12-14  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/fcntl.h: Define O_SYNC unconditionally.  Fix
	typo in O_NDELAY comment.

2005-12-13  Nathan Sidwell  <nathan@codesourcery.com>

	* libc/include/machine/ieeefp.h (__mt__): Renamed from __ms1__.
	* libc/include/machine/setjmp.h (__mt__): Likewise.
	* libc/machine/mt/setjmp.S: Rename ms1 reference to mt.
	* libc/machine/configure.in: Ditto.

2005-12-12  Nathan Sidwell  <nathan@codesourcery.com>

	* configure.host: Replace ms1 arch with mt arch.
	* libc/machine/mt: Renamed from ms1 dir.

2005-12-08  Shaun Jackman  <sjackman@gmail.com>

	* libc/include/sys/types.h: Remove the ifdef armour around
	standard POSIX types.

2005-12-06  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/sys/rtems/crt0.c: Add rtems_gxx_key_create,
	rtems_gxx_key_delete, rtems_gxx_getspecific,
	rtems_gxx_setspecific, rtems_gxx_mutex_trylock, 
	rtems_gxx_recursive_mutex_init, rtems_gxx_recursive_mutex_lock, 
	rtems_gxx_recursive_mutex_trylock, rtems_gxx_recursive_mutex_unlock.

2005-12-05  Christopher Faylor  <cgf@timesys.com>

	* libc/include/stdlib.h: Move cygwin declarations to cygwin-specific
	file.  Declare unsetenv and _unsetenv_r when not cygwin.

2005-11-18  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/strptime.c (strptime): Don't abort for %c and %Z.
	Treat %c as "%a %b %e %H:%M:%S %Y" and ignore %Z.

2005-11-18  Christopher Faylor  <cgf@timesys.com>

	* include/sys/time.h: Move more cygwin stuff to cygwin-specific header.

2005-11-18  Christopher Faylor  <cgf@timesys.com>

	* include/time.h: Remove more cygwin-specific stuff.

2005-11-18  Christopher Faylor  <cgf@timesys.com>

	* include/time.h: Move cygwin declarations to cygwin-specific header.
	* include/sys/time.h: Rename cygwin include to "sys_time.h".

2005-11-17  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/dl/dl-local.h: New file based on old dlfcn.h
	in libc/sys/linux/include.
	* libc/sys/linux/dl/dlfcn.h: Moved to libc/sys/linux/include.
	* libc/sys/linux/dl/ldsodefs.h: Include dl-local.h instead of dlfcn.h.
	* libc/sys/linux/include/dlfcn.h: Replaced with dlfcn.h formerly
	in libc/sys/linux/dl.

2005-11-11  Christopher Faylor  <cgf@timesys.com>

	* libc/include/sys/time.h: For cygwin, use general header rather than
	specific "sys/select.h".

2005-11-08  Tom Walsh  <tom@openhardware.net>

	* libc/time/tzvars.c: New file.
	* libc/time/tzset_r.c: Moved globals into tzvars.c
	so other time functions needn't link in __tzset_r and its
	dependencies.
	* libc/time/Makefile.am: Add the new file.
	* libc/time/Makefile.in: Regenerated.

2005-11-08  Christopher Faylor  <cgf@timesys.com>

	* libc/include/string.h: Add cygwin-specific function declaration.

2005-11-07  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/ieeefp.h: Add C++ guards.

2005-11-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/unix/getcwd.c: Don't use non-reentrant syscall names.
	* libc/unix/getlogin.c: Ditto.
	* libc/unix/getpass.c: Ditto.
	* libc/unix/getut.c: Ditto.
	* libc/unix/ttyname.c: Ditto.

2005-11-03  Shaun Jackman  <sjackman@gmail.com>

	* libc/include/sys/unistd.h (readlink, symlink): Provide these
	prototypes by default.
	* libc/sys/linux/include/unistd.h (readlink): Remove this
	prototype.
	* libc/sys/linux/sys/unistd.h (readlink, symlink): New
	prototypes.

2005-11-01  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/include/stdint.h: Cleanup #if vs. #ifdef.

2005-10-31  Darin Johnson  <darin@usa.net>

	* libm/mathfp/s_mathcnst.c: Fix endian-ness check to be
	correct for constants.

2005-10-28  Bob Wilson  <bob.wilson@acm.org>

	* libc/stdio/siprintf.c: Wrap long lines in ANSI_SYNOPSIS.
	* libc/stdio/siscanf.c: Likewise.
	* libc/stdio/sprintf.c: Likewise.
	* libc/stdio/sscanf.c: Likewise.
	* libc/stdio/vfprintf.c: Likewise.
	* libc/stdio/vfscanf.c: Likewise.
	* libc/stdio/viprintf.c: Likewise.
	* libc/stdio/viscanf.c: Likewise.

2005-10-28  Bob Wilson  <bob.wilson@acm.org>

	* libc/sys.tex (Stubs): Format examples consistently.   Change sbrk
	example to use "_end" symbol instead of "end".  Change write  example
	to use "outbyte" instead of "writechar".

2005-10-28  Bob Wilson  <bob.wilson@acm.org>

	* libc/ctype/ctype.tex: Use hyphens as appropriate, but not  otherwise.
	* libc/ctype/islower.c: Likewise.
	* libc/ctype/isupper.c: Likewise.
	* libc/ctype/iswalnum.c: Likewise.
	* libc/ctype/iswalpha.c: Likewise.
	* libc/ctype/iswblank.c: Likewise.
	* libc/ctype/iswcntrl.c: Likewise.
	* libc/ctype/iswdigit.c: Likewise.
	* libc/ctype/iswgraph.c: Likewise.
	* libc/ctype/iswlower.c: Likewise.
	* libc/ctype/iswprint.c: Likewise.
	* libc/ctype/iswpunct.c: Likewise.
	* libc/ctype/iswspace.c: Likewise.
	* libc/ctype/iswupper.c: Likewise.
	* libc/ctype/iswxdigit.c: Likewise.
	* libc/ctype/tolower.c: Likewise.
	* libc/ctype/toupper.c: Likewise.
	* libc/ctype/towctrans.c: Likewise.
	* libc/ctype/towlower.c: Likewise.
	* libc/ctype/towupper.c: Likewise.
	* libc/string/strcasecmp.c: Likewise.
	* libc/string/strcoll.c: Likewise.
	* libc/string/strings.tex: Likewise.
	* libc/string/strlwr.c: Likewise.
	* libc/string/strncasecmp.c: Likewise.
	* libc/string/strupr.c: Likewise.
	* libc/string/wcscoll.c: Likewise.
	* libc/string/wcslcat.c: Likewise.
	* libc/string/wcslcpy.c: Likewise.
	* libc/string/wcsnlen.c: Likewise.
	* libc/string/wcsstr.c: Likewise.
	* libc/string/wcstrings.tex: Likewise.
	* libc/string/wmemchr.c: Likewise.
	* libc/string/wmemcmp.c: Likewise.
	* libc/string/wmemcpy.c: Likewise.
	* libc/string/wmemmove.c: Likewise.
	* libc/string/wmemset.c: Likewise. 

2005-10-28  Bob Wilson  <bob.wilson@acm.org>

	* libc/misc/unctrl.c: Replace FUNCTION description.
	* libc/signal/signal.c: Remove documentation for raise and  _raise_r.
	* libc/stdio/getdelim.c: Fix spelling errors.
	* libc/stdio/getw.c: Put RETURNS on a separate line.  Fix  punctuation.
	* libc/stdio/putw.c: Likewise.
	* libc/stdlib/a64l.c: Fix formatting, spelling and  punctuation in
        documentation.
	* libc/stdlib/assert.c: Do not capitalize FUNCTION description.
	* libc/stdlib/efgcvt.c: Add spaces to FUNCTION description.
	* libc/stdlib/envlock.c: Use em-dash in FUNCTION description.
	* libc/stdlib/mlock.c: Likewise.
	* libc/stdlib/mstats.c: Likewise.
	* libc/time/tzlock.c: Likewise.
	* libc/stdlib/rand.c: Use "multi-threaded" and "thread-safe"  in NOTES.
	* libc/stdlib/rand48.c: Remove extra space in FUNCTION  description
        and hyphenate "pseudo-random".
	* libc/string/bcmp.c: Remove extra blank lines in  documentation.
	* libc/string/strncat.c: Likewise.
	* libc/string/memchr.c: Remove extra ">" character in  documentation.
	* libc/string/strcspn.c: Use "characters" instead of "chars".
	* libc/string/strpbrk.c: Likewise.
	* libc/string/strerror_r.c: Capitalize "GNU".
	* libc/string/strnlen.c: Likewise.
	* libc/string/strtok.c: Fix formatting, spelling and  punctuation in
        documentation.  Use "multi-threaded" and "thread-safe" in  NOTES.
	* libc/string/wcscat.c: Split PORTABILITY into two paragraphs.
	* libc/string/wcschr.c: Likewise.
	* libc/string/wcscmp.c: Likewise.
	* libc/string/wcscpy.c: Likewise.
	* libc/string/wcscspn.c: Likewise.
	* libc/string/wcslen.c: Likewise.
	* libc/string/wcsncat.c: Likewise.
	* libc/string/wcsncmp.c: Likewise.
	* libc/string/wcsncpy.c: Likewise.
	* libc/string/wcsnlen.c: Likewise.
	* libc/string/wcspbrk.c: Likewise.
	* libc/string/wcsrchr.c: Likewise.
	* libc/string/wcsspn.c: Likewise.
	* libc/string/wmemchr.c: Likewise.
	* libc/string/wmemcmp.c: Likewise.
	* libc/string/wmemcpy.c: Likewise.
	* libc/string/wmemset.c: Likewise.
	* libc/string/wmemmove.c: Likewise.  Also fix FUNCTION  description.
	* libc/string/wcswidth.c: Formatting and punctuation in  documentation.
	* libc/string/wcwidth.c: Likewise.
	* libm/common/s_modf.c: Remove extra period from documentation.
	* libm/math/s_isnan.c: Fix formatting, grammar and  punctuation in
        documentation.
	* libm/mathfp/s_isnan.c: Likewise.
	* libm/math/s_ldexp.c: Fix punctuation.
	* libm/mathfp/s_ldexp.c: Likewise.
	* libm/math/w_log.c: Likewise.
	* libm/mathfp/s_logarithm.c: Likewise.
	* libm/math/w_j0.c: Add spaces to FUNCTION description.
	* libm/mathfp/w_jn.c: Likewise. 

2005-10-26  Shaun Jackman  <sjackman@gmail.com>

	* libc/posix/scandir.c (scandir): Update the function
	prototype to match the header.
	* libc/sys/linux/linuxthreads/bits/libc-lock.h: Remove an
	extraneous #endif.
	* libc/sys/linux/sys/lock.h: Do not include
	machine/weakalias.h, since it's not used by this file.

2005-10-26  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/Makefile.am: Reorder SUBLIBS so machine and sys
	directories can override properly.

2005-10-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/math.h (HUGE_VAL, HUGE_VALF, HUGE_VALL): When
	gcc is 3.3 or greater, use special gcc builtins.

2005-10-20  Corinna Vinschen <corinna@vinschen.de>

	* libc/include/sys/time.h: Declare futimes and lutimes for Cygwin.

2005-10-18  Corinna Vinschen <corinna@vinschen.de>

	* libc/include/sys/features.h: Define _POSIX_MEMLOCK_RANGE for Cygwin.

2005-10-14  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/math.h (HUGE_VALF, HUGE_VALL): New.
	* libm/common/Makefile.am: Add s_infconst.c support.
	* libm/common/Makefile.in: Regenerated.
	* libm/common/s_infconst.c: New file with float and
	long double infinity support added.
	* libm/math/Makefile.am: Remove s_infconst.c support.
	* libm/math/Makefile.in: Regenerated.
	* libm/math/s_infconst.c: Moved to common directory.
	* libm/mathfp/Makefile.am: Remove s_infconst.c support.
	* libm/mathfp/Makefile.in: Regenerated.
	* libm/mathfp/s_infconst.c: Moved to common directory.

2005-10-14  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/net/gethostbydns.c (dprintf): Rename to
	dbgprintf to prevent conflict with new dprintf function.

2005-10-14  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Fix up "inf" and
	"nan" processing for systems that have long double support.

2005-10-14  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/sys/types.h (int8_t): Add type.

2005-10-14  Bob Wilson  <bob.wilson@acm.org>

        * libm/common/Makefile.am (doc): Do not append to $(TARGETDOC).
        * libm/common/Makefile.in: Regenerate.
        * libm/common/common.tex: Delete file.
        * libm/math/math.tex: Include .def files from common/.
        * libm/mathfp/mathfp.tex: Likewise.

2005-10-14  Bob Wilson  <bob.wilson@acm.org>

	* libc/libc.texinfo (Top): Surround this node with @ifnottex
	instead of @ifinfo.  Update menu to add Introduction and match
	SUBDIRS order.
        (Introduction): New section.

2005-10-14  Bob Wilson  <bob.wilson@acm.org>

        * libc/reent/reent.tex (Reentrancy): Replace "Cygnus C Library"
        with "Red Hat newlib C Library".
        * libc/sys.tex (Stubs): Likewise.
        * libm/math/math.tex (Math): Likewise.
        * libm/mathfp/mathfp.tex (Math): Likewise.

2005-10-11  Shaun Jackman  <sjackman@gmail.com>

	* libc/include/stdio.h (dprintf): New declaration.
	(vdprintf): Ditto.
	* libc/stdio/Makefile.am (GENERAL_SOURCES): Add dprintf.c
	and vdprintf.c.
	* libc/stdio/Makefile.in: Regenerate.
	* libc/stdio/dprintf.c: New file.
	* libc/stdio/vdprintf.c: New file.
	* libc/stdio/stdio.tex (dprintf): New entry.

2005-10-11  David Weatherford  <weath@tensilica.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Recognize 'F' format.
	Print "inf" and "nan" in lowercase for e/f/g formats and in 
	uppercase for E/F/G formats.

2005-10-07  Bob Wilson  <bob.wilson@acm.org>

	* libc/stdlib/mallocr.c (mALLOc, rEALLOCc, mEMALIGn): Set errno
	to ENOMEM on failure.

2005-10-06  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/include/stdint.h: Add [u]int_fast<N>_t types.

2005-10-04  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/include/stdint.h: Move magic to set __have_long* to the
	beginning.  Use #if __have* instead of #if defined(__have*).
	Minor typo fixes.

2005-10-04  James E Wilson  <wilson@specifix.com>

	* libc/include/sys/dirent.h (_DIRENT_H_): Delete #include_next.  Add
	#error.

2005-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/include/stdint.h: Include <sys/types.h> and
	incorporate Ralf's change below.

2005-10-03  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/include/stdint.h: 
	Use __INTMAX_TYPE__ to derive intmax_t.
	Use __UINTMAX_TYPE__ to derive uintmax_t.
	Fix minor typo.

2005-09-27  Ralf Corsepius <ralf.corsepius@rtems.org>

	* libc/include/stdint.h: Correct __STDINT_EXP macro incorrectly 
	handling GCC >= 4.

2005-09-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/include/stdint.h: Update to match functionality
	of generic newlib stdint.h.

2005-09-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdint.h (__EXP): Rename to __STDINT_EXP
	and do not #undef the macro after it is used.  Fix typos.
	Also change 64-bit constants to use the __have_long64 and
	__have_longlong64 flags to determine if long or long long
	constants should be used.
	* libc/include/inttypes.h: Include stddef.h to get wchar_t
	type defined.

2005-09-20  Shaun Jackman  <sjackman@gmail.com>

	* libc/include/stdint.h: Fix typo in names of
	LEAST macros.

2005-09-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/rtems/include/inttypes.h: Moved to...
	* libc/include/inttypes.h: ...here.

2005-09-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/rtems/include/stdint.h: Moved to...
	* libc/include/stdint.h: ...here.

2005-09-08  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am: Add include files under bits sub-directory.
	* Makefile.in: Regenerated.
	* libc/sys/linux/argp/argp-fs-xinl.c: Set __OPTIMIZE__ to
	actual value of 1 to be compatible with newer glibc headers.
	* libc/sys/linux/sys/cdefs.h: Fix to be compatible with newer
	glibc headers.
	* libc/sys/linux/sys/dirent.h: Ditto.
	* libc/sys/linux/argp/argp-xinl.c: Ditto.
	* libc/sys/linux/dl/dl-runtime.c: Make sure fixup and
	profile_fixup routines are marked used so they won't be
	optimized away.
	* libc/sys/linux/dl/dl-cache.c: Don't use weak_extern macro
	to mark functions as weak.
	* libc/sys/linux/dl/dl-open.c: Ditto.
	* libc/sys/linux/iconv/gconv_open.c: Fix to obey new gcc4
	rules about lvalues.
	* libc/sys/linux/iconv/gconv_simple.c: Ditto.
	* libc/sys/linux/linuxthreads/bits/libc-lock.h: Don't use
	weak_extern macro to mark functions as weak.  Instead always
	use #pragma weak.
	* iconvdata/jis0208.h: Fix to work with gcc4.
	* libc/sys/linux/dl/dl-load.c: Ditto.
	* libc/sys/linux/dl/dl-reloc.c: Ditto.
	* libc/sys/linux/dl/do-rel.h: Ditto.
	* libc/sys/linux/dl/dynamic-link.h: Ditto.
	* libc/sys/linux/include/ltdl.h: Ditto.
	* libc/sys/linux/machine/i386/dl-machine.h: Ditto.
	* libc/sys/linux/machine/i386/weakalias.h: Ditto.
	* libc/sys/linux/net/ns_ntoa.c: Ditto.
	* libc/sys/linux/bits/initspin.h: New file.
	* libc/sys/linux/bits/libc-lock.h: Ditto.
	* libc/sys/linux/bits/pthreadtypes.h: Ditto.
	* libc/sys/linux/bits/typesizes.h: Ditto.

2005-09-08  Eric Blake  <ebb9@byu.net>

	* libc/argz/argz_insert.c (argz_insert): Don't die with EINVAL when
	before is NULL.

2005-09-08  Brian Dessent  <brian@dessent.net>

	* sf_lrint.c (lrintf): Mask 'i0' correctly when extracting
	mantissa.
	* s_lrint.c: Ditto.

2005-09-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdio.h: Add prototype for viprintf.

2005-09-01  Jeff Johnston  <jjohnstn@redhat.com>

	* libm/mathfp/s_pow.c: (pow): Change code so 0 raised to
	any positive power results in 0.
	* libm/mathfp/sf_pow.c (powf): Ditto.

2005-08-31  Paul Brook  <paul@codesourcery.com>

	* configure.host: Set have_crt0 to no for Arm targts when not
	providing syscalls.  Set sys_dir=arm unconditionally.
	Default have_crt0 based on sys_dir.
	* configure.in: Use have_crt0.
	* libc/configure.in: Ditto.
	* libc/sys/configure.in: Ditto.
	* configure: Regenerate.
	* libc/configure: Regenerate.
	* libc/sys/configure: Regenerate.
	* libc/sys/arm/Makefile.am (lib_a_SOURCES): Add aeabi_atexit.c.
	Only build other files when providing syscalls.
	* libc/sys/arm/Makefile.in: Regenerate.
	* libc/sys/arm/aeabi_atexit.c: New file.

2005-08-26  Christopher Faylor  <cgf@timesys.com>

	* libc/include/string.h: Revert previous change.

2005-08-25  Christopher Faylor  <cgf@timesys.com>

	* libc/include/string.h: For Cygwin, Define strerror_r as per ISO C.

2005-08-22  Shaun Jackman  <sjackman@gmail.com>

	* libc/include/_syslist.h: If HAVE_OPENDIR is not defined,
	define _opendir as opendir, _readdir as readdir, and
	_closedir as closedir so that the implementations in
	libc/posix will be used.

2005-08-10  DJ Delorie  <dj@redhat.com>

	* MAINTAINERS (CPU Ports): Add CPU port maintainer section.

2005-08-10  Stephen Huw Clarke  <stephen.clarke@st.com>

	* libm/common/sf_fmax.c: Fix to properly handle NaNs.
	* libm/common/s_max.c: Ditto.
	* libm/common/sf_fmin.c: Ditto.
	* libm/common/s_min.c: Ditto.

2005-08-10  DJ Delorie  <dj@redhat.com>

	* configure.host: Add m32c support.
	* libc/include/machine/ieeefp.h: Likewise.
	* libc/include/machine/setjmp.h: Likewise.
	* libc/include/sys/config.h: Likewise.
	* libc/machine/m32c: New directory, Renesas R8C/M16C/M32C support.
	* libc/machine/m32c/aclocal.m4: New file.
	* libc/machine/m32c/configure: Ditto.
	* libc/machine/m32c/configure.in: Ditto.
	* libc/machine/m32c/Makefile.am: Ditto.
	* libc/machine/m32c/Makefile.in: Ditto.
	* libc/machine/m32c/setjmp.S: Ditto.

2005-08-02  Bob Wilson  <bob.wilson@acm.org>

        * libm/math/ef_hypot.c (__ieee754_hypotf): Add missing exponent bias
        to the value for 2^126.

2005-07-26  Hans-Peter Nilsson  <hp@bitrange.com>

	* libc/machine/cris/libcdtor.c (defaultors): Mark artificially as
	used.

2005-07-20  Bob Wilson  <bob.wilson@acm.org>
           Darin Petkov <darin@tensilica.com>

       * libm/math/ef_atan2.c (pi, pi_lo): Use round-to-nearest value of pi.

2005-07-19  Paul Brook  <paul@codesourcery.com>

	* libc/sys/arm/crt0.S: Ensure doubleword stack alignment.

2005-07-18  Joseph S. Myers  <joseph@codesourcery.com>

	* testsuite/lib/checkoutput.exp (newlib_check_output): Use test
	names after PASS and FAIL which do not depend on source directory
	name or on whether test passed or failed.
	* testsuite/lib/passfail.exp (newlib_pass_fail): Likewise.

2005-07-08  Ola Hugosson   <Ola.Hugosson@anoto.com>

	* libc/string/wcsspn.c (wcsspn): Add missing increment of q.

2005-07-07  Shaun Jackman  <sjackman@gmail.com>

	* libc/unix/ttyname.c (ttyname): Avoid calling _closedir
	twice for the same directory. _closedir calls free, and freeing
	the same pointer twice may cause a crash.

2005-07-06  Aldy Hernandez  <aldyh@redhat.com>

        * configure.host: Added entry for ms1*.
        * libc/include/machine/ieeefp.h: Handle ms1.
        * libc/include/machine/setjmp.h (_JBLEN): Define for ms1.
        * libc/machine/ms1/aclocal.m4: New.
        * libc/machine/ms1/configure: New.
        * libc/machine/ms1/configure.in: New.
        * libc/machine/ms1/Makefile.am: New.
        * libc/machine/ms1/Makefile.in: New.
        * libc/machine/ms1/setjmp.S: New.

2005-07-04  Mark Mitchell  <mark@codesourcery.com>

	* Makefile.am (site.exp): Set tmpdir.
	* Makefile.in: Regenerated.
	* testsuite/lib/checkoutput.exp (newlib_check_output): Put
	executables in $tmpdir.
	* testsuite/lib/flags.exp (libgloss_link_flags): Use the original
	libgloss version if not running in the build directory.
	* testsuite/lib/newlib.exp (newlib_init): Put testglue.o in
	$tmpdir.
	* testsuite/lib/passfail.exp (newlib_pass_fail): Put executables
	in $tmpdir.

2005-06-28  Dave Korn  <dave.korn@artimi.com>

	* libm/common/s_lrint.c (lrint):  Fix signed-vs-unsigned comparison
	and miscalculation caused by fp representation of zero.
	* libm/common/sf_lrint.c (lrintf):  Likewise.

2005-06-16  Christopher Faylor  <cgf@timesys.com>

	* libc/stdio/vfprintf.c (cvt): Don't rely on pointer aliasing to
	determine characteristics of long double.  Use a union instead.
	* ldtoa.c (_ldtoa_r): Ditto.
	(_ldcheck): Ditto.
	(_strtold): Ditto.
	(union uconv): New union.

2005-06-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/mallocr.c (MALLOC_COPY): Switch to use memmove
	instead of memcpy.

2005-05-12  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host (mn10300-*): Add long long I/O support by default.

2005-05-12  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/getpwuid.c: Removed.
	* libc/sys/linux/getpwnam.c: Removed.
	* libc/sys/linux/getpwent.c: New file containing logic
	from files removed above.  This allows overriding of file
	in libc/unix.
	* libc/sys/linux/Makefile.am: Support changes above.
	* libc/sys/linux/Makefile.in: Regenerated.

2005-04-28  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfscanf.c (__svfscanf_r): Fix code thinko
	when checking for multiple flags.

2005-04-18  Hans-Peter Nilsson  <hp@axis.com>

	* configure.host <cris-*-* | crisv32-*-*>: Set
        default_newlib_io_long_long="yes".

2005-04-08  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/libgen.h: New file.

2005-04-08  Shaun Jackman  <sjackman@gmail.com>

	* libc/unix/Makefile.am: Add support for basename and dirname.
	* libc/unix/Makefile.in: Regenerated.
	* libc/unix/basename.c: New file.
	* libc/unix/dirname.c: New file.

2005-04-07  Shaun Jackman  <sjackman@gmail.com>

	* libc/sys/linux/inode.c (lchown): New function.

2005-04-07  Shaun Jackman  <sjackman@gmail.com>

	* libc/unix/Makefile.am (LIB_OBJS): Include all the ELIX objects if no
	ELIX level is defined.
	* libc/unix/Makefile.in: Regenerated.

2005-04-05  Dave Korn  <dave.korn@artimi.com>

	* libc/stdio/vfscanf.c (__svfscanf_r): If an error occurs processing
	something that looks like a "NaN", put back the characters processed.

2005-04-01  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdlib/strtod.c (_strtod_r): Never change s00.

2005-03-23  Christopher Faylor  <cgf@timesys.com>

	* configure.host: For cygwin, redefine CC with cygwin include directory
	first to mimic the behavior of the top-level configury.  Move include
	directory out of newlib_cflags.

2005-03-22  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: For arc, set -DREENTRANT_SYSCALLS_PROVIDED flag on.
	* libc/sys/arc/syscalls.c: Change functions to use __errno_r rather 
	than errno.

2005-03-22  Christopher Faylor  <cgf@timesys.com>

	* libc/include/machine/_types.h: Make trivial change to comment to
	avoid a spurious warning from gcc.

2005-03-21  Nicholas Wourms  <nwourms@netscape.net>

	* libc/stdio/vfprintf.c: Move newlib.h before _WANT_IO_POS_ARGS test,
	since _WANT_IO_POS_ARGS is now defined in there.  Remove duplicate
	reent.h include.

2005-03-18  Hans-Peter Nilsson  <hp@axis.com>
            Corinna Vinschen  <corinna@vinschen.de>

        * libc/include/ctype.h: Remove invalid +1 offset from
        ctype macro references to __ctype_ptr.
        (_ctype_): Move declaration outside #ifndef __cplusplus.

2005-03-18  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/machine/setjmp.h (sigsetjmp): Use GCC extension to
	evaluate first parameter only once.
	(siglongjmp): Ditto.

2005-03-17  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.in: Add new check to see if compiler supports
	aliasing of arrays and define _HAVE_ARRAY_ALIASING if true.
	* configure: Regenerated.
	* Makefile.in: Ditto.
	* newlib.hin: Add _HAVE_ARRAY_ALIASING.
	* libc/ctype/ctype_.c: Check for _HAVE_ARRAY_ALIASING before
	aliasing the _ctype_ array to _ctype_b.
	* libc/include/ctype.h: Change macros to use __ctype_ptr.  Mark
	_ctype_ as deprecated.

2005-03-17  Hans-Peter Nilsson  <hp@axis.com>

	* configure.host (newlib_cflags) <cris-*-*, crisv32-*-*>: Add
	-DCOMPACT_CTYPE.

2005-03-06  Ralf Corsepious  <ralf.corsepius@rtems.org>

	* libc/sys/rtems/include/inttypes.h: New file.
	* libc/sys/rtems/include/stdint.h: Ditto.

2005-03-06  Ralf Corsepious  <ralf.corsepius@rtems.org>

	* libc/string/memcmp.c: Fix to avoid pointer signedness warning.

2005-03-06  Ralf Corsepious  <ralf.corsepius@rtems.org>

	* libc/include/machine/_types.h: New file.
	* libc/include/sys/types.h: Do not check for __rtems__
	when including <machine/_types.h>.  Remove some redundant
	declarations now that <machine/_types.h> is included.
	* libc/sys/rtems/machine/_types.h: Removed.  Replaced with
	shared header file.

2005-02-25  Ralf Corsepious  <ralf.corsepius@rtems.org>

	* libm/common/fdlibm.h (FLT_UWORD_MAX, FLT_UWORD_HALF_MAX): Add
	L qualifier for these long constants.

2005-02-25  Eric Blake  <ebb9@byu.net>

	* libc/include/time.h (__tzrule_struct): Make offset long, since
	a 16-bit int overflows on a 12-hour offset.
	* libc/sys/linux/include/time.h: Ditto.
	* libc/time/mktime.c (mktime): Use new type of __tzrule.offset.
	* libc/time/mktm_r.c: Ditto.
	* libc/time/gettzinfo.c: Ditto.
	* libc/time/strftime.c (strftime): Fix '%x' to deal with negative
	years.  Fix '%z' to use long, not int.

2005-02-24  Ralf Corsepious  <ralf.corsepius@rtems.org>

	* libm/common/s_fpclassify.c: Use __uint32_t instead of int to
	manipulate float values in integer form.
	* libm/common/sf_round.c: Ditto.

2005-02-24  Ralf Corsepious  <ralf.corsepius@rtems.org>

	* libc/include/sys/types.h [__rtems__]: Include new
	header file machine/_types.h.
	* libc/include/machine/types.h: Ditto.
	* libc/sys/rtems/machine/_types.h: New file.

2005-02-23  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/time.h (_timezone): Change to long also for Cygwin.
	(timezone): Drop cast from definition.

2005-02-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/time.h [!CYGWIN](_timezone): Change to long.
	(__tzrule_type, __tzinfo_type): New types.
	(__gettzinfo): New function.
	* libc/sys/linux/include/time.h: Ditto.
	* libc/time/Makefile.am: Add gettzinfo.c.
	* libc/time/Makefile.in: Regenerated.
	* libc/time/local.h: Moved __tzrule_type to time.h.
	* libc/time/mktime.c: Call __gettzinfo to reference
	__tznorth, __tzyear, and __tzrule array.
	* libc/time/mktm_r.c: Ditto.
	* libc/time/strftime.c: Ditto.
	* libc/time/tzset_r.c: Ditto.  Also remove definition
	of __tzrule which is now in gettzinfo.c.  Change _timezone
	references to not cast to time_t.
	* libc/time/gettzinfo.c: New file.

2005-02-23  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/unistd.h: Define getpeereid for Cygwin.

2005-02-22  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/unistd.h: Define fdatasync also for Cygwin.

2005-02-16  Eric Blake  <ebb9@byu.net>

	* libc/time/time.tex: Improve the documentation.
	* libc/time/strftime.c: Improve the documentation.
	(iso_year_adjust): New helper function.
	(strftime): Simplify '%E' and '%O'. Change '%c' to use
	recursion. Fix '%C', '%y', and '%Y' to deal with years with more
	than 4 characters.  Combine '%d' and '%e'. Implement '%D', '%F',
	'%g', '%G', '%n', '%R', '%t', '%T', '%u', '%V', '%X', and '%z'.
	Avoid core dumps on valid inputs (maxsize == 0, or
	tim_p->tm_isdst > 1).

2005-02-08  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/pwd.h (struct passwd): Change pw_uid and pw_gid
	members to uid_t and gid_t according to SUSv3.
	* libc/include/sys/time.h (utimes):  Change second parameter
	to const according to SUSv3.

2005-02-07  Antony King  <antony.king@st.com>

	* libc/stdio/clearerr.c (clearerr): Ensure CHECK_INIT() is
	called before _flockfile to prevent lock object use before
	initialisation. _REENT_SMALL_CHECK_INIT() and CHECK_INIT()
	take a struct _reent * instead of a FILE *.
	* libc/stdio/fclose.c (_fclose_r): Ditto.
	* libc/stdio/feof.c (feof): Ditto.
	* libc/stdio/ferror.c (ferror): Ditto.
	* libc/stdio/fflush.c (fflush): Ditto.
	* libc/stdio/fgetc.c (fgetc): Ditto.
	* libc/stdio/fgets.c (fgets): Ditto.
	* libc/stdio/fileno.c (fileno): Ditto.
	* libc/stdio/fputc.c (fputc): Ditto.
	* libc/stdio/fputs.c (fputs): Ditto.
	* libc/stdio/fread.c (fread): Ditto.
	* libc/stdio/freopen.c (_freopen_r): Ditto.
	* libc/stdio/fseek.c (_fseek_r): Ditto.
	* libc/stdio/ftell.c (_ftell_r): Ditto.
	* libc/stdio/fwrite.c (fwrite): Ditto.
	* libc/stdio/getc.c (getc): Ditto.
	* libc/stdio/getdelim.c (__getdelim): Ditto.
	* libc/stdio/putc.c (putc): Ditto.
	* libc/stdio/setvbuf.c (setvbuf): Ditto.
	* libc/stdio/ungetc.c (_ungetc_r): Ditto.
	* libc/stdio/vfprintf.c (_VFPRINTF_R): Ditto.
	* libc/stdio64/freopen64.c (_freopen64_r): Ditto.
	* libc/stdio64/fseeko64.c (_fseeko64_r): Ditto.
	* libc/stdio64/ftello64.c (_ftello64_r): Ditto.
	* libc/stdio/local.h (CHECK_INIT): Argument is now a struct
	_reent * instead of a FILE * and so replace incorrect use of
	_REENT with argument.
	* libc/sys/arm/syscalls.c (CHECK_INIT): Ditto.
	* libc/stdio/getchar.c (getchar): _REENT_SMALL_CHECK_INIT() and
	CHECK_INIT() take a struct _reent * instead of a FILE *.
	* libc/stdio/iprintf.c (iprintf, _iprintf_r): Ditto.
	* libc/stdio/iscanf.c (iscanf, _iscanf_r): Ditto.
	* libc/stdio/perror.c (perror): Ditto.
	* libc/stdio/printf.c (printf, _printf_r): Ditto.
	* libc/stdio/putchar.c (putchar): Ditto.
	* libc/stdio/puts.c (puts): Ditto.
	* libc/stdio/refill.c (__srefill): Ditto.
	* libc/stdio/scanf.c (scanf, _scanf_r): Ditto.
	* libc/stdio/vfscanf.c (VFSCANF, _VFSCANF_R): Ditto.
	* libc/stdio/viprintf.c (viprintf, _viprintf_r): Ditto.
	* libc/stdio/viscanf.c (viscanf, _viscanf_r): Ditto.
	* libc/stdio/vprintf.c (vprintf, _vprintf_r): Ditto.
	* libc/stdio/vscanf.c (vscanf, _vscanf_r): Ditto.
	* libc/stdio/wbuf.c (__swbuf): Ditto.
	* libc/stdio/wsetup.c (__swsetup): Ditto.
	* libc/stdlib/mallocr.c (malloc_stats): Ditto.
	* libc/stdlib/mstats.c (_mstats_r): Ditto.
	* libc/include/sys/reent.h (_REENT_SMALL_CHECK_INIT): Ditto.
	* libc/machine/powerpc/vfscanf.c (vfscanf): Ditto.
	* libc/stdio/fgetpos.c (_fgetpos_r): Removed unnecessary calls
	to _flockfile and _funlockfile; rely on locking in _ftell_r.
	* libc/stdio64/fgetpos64.c (_fgetpos64_r): Ditto (_ftello64_r).
	* libc/machine/powerpc/vfprintf.c (__sbprintf): Removed unnecessary
	initialision of _data field in FILE structure.
	* libc/machine/powerpc/vfprintf.c (VFPRINTF): Added CHECK_INIT() call.

2005-02-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/findfp.c (__sinit): Protect with new lock.
	(__sinit_lock): New lock.
	(__sinit_lock_acquire, __sinit_lock_release): New functions.
	* libc/stdio/local.h: Add reference to new __sinit locking
	functions.

2005-02-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/math.h (isfinite, isnormal, isunordered): Change
	input variable names to avoid mixups with nesting macros.

2005-01-27  Hans-Peter Nilsson  <hp@axis.com>

	* configure.host: Add support for cris-*-* and crisv32-*-*.
	* libc/include/machine/ieeefp.h: Ditto.
	* libc/include/machine/setjmp.h: Ditto.
	* libc/machine/cris/configure.in, libc/machine/cris/Makefile.am,
	libc/machine/cris/libcdtor.c, libc/machine/cris/setjmp.c,
	libc/machine/cris/memmove.c, libc/machine/cris/memcpy.c,
	libc/machine/cris/memset.c, libc/machine/cris/include/pthread.h,
	libc/machine/cris/sys/signal.h, libc/machine/cris/sys/fcntl.h,
	libc/machine/cris/sys/errno.h, libc/machine/cris/aclocal.m4,
	libc/machine/cris/configure, libc/machine/cris/Makefile.in: New
	files.

2005-01-27  Hans-Peter Nilsson  <hp@axis.com>

	* testsuite/newlib.string/memmove1.c: New test.

2005-01-27  Hans-Peter Nilsson  <hp@axis.com>

	* testsuite/include/check.h: Include stdlib.h.

2005-01-27  Hans-Peter Nilsson  <hp@axis.com>

	* Makefile.am (stmp-targ-include): Support include header files
	from machine directories.
	(install-data-local): Ditto.
	* Makefile.in: Regenerate.

2005-01-24  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/string.h: Remove Linux-specific declaration of
	strsignal and add #include <sys/string.h>.
	* libc/include/sys/string.h: New file.
	* libc/include/sys/linux/sys/string.h: New file with strsignal
	declaration deleted above.

2005-01-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/strftime.c (strftime): Change %r and %x to be compliant
	to POSIX standard for "C" locale.  Allow %E and %O modifiers
	to be ignored as long as they precede valid specifiers according
	to POSIX.

2005-01-19  Shaun Jackman  <sjackman@gmail.com>

	* libc/stdlib/setenv_r.c (_setenv_r): Call tzset() if the TZ
	environment variable is set.

2005-01-19  Shaun Jackman  <sjackman@gmail.com>

        * tzset_r.c (_tzname): Add a comma.

2005-01-18  Aldy Hernandez  <aldyh@redhat.com>

	* libc/machine/powerpc/vfprintf.c: Use _REENT when calling
	_VFPRINTF_R.

2005-01-07  Paul Brook  <paul@codesourcery.com>
                                                                                
	* configure.in: Add test for .init_array.
	* configure: Regenerate.
	* newlib.hin: Add HAVE_INITFINI_ARRAY.
	* libc/misc/Makefile.am: Add init.c
	* libc/misc/Makefile.in: Regenerate.
	* libc/misc/init.c: New file.
	* libc/sys/arm/crt0.S: Call __libc_{init,fini}_array instead of
	_init/_fini if they exist.
                                                                                
2005-01-06  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/strtod.c (_strtod_r): Add NaN support.
	* (strtof): Ditto.
	* libc/stdio/vfscanf.c (__svfscanf_r): Ditto.
	* Makefile.am (MATHOBJS_IN_LIBC): Add s_nan and sf_nan
	functions for use by strtod and strtof.
	* Makefile.in: Regenerated.
                                                                                
2005-01-06  Hans-Peter Nilsson  <hp@axis.com>
                                                                                
	* libc/stdio/ftell.c (ftell_r): Add parenthesis for __SWR
	bit-test in combination with NULL test.
                                                                                
2005-01-06  Hans-Peter Nilsson  <hp@axis.com>
                                                                                
        * README: Fix typo of LGPL.  Change "license" to "copyright".
                                                                                
2004-12-17  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 1.13.0 info.
	* README: Ditto.
	* acinclude.m4: Change version number to 1.13.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_1.13.

2004-12-17  Christian Groessler  <chris@groessler.org>

	* libc/machine/z8k/memcmp.S: New file.
	* libc/machine/z8k/memcpy.S: Ditto.
	* libc/machine/z8k/memmove.S: Ditto.
	* libc/machine/z8k/memset.S: Ditto.
	* libc/machine/z8k/Makefile.am: Add new files.
	* libc/machine/z8k/Makefile.in: Regenerated.
	* libc/machine/z8k/setjmp.S: Fix indirect register usage in Z8002
	part.  Implement Z8002 stdcall version.

2004-12-13  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/fread.c (fread): For unbuffered I/O, attempt
	a low-level read if we don't get the full amount of bytes so
	EOF or error flags will be set.

2004-12-09  Alex Mogilnikov  <alx@intellectronika.ru>

	* libc/time/tzset_r (_tzset_r): Properly skip over
	'/' when it is detected.

2004-12-08  Alex Mogilnikov  <alx@intellectronika.ru>

	* libc/time/tzset_r (_tzset_r): Fix loop.

2004-12-08  Alex Mogilnikov  <alx@intellectronika.ru>

	* libc/time/mktm_r (_mktm_r): Fix overflow calculation for
	m_day.
	(__tzcalc_limits): Fix reference to month array to be zero-based.

2004-12-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/sys/unistd.h: Add prototypes for ftruncate, truncate,
	and usleep.

2004-12-03  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am (libc_la_LDFLAGS): Add -lgcc to handle any
	libgcc dependencies.
	(libm_la_LDFLAGS): Ditto.
	* Makefile.in: Regenerated.

2004-12-03  Shaun Jackman  <sjackman@gmail.com>

	* libc/sys/linux/linuxthreads/Makefile.am (install-data-local): Fix
	our link to use readlink so as to preserve any relative link created
	by install-toollibLIBRARIES.
	* libc/sys/linux/linuxthreads/Makefile.in: Regenerated.

2004-12-02  Shaun Jackman  <sjackman@gmail.com>

	* libc/sys/linux/stdlib/glob.c: Include <sys/types.h> which defines
	time_t before including sys/stat.h, which uses it.
	* libc/sys/linux/sys/stat.h: Include <sys/types.h> and
	<linux/time.h> just prior to definition of __KERNEL__ so as to
	allow building on Debian Linux where otherwise, mktime would
	be redefined.

2004-11-26  Paul Brook  <paul@codesourcery.com>

	* libc/sys/arm/crt0.S (_start): Add .cantunwind annotation.
                                                                                
2004-11-24  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdlib.h (putenv, _putenv_r): Change to remove
	const for value string parameter to match Single Unix and glibc.
	* libc/stdlib/putenv.c: Ditto.
	* libc/stdlib/putenv_r.c: Ditto.

2004-11-24  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/Makefile.am: Fix missing vfscanf.
	* libc/stdio/Makefile.in: Regenerated.
                                                                                
2004-11-23  Jeff Johnston  <jjohnstn@redhat.com>
                                                                                
	* libc/include/stdio.h: Add new iprintf and iscanf variants.  Also
	do some reordering.
	* libc/machine/powerpc/vfscanf.c: Remove __sccl function.
	* libc/stdio/Makefile.am: Add support for new iprintf and iscanf
	family functions.
	* libc/stdio/Makefile.in: Regenerated.
	* libc/stdio/fiprintf.c: Remove doc to siprintf.c.
	* libc/stdio/iprintf.c: Ditto.
	* libc/stdio/local.h (__svfiscanf_r): New prototype.
	* libc/stdio/siprintf.c: Add docs for various iprintf family functions.
	* libc/stdio/sniprintf.c: Move docs to siprintf.c.
	* libc/stdio/stdio.tex: Add new functions.
	* libc/stdio/vfscanf.c: Split out __sccl function to separate
	file and add special name defines so this file can be used
	to build vfiscanf.o.
	* libc/stdio/asiprintf.c: New file.
	* libc/stdio/fiscanf.c: Ditto.
	* libc/stdio/iscanf.c: Ditto.
	* libc/stdio/sccl.c: Ditto.
	* libc/stdio/siscanf.c: Ditto.
	* libc/stdio/vasiprintf.c: Ditto.
	* libc/stdio/viprintf.c: Ditto.
	* libc/stdio/viscanf.c: Ditto.
	* libc/stdio/vsiprintf.c: Ditto.
	* libc/stdio/vsiscanf.c: Ditto.
	* libc/stdio/vsniprintf.c: Ditto.

2004-11-19  Shaun Jackman  <sjackman@gmail.com>
                                                                                
        * libc/include/stdio.h: Add sniprintf.
        * libc/stdio/Makefile.am: Add sniprintf.c.
        * libc/stdio/Makefile.in: Regenerated.
        * libc/stdio/sniprintf.c: New file.
        * libc/stdio/stdio.tex: Add sniprintf.
                                                                                
2004-11-17  Christopher Faylor  <cgf@timesys.com>

	* libc/stdio/refill.c (__srefill): Try again after EOF on Cygwin.  Clear
	EOF flag if successful.

2004-10-28  Christopher Faylor  <cgf@timesys.com>

	* libc/include/sys/signal.h: Move <signal.h> include to bottom of file
	so that all relevant definitions have been performed for use in the
	include.

2004-10-26  Jason Tishler  <jason@tishler.net>

	* libc/stdio/fread.c (fread): Fix return value for unbuffered
	fread.

2004-10-25  Ralf Corsepius <corsepiu@faw.uni-ulm.de>

	* libc/include/machine/setjmp.h: Add AVR support.
	* libc/sys/rtems/crt0.S [__AVR__]: Add __stack.

2004-10-08  Jeff Johnston  <jjohnstn@redhat.com>
                                                                                
        * libc/include/sys/signal.h: If <signal.h> didn't include
        this header file, include <signal.h> to account for
        applications that take advantage that the two header
        files are the same in glibc.
                                                                                
2004-10-05  Tomer Levi  <Tomer.Levi@nsc.com>

        * configure.host: Add support for crx.
        * libc/include/machine/ieeefp.h: Ditto.
        * libc/include/machine/setjmp.h: Ditto.
        * libc/machine/crx/Makefile.am: New file.
        * libc/machine/crx/configure.in: Ditto.
        * libc/machine/crx/setjmp.S: Ditto.
        * libc/machine/crx/getenv.c: Ditto.
        * libc/machine/crx/aclocal.m4: Generate.
        * libc/machine/crx/configure: Ditto.
        * libc/machine/crx/Makefile.in: Ditto.
        * libc/machine/crx/sys/asm.h: New file.
        * libc/machine/crx/sys/libh.h: Ditto.
        * libc/machine/crx/sys/syscall.h: Ditto.

2004-10-05  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am (stmp-targ-include): Support sys header files
	from machine directories.
	* Makefile.in: Regenerated.

2004-10-04  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfscanf.c (__svfscanf_r): For int conversions,
	count skipped zero characters as part of the nread count for %n.
	* libc/machine/powerpc/vfscanf.c: Ditto.

2004-09-24  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/local.h: Include <stdlib.h>.

2004-09-24  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/fread.c (fread): Include <malloc.h>.

2004-09-22  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/fread.c (fread):  For non-space-optimized case,
	add special code for unbuffered files to use user buffer and
	only require one low-level system read.

2004-09-21  Ian Lance Taylor  <ian@wasabisystems.com>

	* libc/machine/xscale/setjmp.S: New file, copied from
	libc/machine/arm/setjmp.S.
	* libc/machine/xscale/Makefile.am (lib_a_SOURCES): Add setjmp.S.
	* libc/machine/xscale/Makefile.in: Regenerate.

2004-09-16  Antony King  <antony.king@st.com>

	* libc/include/sys/lock.h: Replaced empty {} with (0) to conform
	with locking API.
	* libc/include/sys/stdio.h: (_flockfile)[!_SINGLE_THREAD]: Add 
	check for__SSTR in _flags and if set, skip lock request.
	(_funlockfile)[!SINGLE_THREAD]: Ditto.
	* libc/stdio/local.h (CHECK_INIT): Added check that _REENT is
	not NULL.
	* libc/stdio/siprintf.c (siprintf, _siprintf_r): Added missing
	initialisation of _file to -1 in local FILE.
	* libc/stdio/snprintf.c (snprintf, _snprintf_r): Ditto.
	* libc/stdio/sscanf.c (sscanf, _sscanf_r): Ditto.
	* libc/stdio/vsnprintf.c (vsnprintf, _vsnprintf_r): Ditto.
	* libc/stdio/vsscanf.c (_vsscanf_r): Ditto.
	* libc/stdio/sscanf.c (sscanf, _sscanf_r): Added __SSTR flag to
	_flags in local FILE to prevent locking.
	* libc/stdio/vsscanf.c (_vsscanf_r): Ditto.

2004-09-16  Antony King  <antony.king@st.com>

	* libc/stdio/fwalk.c (_fwalk): Remove check for _GLOBAL_REENT
	and only walk the reentrancy parameter.
	(_fwalk_reent): Ditto.
	* libc/stdlib/exit.c: Remove out of date _REENT_ONLY check.

2004-09-16  Antony King  <antony.king@st.com>

	* libc/stdio64/freopen64.c: Remove casting of fp lock to
	_LOCK_RECURSIVE_T.

2004-09-16  Antony King  <antony.king@st.com>

	* libc/time/tzlock.c: Add default stubs that use generic
	locking code.

2004-09-16  Antony King  <antony.king@st.com>

	* libc/ctype/ctype.tex: Added missing documentation.
	* libc/stdio/stdio.tex Ditto.
	* libc/stdlib/stdlib.tex Ditto.
	* libc/string/strings.tex Ditto.
	* libc/time/time.tex: Ditto.
	* libc/stdio/setbuffer.c: Removed setlinebuf documentation.

2004-09-15  Corinna Vinschen  <vinschen@redhat.com>

	* libc/reent/impure.c (reent_data): Define as alias to impure_data
	when building for Cygwin.
	* libc/include/sys/reent.h (_GLOBAL_REENT): Revert definition to
	_global_impure_ptr.

2004-09-15  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Reverting 2004-09-14 change as fix has occurred on
	Cygwin side.
	* configure.in: Ditto.
	* libc/configure.in: Ditto.
	* libc/sys/configure.in: Ditto.
	* configure: Ditto.
	* libc/configure: Ditto.
	* libc/sys/configure: Ditto.
	* libc/include/sys/reent.h: Ditto.
	* libc/stdlib/__atexit.c: Ditto.
	* libc/stdlib/__call_atexit.c: Ditto.
	* libc/stdlib/cxa_atexit.c: Ditto.
	* libc/stdlib/cxa_finalize.c: Ditto.
	* libc/sys/cygwin/Makefile.am: Removed again.
	* libc/sys/cygwin/Makefile.in: Ditto.
	* libc/sys/cygwin/aclocal.m4: Ditto.
	* libc/sys/cygwin/configure: Ditto.
	* libc/sys/cygwin/configure.in: Ditto.
	* libc/sys/cygwin/dummy.c: Ditto.
	* libc/sys/cygwin/sys/reent.h: Ditto.

2004-09-14  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Add Cygwin sys directory.
	* configure.in: Do not set CRT0 for cygwin.
	* libc/configure.in: Ditto.
	* libc/sys/configure.in: Ditto.
	* configure: Regenerated.
	* libc/configure: Ditto.
	* libc/sys/configure: Ditto.
	* libc/include/sys/reent.h: Add __REENT_HAS_CXA_SUPPORT flag.
	* libc/stdlib/__atexit.c: Keep cxa support protected by new
	__REENT_HAS_CXA_SUPPORT flag.
	* libc/stdlib/__call_atexit.c: Ditto.
	* libc/stdlib/cxa_atexit.c: Ditto.
	* libc/stdlib/cxa_finalize.c: Ditto.
	* libc/sys/cygwin/Makefile.am: New file.
	* libc/sys/cygwin/Makefile.in: Ditto.
	* libc/sys/cygwin/aclocal.m4: Ditto.
	* libc/sys/cygwin/configure: Ditto.
	* libc/sys/cygwin/configure.in: Ditto.
	* libc/sys/cygwin/dummy.c: Ditto.
	* libc/sys/cygwin/sys/reent.h: Ditto.  This file is stabilized
	version of reent.h.

2004-09-13 Artem B. Bityuckiy  <dedekind@oktetlabs.ru>

	* libc/iconv/iconv.tex: Updated with new content.
	* libc/iconv/lib/iconvnls.c: Reference ICONV_DEFAULT_NLSPATH
	instead of NLS_DEFAULT_NLSPATH.
	* libc/iconv/lib/iconvnls.h: Fix typo.
	* libc/include/sys/iconvnls.h: New file.

2004-09-09  Paul Brook  <paul@codesourcery.com>

	* libc/include/sys/reent.h (struct _on_exit_args): Add _dso_handle
	and _is_cxa.
	(struct _atexit): Add _next when _REENT_SMALL.
	(struct _reent): Add _atexit0 when _REENT_SMALL.
	(_REENT_INIT_PTR): Adjust.
	* libc/stdlib/Makefile.am (GENERAL_SOURCES): Add __atexit.c and
	__call_exit.c.
	(EXTENDED_SOURCES): Add cxa_atexit.c and cxa_finalize.c.
	* libc/stdlib/Makefile.in: Regenerate.
	* libc/stdlib/__atexit.c: New file.
	* libc/stdlib/__call_atexit.c: New file.
	* libc/stdlib/atexit.h: Remove old definitions.  Add new.
	* libc/stdlib/atexit.c (atexit): Use __register_exitproc.
	* libc/stdlib/cxa_atexit.c: New file.
	* libc/stdlib/cxa_finalize.c: New file.
	* libc/stdlib/exit.c (exit): Use __call_exitprocs.
	* libc/stdlib/on_exit.c (on_exit): Use __register_exitproc.
	2004-09-09  Jeff Johnston  <jjohnstn@redhat.com>
	* libc/reent/reent.c [_REENT_SMALL]: Fix reference to
	_on_exit_args_ptr.

2004-08-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/unistd.h (getpass): Change prototype to use
	const instead of __const.

2004-08-16  Nathan Sidwell  <nathan@codesourcery.com>

	* libc/stdio/vfscanf.c (_NO_LONGLONG): Move out of FLOATING_POINT
	#if.

2004-08-12  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/sys/types.h (u64): New typedef to allow building
	on linux systems with glibc 2.3.3 installed.
	* libc/sys/linux/dl/dl-runtime.c: Fix prototypes for fixup and
	profile_fixup so newlib can build on fc3 system.
 
2004-07-30  Alexandre Oliva  <aoliva@redhat.com>

	Introduce SH2a support.
	2004-03-16  Corinna Vinschen  <vinschen@redhat.com>
	* libc/include/machine/ieeefp.h: Define _DOUBLE_IS_32BITS for
	__SH2A_SINGLE_ONLY__, too.
	* libc/machine/sh/asm.h: Define DELAYED_BRANCHES for __SH2A__, too.
	2004-02-24  Corinna Vinschen  <vinschen@redhat.com>
	* libc/sys/sh/crt0.S (start_l): Support sh2a-nofpu.  Fix comments.
	2004-02-10  DJ Delorie  <dj@redhat.com>
	* libc/sys/sh/crt0.S (start_l): Support sh2a.

2004-07-29  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/strptime.c: Correct full-name of "March" typo.

2004-07-16  Anil Paranjpe  <anilp1@kpitcummins.com>

	* configure.host (h8300*-*-*): Default long long printing support. 

2004-07-16  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/fvwrite.c (_sfvwrite):  For asprintf family
	calls, if realloc fails, free up buffer as it is no longer
	used.

2004-07-07  Artem B. Bityuckiy  <dedekind@oktetlabs.ru>

	* libc/iconv/iconv.tex: Updated to represent recent changes.
	* libc/iconv/lib/iconv.c: Documentation updated.

2004-07-07  Nick Clifton  <nickc@redhat.com>

	* configure.host (newlib_cflags): Define PREFER_SIZE_OVER_SPEED
	for xStormy16.

2004-07-06  Chris Demetriou  <cgd@broadcom.com>

	* configure.host (mips*-*-elf*): Default long long printing
	support.

2004-07-05  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/Makefile.am (libc.dvi): Add target and specify
	same dependencies as libc.info.
	* libc/Makefile.in: Regenerated.
	* libm/Makefile.am (libm.dvi): Add target and specify
	same dependencies as libm.info.
	* libm/Makefile.in: Regenerated.

2004-06-29  Artem B. Bityuckiy  <dedekind@oktetlabs.ru>

	* acinclude.m4: Move --enable-newlib-iconv option back here.
	* configure.in: Remove --enable-newlib-iconv option.  Don't
	tie iconv support to --enable-newlib-mb.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* doc/aclocal.m4, doc/configure: Ditto.
	* iconvdata/aclocal.m4, iconvdata/configure: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.

2004-06-25  Artem B. Bityuckiy  <dedekind@oktetlabs.ru>

	* acinclude.m4: Move iconv options into configure.in.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* configure.in: Add iconv options.
	* newlib.hin: Add new iconv encodings and remove deleted ones.
	* doc/aclocal.m4: Regenerated.
	* doc/configure: Ditto.
	* iconvdata/aclocal.m4: Ditto.
	* iconvdata/configure: Ditto.
	* libc/iconv: Design change.  New size-optimized ccs format.
	* libc/iconv/AUTHORS: Removed.
	* libc/iconv/COPYING: Ditto.
	* libc/iconv/README.ORIGINAL: Ditto.
	* libc/iconv/README.TODO: Ditto.
	* libc/iconv/charset.aliases: Ditto.
	* libc/iconv/encoding.aliases: New file.
	* libc/iconv/Makefile.am: Updated.
	* libc/iconv/Makefile.in: Regenerated.
	* libc/iconv/iconv.tex: Updated.
	* libc/iconv/ccs/Makefile.am: Ditto.
	* libc/iconv/ccs/Makefile.in: Regenerated.
	* libc/iconv/ccs/big5.c: Updated.
	* libc/iconv/ccs/cns11643_plane1.c: Ditto.
	* libc/iconv/ccs/cns11643_plane14.c: Ditto.
	* libc/iconv/ccs/cns11643_plane2.c: Ditto.
	* libc/iconv/ccs/cp775.c: Ditto.
	* libc/iconv/ccs/cp850.c: Ditto.
	* libc/iconv/ccs/cp852.c: Ditto.
	* libc/iconv/ccs/cp855.c: Ditto.
	* libc/iconv/ccs/cp866.c: Ditto.
	* libc/iconv/ccs/iso_8859_1.c: Ditto.
	* libc/iconv/ccs/README.CCS.SOURCES: Removed.
	* libc/iconv/ccs/gb_2312_80.c: Ditto.
	* libc/iconv/ccs/iconv_mktbl: Ditto.
	* libc/iconv/ccs/jis_x0201.c: Ditto.
	* libc/iconv/ccs/jis_x0208_1983.c: Ditto.
	* libc/iconv/ccs/shift_jis.c: Ditto.
	* libc/iconv/ccs/us_ascii.c: Ditto.
	* libc/iconv/ccs/ccs.h: New file.
	* libc/iconv/ccs/ccsbi.c: Ditto.
	* libc/iconv/ccs/ccsbi.h: Ditto.
	* libc/iconv/ccs/ccsnames.h: Ditto.
	* libc/iconv/ccs/iso_8859_10.c: Ditto.
	* libc/iconv/ccs/iso_8859_11.c: Ditto.
	* libc/iconv/ccs/iso_8859_13.c: Ditto.
	* libc/iconv/ccs/iso_8859_14.c: Ditto.
	* libc/iconv/ccs/iso_8859_3.c: Ditto.
	* libc/iconv/ccs/iso_8859_6.c: Ditto.
	* libc/iconv/ccs/iso_8859_7.c: Ditto.
	* libc/iconv/ccs/iso_8859_8.c: Ditto.
	* libc/iconv/ccs/iso_8859_9.c: Ditto.
	* libc/iconv/ccs/iso_ir_111.c: Ditto.
	* libc/iconv/ccs/jis_x0201_1976.c: Ditto.
	* libc/iconv/ccs/jis_x0208_1990.c: Ditto.
	* libc/iconv/ccs/koi8_ru.c: Ditto.
	* libc/iconv/ccs/koi8_uni.c: Ditto.
	* libc/iconv/ccs/mktbl.pl: Ditto.
	* libc/iconv/ccs/win_1250.c: Ditto.
	* libc/iconv/ccs/win_1251.c: Ditto.
	* libc/iconv/ccs/win_1252.c: Ditto.
	* libc/iconv/ccs/win_1253.c: Ditto.
	* libc/iconv/ccs/win_1254.c: Ditto.
	* libc/iconv/ccs/win_1255.c: Ditto.
	* libc/iconv/ccs/win_1256.c: Ditto.
	* libc/iconv/ccs/win_1257.c: Ditto.
	* libc/iconv/ccs/win_1258.c: Ditto.
	* libc/iconv/ccs/iso_8859_15.c: Updated.
	* libc/iconv/ccs/iso_8859_2.c: Ditto.
	* libc/iconv/ccs/iso_8859_4.c: Ditto.
	* libc/iconv/ccs/iso_8859_5.c: Ditto.
	* libc/iconv/ccs/jis_x0212_1990.c: Ditto.
	* libc/iconv/ccs/koi8_r.c: Ditto.
	* libc/iconv/ccs/koi8_u.c: Ditto.
	* libc/iconv/ccs/ksx1001.c: Ditto.
	* libc/iconv/ccs/binary/gb_2312_80.cct: Removed.
	* libc/iconv/ccs/binary/jis_x0201.cct: Ditto.
	* libc/iconv/ccs/binary/shift_jis.cct: Ditto.
	* libc/iconv/ccs/binary/us_ascii.cct: Ditto.
	* libc/iconv/ccs/binary/jis_x0208_1983.cct: Ditto.
	* libc/iconv/ccs/binary/Makefile.am: Updated.
	* libc/iconv/ccs/binary/Makefile.in: Regenerated.
	* libc/iconv/ccs/binary/big5.cct: Updated.
	* libc/iconv/ccs/binary/cns11643_plane1.cct: Ditto.
	* libc/iconv/ccs/binary/cns11643_plane14.cct: Ditto.
	* libc/iconv/ccs/binary/cns11643_plane2.cct: Ditto.
	* libc/iconv/ccs/binary/cp775.cct: Updated.: Ditto.
	* libc/iconv/ccs/binary/cp850.cct: Ditto.: Ditto.
	* libc/iconv/ccs/binary/cp852.cct: Ditto.: Ditto.
	* libc/iconv/ccs/binary/cp855.cct: Ditto.: Ditto.
	* libc/iconv/ccs/binary/cp866.cct: Ditto.: Ditto.
	* libc/iconv/ccs/binary/iso_8859_1.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_15.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_4.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_5.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_2.cct: Ditto.
	* libc/iconv/ccs/binary/jis_x0212_1990.cct: Ditto.
	* libc/iconv/ccs/binary/koi8_r.cct: Ditto.
	* libc/iconv/ccs/binary/koi8_u.cct: Ditto.
	* libc/iconv/ccs/binary/ksx1001.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_10.cct: New file.
	* libc/iconv/ccs/binary/iso_8859_11.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_13.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_14.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_3.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_6.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_7.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_8.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_9.cct: Ditto.
	* libc/iconv/ccs/binary/iso_ir_111.cct: Ditto.
	* libc/iconv/ccs/binary/jis_x0201_1976.cct: Ditto.
	* libc/iconv/ccs/binary/jis_x0208_1990.cct: Ditto.
	* libc/iconv/ccs/binary/koi8_ru.cct: Ditto.
	* libc/iconv/ccs/binary/koi8_uni.cct: Ditto.
	* libc/iconv/ccs/binary/win_1250.cct: Ditto.
	* libc/iconv/ccs/binary/win_1251.cct: Ditto.
	* libc/iconv/ccs/binary/win_1252.cct: Ditto.
	* libc/iconv/ccs/binary/win_1253.cct: Ditto.
	* libc/iconv/ccs/binary/win_1254.cct: Ditto.
	* libc/iconv/ccs/binary/win_1255.cct: Ditto.
	* libc/iconv/ccs/binary/win_1256.cct: Ditto.
	* libc/iconv/ccs/binary/win_1257.cct: Ditto.
	* libc/iconv/ccs/binary/win_1258.cct: Ditto.
	* libc/iconv/ces/Makefile.am: Updated.
	* libc/iconv/ces/Makefile.in: Regenerated.
	* libc/iconv/ces/ucs-2-internal.c: Updated.
	* libc/iconv/ces/ucs-4-internal.c: Ditto.
	* libc/iconv/ces/utf-16.c: Ditto.
	* libc/iconv/ces/utf-8.c: Ditto.
	* libc/iconv/ces/cesbi.c: New file.
	* libc/iconv/ces/cesbi.h: Ditto.
	* libc/iconv/ces/cesdeps.h: Ditto.
	* libc/iconv/ces/euc.c: Ditto.
	* libc/iconv/ces/mkdeps.pl: Ditto.
	* libc/iconv/ces/table-pcs.c: Ditto.
	* libc/iconv/ces/table.c: Ditto.
	* libc/iconv/ces/ucs-2.c: Ditto.
	* libc/iconv/ces/ucs-4.c: Ditto.
	* libc/iconv/ces/us-ascii.c: Ditto.
	* libc/iconv/ces/euc-jp.c: Removed.
	* libc/iconv/ces/euc-kr.c: Ditto.
	* libc/iconv/ces/euc-tw.c: Ditto.
	* libc/iconv/ces/gb2312.c: Ditto.
	* libc/iconv/ces/iso-10646-ucs-2.: Ditto.c
	* libc/iconv/ces/iso-10646-ucs-4.c: Ditto.
	* libc/iconv/lib/Makefile.am: Updated.
	* libc/iconv/lib/Makefile.in: Regenerated.
	* libc/iconv/lib/endian.h: Updated.
	* libc/iconv/lib/iconv.c: Ditto.
	* libc/iconv/lib/local.h: Ditto.
	* libc/iconv/lib/aliases.c: Removed.
	* libc/iconv/lib/bialiasesi.c: Ditto.
	* libc/iconv/lib/biccs.c: Ditto.
	* libc/iconv/lib/bices.c: Ditto.
	* libc/iconv/lib/ccs.c: Ditto.
	* libc/iconv/lib/ces.c: Ditto.
	* libc/iconv/lib/ces_euc.c: Ditto.
	* libc/iconv/lib/ces_iso2022.c: Ditto.
	* libc/iconv/lib/ces_table.c: Ditto.
	* libc/iconv/lib/converter.c: Ditto.
	* libc/iconv/lib/deps.h: Ditto.
	* libc/iconv/lib/loaddata.c: Ditto.
	* libc/iconv/lib/aliasesbi.c: New file.
	* libc/iconv/lib/aliasesi.c: Ditto.
	* libc/iconv/lib/conv.h: Ditto.
	* libc/iconv/lib/encnames.h: Ditto.
	* libc/iconv/lib/encoding.deps: Ditto.
	* libc/iconv/lib/iconvnls.c: Ditto.
	* libc/iconv/lib/iconvnls.h: Ditto.
	* libc/iconv/lib/nullconv.c: Ditto.
	* libc/iconv/lib/ucsconv.c: Ditto.
	* libc/iconv/lib/ucsconv.h: Ditto.
	* libc/include/iconv.h: Update copyright.
	* libc/*/aclocal.m4: Regenerated.
	* libc/*/configure: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.

2004-06-22  Alexandre Oliva  <aoliva@redhat.com>

	* libc/include/machine/setjmp.h [__H8300__] (_JBTYPE): Define,
	instead of typedefing jmp_buf.

	2003-07-02  Richard Sandiford  <rsandifo@redhat.com>
	* libc/machine/h8300/Makefile.am (lib_a_SOURCES): Add h8sx_strcpy.S.
	* libc/machine/h8300/defines.h (LEN): New macro.
	* libc/machine/h8300/memcpy.S: Add h8sx version.
	* libc/machine/h8300/memset.S: Likewise.
	* libc/machine/h8300/strcmp.S: Likewise.
	* libc/machine/h8300/setjmp.S: Use h8sx move instructions.
	* libc/machine/h8300/h8sx_strcpy.S: New file.
	2003-06-30  Richard Sandiford  <rsandifo@redhat.com>
	* libc/include/machine/ieeefp.h: Extend __H8300S__ handling to
	__H8300SX__.
	* libc/include/machine/setjmp.h: Likewise.
	* libc/include/sys/config.h: Likewise.
	* libc/machine/h8300/defines.h: Likewise.
	* libc/machine/h8300/setjmp.S: Likewise.
	* libc/machine/h8300/strcmp.S: Likewise.
	* libc/sys/h8300hms/close.S: Likewise.
	* libc/sys/h8300hms/fstat.S: Likewise.
	* libc/sys/h8300hms/lseek.S: Likewise.
	* libc/sys/h8300hms/read.S: Likewise.
	* libc/sys/h8300hms/write.S: Likewise.
	* libc/sys/h8300hms/crt0.S: Likewise.
	* libc/machine/h8300/setarch.h: Use .h8300sx or .h8300sxn if
	__H8300SX__ is defined.
	* libc/sys/h8300hms/setarch.h: Likewise.

2004-06-17  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/reent.h (_GLOBAL_REENT): Back
	out change which set _GLOBAL_REENT to _global_impure_ptr until
	we understand why Cygwin breaks because of it.

2004-06-14  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/machine/i386/syscall.h: For now, set up
	__syscall_return macro for systems with vsyscall.

2004-06-11  Antony King  <antony.king@st.com>

	* libc/include/sys/_types.h: Include <sys/lock.h> and change
	_flock_t to be of type _LOCK_RECURSIVE_T.
	* libc/include/sys/reent.h: (_REENT_INIT): Reformat.
	(_REENT_INIT_PTR): Ditto.  Use memset where appropriate.
	(_global_impure_ptr): New declaration.
	(_GLOBAL_REENT): Change to be _global_impure_ptr.
	* libc/include/sys/stdio.h: Include <sys/lock.h> and
	<sys/reent.h>.
	(_flockfile)[!_SINGLE_THREAD]: Add code for lock call.
	(_funlockfile)[!SINGLE_THREAD]: Ditto.
	* libc/reent/impure.c: Set _global_impure_ptr to _impure_ptr.
	* libc/stdio/fclose.c: Remove casting of fp lock to
	_LOCK_RECURSIVE_T.
	* libc/stdio/findfp.c: Ditto.
	* libc/stdio/fopen.c: Ditto.
	* libc/stdio/freopen.c: Ditto.
	* libc/stdio/vfprintf.c: Ditto.
	* libc/stdio64/fopen64.c: Ditto.
	* libc/stdlib/envlock.c: Add default stubs that use generic
	locking code.
	* libc/stdlib/mlock.c: Ditto.

	Jeff Johnston  <jjohnstn@redhat.com>
	* libc/sys/linux/sys/_types.h (__flock_mutex_t): New subtype.
	(_flock_t): Change to be a struct containing a single member
	named mutex which is of type __flock_mutex_t.

2004-06-09  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/Makefile.am: Change siglist.inc to be generated
	from /usr/include/asm/signal.h instead of kernel sources.  Also
	default max to 32 if not found in header file.
	* libc/sys/linux/Makefile.in: Regenerated.
	* libc/sys/linux/machine/i386/socketcall.h: Fix for Fedora Core 2
	systems where __syscall_return is not defined.
	* libc/sys/linux/machine/i386/syscall.h: Change for Fedora Core 2
	systems to use syscall() function instead of assembler interrupt.

2004-06-09  Toralf Lund  <toralf@procaptura.com>

	* libc/sys/arm/setjmp.S, libc/sys/arm/access.c: Move
	files from libc/sys/arm to libc/machine/arm.
	* libc/machine/arm/Makefile.am, libc/machine/arm/Makefile.in: Add
	library build support for files moved from libc/sys/arm.
	* libc/sys/arm/Makefile.am, libc/sys/arm/Makefile.in:  Remove
	references to access and setjmp.
	* configure.host: Add checks for newlib_may_supply_syscalls to
	determine whether or not to use sys/arm directory and use
	special compiler flags: ARM_RDI_MONITOR and ARM_RDP_MONITOR.
       
2004-06-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfscanf.c (__svfscanf_r): For CT_INT conversions,
	reset digit flags appropriately after we have discovered "0x".
	* libc/machine/powerpc/vfscanf.c (__svfscanf_r): Ditto.

2004-05-27  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfprintf.c (_VFPRINTF): Move file locking
	from here ...
	(_VFPRINTF_R): ... to here so all I/O printf routines
	are covered.

2004-05-26  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/search/hash_buf.c: Protect MAX and MIN macros from
	redefinition.
	* libc/search/hash.c: Ditto.

2004-05-25  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* newlib.hin: (_WANT_IO_POS_ARGS): New define.
	(_WANT_IO_LONG_LONG): Ditto.
	(_WANT_IO_LONG_DOUBLE): Ditto.
	* configure.in: Add new configuration options
	--enable-newlib-io-long-long and --enable-newlib-io-long-double
	which tie to new defines in newlib.hin.
	* configure: Regenerated.
	* configure.host: Add checks for new configuration options.  Also
	fix up check for --enable-newlib-io-pos-args so configuration
	option will override any default for a given platform.
	Remove defining compiler flags for the _WANT_IO* options.
	* libc/stdio/vfprintf.c: Change to use new newlib.hin defines
	instead of looking for old compiler flags.
	* libc/stdio/vfscanf.c: Ditto.
	* libc/stdio/vfieeefp.h: Ditto.
	* libc/machine/powerpc/vfprintf.c: Ditto.
	* libc/machine/powerpc/vfscanf.c: Ditto.

2004-05-25  Jeff Johnston  <jjohnstn@redhat.com>

	* testsuite/include/check.h: Add include of <stdio.h>.

2004-05-17  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/grp.h: Declare getgrnam_r and getgrgid_r also on Cygwin.

2004-05-11  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/vfprintf.c (VFPRINTF_R): Use _free_r instead
	of free.

2004-05-07  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/iprintf.c (_iprintf_r): Fix old-style argument
	list for reentrant pointer.  Call _vfiprintf_r.
	* libc/stdio/siprintf.c (_siprintf_r): New function.
	* libc/stdio/vfprintf.c (__sbprintf): Add reetrant struct
	pointer argument.  Change all callers.  Call _VFPRINTF_R.
	* libc/include/stdio.h (_siprintf_r, _vfiprintf_r): New
	prototypes.

2004-05-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/param.h: Remove endian info and include
	<machine/endian.h> instead.
	* libc/include/machine/endian.h: New file.
	* libc/include/machine/param.h: Ditto.
	* libc/machine/arm/machine/endian.h: Ditto.
	* libc/machine/arm/machine/param.h: Ditto.
	* libc/sys/arm/sys/param.h: Removed.
	* libc/sys/sysvi386/sys/param.h: Ditto.
	* libc/sys/rtems/sys/param.h: Modified to include <machine/endian.h>.

2004-05-03  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Set error flag when
	multibyte functions return failure for %C, %S, %lc, and %ls
	format specifiers.

2004-05-03  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* testsuite/include/check.h (CHECK): Add flush of stdout.

2004-05-03  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/include/stdio.h (_ungetc_r): New prototype.
	* libc/stdio/ungetc.c (_ungetc_r): New reentrant function.
	(__submore): Add reentrant struct pointer argument.
	(ungetc): Change to call _ungetc_r.

2004-04-28  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/local.h (_fwalk_reent): Specify prototype of
	function pointer argument.
	* libc/stdio/fwalk.c (_fwalk, _fwalk_reent): Change prototypes
	to specify function pointer arguments.
	(__fwalk, __fwalk_reent): Ditto.

2004-04-26  Aldy Hernandez  <aldyh@redhat.com>

        * libc/machine/powerpc/vfscanf.c (__svfscanf_r): Fix typo in
        CT_INT case.

2004-04-23  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* configure.in: Define _MB_CAPABLE if mb supported.
	* configure: Regenerated.
	* configure.host: Remove manual setting of MB_CAPABLE compiler
	flag.
	* newlib.hin: Add _MB_CAPABLE flag.
	* libc/ctype/iswalpha.c, libc/ctype/iswblank.c: Include <newlib.h>
	and check for _MB_CAPABLE flag instead of MB_CAPABLE.
	* libc/ctype/iswcntrl.c, libc/ctype/iswprint.c: Ditto.
	* libc/ctype/iswpunct.c, libc/ctype/iswspace.c: Ditto.
	* libc/ctype/jp2uc.c: Ditto.
	* libc/ctype/towlower.c, libc/ctype/towupper.c: Ditto.
	* libc/locale/locale.c: Ditto
	* libc/machine/powerpc/vfscanf.c: Ditto
	* libc/stdio/vfprintf.c, libc/stdio/vfscanf.c: Ditto
	* libc/stdlib/mblen.c: Ditto
	* libc/stdlib/mblen_r.c, libc/stdlib/mbrlen.c: Ditto
	* libc/stdlib/mbrtowc.c, libc/stdlib/mbsrtowcs.c: Ditto
	* libc/stdlib/mbstowcs.c, libc/stdlib/mbtowc.c: Ditto
	* libc/stdlib/mbtowc_r.c, libc/stdlib/wcrtomb.c: Ditto
	* libc/stdlib/wcsrtombs.c, libc/stdlib/wcstombs.c: Ditto
	* libc/stdlib/wctomb.c, libc/sys/linux/intl/dcigettext.c: Ditto
	* libc/sys/linux/intl/explodename.c: Ditto
	* libc/sys/linux/intl/finddomain.c: Ditto
	* libc/sys/linux/intl/l10nflist.c: Ditto
	* libc/sys/linux/intl/loadmsgcat.c: Ditto
	* libc/sys/linux/intl/localealias.c: Ditto

2004-04-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/machine/powerpc/vfscanf.c (NNZDIGITS): New define.
	(__svfscanf_r): In integer conversions, leave out leading zeroes
	which are not part of a base prefix.
	Keep track of width truncation to fit into buf, not counting left-out
	zeroes against width till the truncation has been compensated for.
	This is based on Joern's patch of 04/21 for libc/stdio/vfscanf.c.

2004-04-23  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdio.h: (_ftell_r, _fseek_r): New prototypes.

2004-04-23  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/asprintf.c libc/stdio/clearerr.c,
	libc/stdio/fclose.c libc/stdio/fcloseall.c libc/stdio/fdopen.c,
	libc/stdio/feof.c libc/stdio/ferror.c libc/stdio/fflush.c,
	libc/stdio/fgetc.c libc/stdio/fgetpos.c libc/stdio/fgets.c,
	libc/stdio/fileno.c libc/stdio/findfp.c libc/stdio/fiprintf.c,
	libc/stdio/flags.c libc/stdio/fopen.c libc/stdio/fprintf.c,
	libc/stdio/fputc.c libc/stdio/fputs.c libc/stdio/fread.c,
	libc/stdio/freopen.c libc/stdio/fscanf.c libc/stdio/fseek.c,
	libc/stdio/fseeko.c libc/stdio/fsetpos.c libc/stdio/ftell.c,
	libc/stdio/ftello.c libc/stdio/fvwrite.c libc/stdio/fwalk.c,
	libc/stdio/fwrite.c libc/stdio/getc.c libc/stdio/getc_u.c,
	libc/stdio/getchar.c libc/stdio/getchar_u.c,
	libc/stdio/getdelim.c libc/stdio/getline.c libc/stdio/gets.c,
	libc/stdio/getw.c libc/stdio/iprintf.c libc/stdio/local.h,
	libc/stdio/makebuf.c libc/stdio/mktemp.c libc/stdio/perror.c,
	libc/stdio/printf.c libc/stdio/putc.c libc/stdio/putc_u.c,
	libc/stdio/putchar.c libc/stdio/putchar_u.c libc/stdio/puts.c,
	libc/stdio/putw.c libc/stdio/refill.c libc/stdio/remove.c,
	libc/stdio/rename.c libc/stdio/rewind.c libc/stdio/rget.c,
	libc/stdio/scanf.c libc/stdio/setbuf.c libc/stdio/setbuffer.c,
	libc/stdio/setlinebuf.c libc/stdio/setvbuf.c,
	libc/stdio/siprintf.c libc/stdio/snprintf.c,
	libc/stdio/sprintf.c libc/stdio/sscanf.c libc/stdio/stdio.c,
	libc/stdio/tmpfile.c libc/stdio/tmpnam.c libc/stdio/ungetc.c,
	libc/stdio/vasprintf.c libc/stdio/vfieeefp.h,
	libc/stdio/vfprintf.c libc/stdio/vfscanf.c,
	libc/stdio/vprintf.c libc/stdio/vscanf.c,
	libc/stdio/vsnprintf.c libc/stdio/vsprintf.c,
	libc/stdio/vsscanf.c libc/stdio/wbuf.c,
	libc/stdio/wsetup.c: Perform minor formatting changes.  Move
	copyright notices to top of file, ensure that <_ansi.h> is
	included, be consistent with open parentheses, use _DEFUN macro,
	include "local.h" where needed, and remove various compiler
	warnings.

2004-04-21  J"orn Rennecke <joern.rennecke@superh.com>

	* libc/stdio/vfscanf.c (NNZDIGITS): New define.
	(__svfscanf_r): In integer conversions, leave out leading zeroes
	which are not part of a base prefix.
	Keep track of width truncation to fit into buf, not counting left-out
	zeroes against width till the truncation has been compensated for.

2004-04-20  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/unistd.h (ttyname_r): Add missing comma.

2004-04-20  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/unistd.h (ttyname_r): Add declaration for Cygwin.

2004-04-10  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/unistd.h (sync): Define void on Cygwin according
	to SUSv3.

2004-04-08  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/fclose.c (_fclose_r): New function.
	* libc/stdio/freopen.c (_freopen_r): Call _fclose_r.
	* libc/stdio/fcloseall.c (_fcloseall_r): Call _fwalk_reent.
	* libc/stdio64/freopen64.c (_freopen64_r): Use _fclose_r.
	* libc/include/stdio.h (_fclose_r): New prototype.
	* libc/stdio/fopen.c: Fix typo in comment.

2004-04-08  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/fwalk.c (_fwalk_reent): New version of _fwalk
	to handle _r reentrant functions.

2004-04-08  Eric Christopher  <echristo@redhat.com>

	* libc/include/machine/setjmp.h: Fix endif locations.

2004-04-01  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/time/strptime.c: Add standard includes to avoid
	warning messages at compilation time.

2004-04-01  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfscanf.c (__svfscanf_r): Add locking/unlocking
	of file.

2004-03-30  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/machine/h8300/Makefile.am: Reformat slightly.
	* libc/machine/h8300/Makefile.in: Regenerate.

2004-03-30  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdio/findfp.c (__fp_lock_all): Add call to
	__sfp_lock_acquire.
	(__fp_unlock_all): Add call to __sfp_lock_release. 

2004-03-25  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdio/fclose.c (fclose): Protect file pointer list when
	releasing a file.
	 * libc/stdio/fcloseall.c (_fcloseall_r): Close all files via
	fwalk.
	* libc/stdio/fdopen.c (_fdopen_r): Add calls to
	_flockfile/_funlockfile.
	* libc/stdio/findfp.c: Move __sfp_lock. Change __sfp_lock type
	to recursive.
	Change __lock_acquire/__lock_release calls for __sfp_lock to
	__sfp_lock_acquire/__sfp_lock_release throughout.
	(std): Make sure that file lock is only initialized once.
	(__sfp): Move _file initialization. Initialize file lock.
	(__sfp_lock_acquire): New function.
	(__sfp_lock_release): Ditto.
	(__fp_lock_all): Remove __sfp_lock_acquire call.
	(__fp_unlock_all): Remove __sfp_lock_release call.
	* libc/stdio/fopen.c (_fopen_r): Protect file pointer list.
	Add calls to _flockfile/_funlockfile. Remove
	__lock_init_recursive call.
	* libc/stdio/freopen.c (_freopen_r): Protect file pointer list.
	* libc/stdio/fwalk.c (__fwalk): New static function.
	(_fwalk): Protect file pointer list. Use __fwalk to walk through
	file pointers.
	* libc/stdio/local.h: Add defines for
	__sfp_lock_acquire/__sfp_lock_release when
	single threaded. Add function prototypes otherwise.
	* libc/stdio64/fdopen64.c (_fdopen64_r): Add calls to
	_flockfile/_funlockfile.
	* libc/stdio/fopen64.c (_fopen64_r): Protect file pointer list.
	Add calls to _flockfile/_funlockfile. Remove
	 __lock_init_recursive call.
	* libc/stdio/freopen64.c (_freopen64_r): Protect file pointer
	list. 

2004-03-25  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/sys/lock.h: Turn on __USE_GNU flag if not already
	defined.  Change __LOCK_RECURSIVE_INIT to be __LOCK_INIT_RECURSIVE.
	* libc/sys/linux/dl/dl-support.c: Change __LOCK_RECURSIVE_INIT
	to be __LOCK_INIT_RECURSIVE.

2004-03-11  Kazu Hirata  <kazu@cs.umass.edu>

	* libc/sys/h8300hms/Makefile.am (lib_a_SOURCES): Replace
	_exit.c with _exit.S.
	* libc/sys/h8300hms/Makefile.in: Regenerate.
	* libc/sys/h8300hms/_exit.c: Remove.
	* libc/sys/h8300hms/_exit.S: New.

2004-03-09  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdio/findfp.c (__sfp): Rename lock to __sfp_lock.
	Change __sfp_lock to static global.
	(__fp_lock): New static function.
	(__fp_unlock): Ditto.
	(__fp_lock_all): New function.
	(__fp_unlock_all): Ditto. 

2004-02-10  Christopher Faylor  <cgf@redhat.com>

	* libm/mathfp/er_gamma.c (gamma): Add new non-reentrant function.
	* libm/mathfp/er_lgamma.c (lgamma): Ditto.
	* libm/mathfp/erf_gamma.c (gammaf): Ditto.
	* libm/mathfp/erf_lgamma.c (lgammaf): Ditto.

2004-02-09  Christopher Faylor  <cgf@redhat.com>

	* libc/include/time.h (TIMER_RELTIME): New define.

2004-02-09  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/Makefile.am: Add mallstatsr to LIBADD_OBJS.
	* libc/stdlib/Makefile.in: Regenerated.

2004-02-08  Christopher Faylor  <cgf@redhat.com>

	* libc/include/sys/features.h: Add _POSIX_TIMERS define for __CYGWIN__.
	* libc/include/sys/reent.h (__getreent): Protect against possibly being
	defined.
	* libc/include/sys/unistd.h (fdatasync): Don't define for __CYGWIN__.

2004-02-05  Paul Brook  <paul@codesourcery.com>

	* libc/include/machine/ieeefp.h[__arm__][__VFP_FP__]: Set 
	IEEE_{BIG,LITTLE} based on __ARMEL__ flag.

2004-02-02  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 1.12.0 info.
	* README: Ditto.
	* acinclude.m4: Change version number to 1.12.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_1.12.

2004-02-02  Joel Sherrill  <joel@oarcorp.com>

	* configure.host: Add support for tic4x.
	* libc/include/machine/ieeefp.h: Ditto.
	* libc/include/machine/setjmp.h: Ditto.
	* libc/machine/tic4x/Makefile.am: New file.
	* libc/machine/tic4x/configure.in: Ditto.
	* libc/machine/tic4x/setjmp.S: Ditto.
	* libc/machine/tic4x/aclocal.m4: Generated.
	* libc/machine/tic4x/configure: Ditto.
	* libc/machine/tic4x/Makefile.in: Ditto.

2004-01-30  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/fwalk.c (_fwalk.c): Don't traverse the
	file chain on the passed in reentrancy struct if it
	is _GLOBAL_REENT.

2004-01-30  Artem B. Bityuckiy  <abitytsky@softminecorp.com>
            Jeff Johnston  <jjohnstn@redhat.com>

	* libc/iconv/iconv.tex: Updated with more information.

2004-01-30  Thomas Pfaff  <tpfaff@gmx.net>
            Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/fwalk.c (_fwalk): Traverse the given reentrancy
	struct for std streams and traverse the global reeentrancy
	struct for all other streams.

2004-01-27  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/atexit.c: Protect global atexit list with a
	lock when newlib is multithreaded.

2004-01-27  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* configure.in: Add support to generate iconv converter flags
	for newlib.h
	* newlib.hin: Add iconv converter flags.
	* configure: Regenerated.
	* libc/Makefile.in: Ditto.
	* libc/configure.in: Moved iconv converter parsing logic to
	top level newlib configure.in.
	* libc/configure: Regenerated.
	* libc/iconv/Makefile.in: Ditto.
	* libc/iconv/README.TODO
	* libc/iconv/charset.aliases: Remove wrong BE aliases for
	UCS2/UCS4/UTF8.
	* libc/iconv/ccs/Makefile.am: Remove C flag setting now that
	newlib.h can be used.
	* libc/iconv/ces/Makefile.am: Ditto.
	* libc/iconv/lib/Makefile.am: Ditto.
	* libc/iconv/ccs/Makefile.in: Regenerated.
	* libc/iconv/ces/Makefile.in: Ditto.
	* libc/iconv/lib/Makefile.in: Ditto.
	* libc/iconv/ccs/README.CCS.SOURCES: Updated.
	* libc/iconv/ccs/iconv_mktbl: Don't write junk strings to binaries.
	* libc/iconv/ccs/big5.c: Switch to use new underscored flags
	defined in newlib.h.
	* libc/iconv/ccs/cns11643_plane1.c: Ditto.
	* libc/iconv/ccs/cns11643_plane14.c: Ditto.
	* libc/iconv/ccs/cns11643_plane2.c: Ditto.
	* libc/iconv/ccs/cp775.c: Ditto.
	* libc/iconv/ccs/cp850.c: Ditto.
	* libc/iconv/ccs/cp852.c: Ditto.
	* libc/iconv/ccs/cp855.c: Ditto.
	* libc/iconv/ccs/cp866.c: Ditto.
	* libc/iconv/ccs/gb_2312_80.c: Ditto.
	* libc/iconv/ccs/iso_8859_1.c: Ditto.
	* libc/iconv/ccs/iso_8859_15.c: Ditto.
	* libc/iconv/ccs/iso_8859_2.c: Ditto.
	* libc/iconv/ccs/iso_8859_4.c: Ditto.
	* libc/iconv/ccs/iso_8859_5.c: Ditto.
	* libc/iconv/ccs/jis_x0201.c: Ditto.
	* libc/iconv/ccs/jis_x0208_1983.c: Ditto.
	* libc/iconv/ccs/jis_x0212_1990.c: Ditto.
	* libc/iconv/ccs/koi8_r.c: Ditto.
	* libc/iconv/ccs/koi8_u.c: Ditto.
	* libc/iconv/ccs/ksx1001.c: Ditto.
	* libc/iconv/ccs/shift_jis.c: Ditto.
	* libc/iconv/ccs/us_ascii.c: Ditto.
	* libc/iconv/ccs/binary/big5.cct: Newly generated.
	* libc/iconv/ccs/binary/cns11643_plane1.cct: Ditto.
	* libc/iconv/ccs/binary/cns11643_plane14.cct: Ditto.
	* libc/iconv/ccs/binary/cns11643_plane2.cct: Ditto.
	* libc/iconv/ccs/binary/cp775.cct: Ditto.
	* libc/iconv/ccs/binary/cp850.cct: Ditto.
	* libc/iconv/ccs/binary/cp852.cct: Ditto.
	* libc/iconv/ccs/binary/cp855.cct: Ditto.
	* libc/iconv/ccs/binary/cp866.cct: Ditto.
	* libc/iconv/ccs/binary/gb_2312_80.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_1.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_15.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_2.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_4.cct: Ditto.
	* libc/iconv/ccs/binary/iso_8859_5.cct: Ditto.
	* libc/iconv/ccs/binary/jis_x0201.cct: Ditto.
	* libc/iconv/ccs/binary/jis_x0208_1983.cct: Ditto.
	* libc/iconv/ccs/binary/jis_x0212_1990.cct: Ditto.
	* libc/iconv/ccs/binary/koi8_r.cct: Ditto.
	* libc/iconv/ccs/binary/koi8_u.cct: Ditto.
	* libc/iconv/ccs/binary/ksx1001.cct: Ditto.
	* libc/iconv/ccs/binary/shift_jis.cct: Ditto.
	* libc/iconv/ccs/binary/us_ascii.cct: Ditto.
	* libc/iconv/lib/bialiasesi.c: Sync with charset.aliases.
	* libc/iconv/ces/euc-jp.c: Use newlib.h macros.
	* libc/iconv/ces/euc-kr.c: Ditto.
	* libc/iconv/ces/euc-tw.c: Ditto.
	* libc/iconv/ces/gb2312.c: Ditto.
	* libc/iconv/ces/iso-10646-ucs-2.c: Ditto.
	* libc/iconv/ces/iso-10646-ucs-4.c: Ditto.
	* libc/iconv/ces/ucs-2-internal.c: Ditto.
	* libc/iconv/ces/ucs-4-internal.c: Ditto.
	* libc/iconv/ces/utf-16.c: Ditto.
	* libc/iconv/ces/utf-8.c: Ditto.
	* libc/iconv/lib/aliases.c: Ditto.
	* libc/iconv/lib/biccs.c: Ditto.
	* libc/iconv/lib/bices.c: Ditto.
	* libc/iconv/lib/ccs.c: Ditto.
	* libc/iconv/lib/ces.c: Ditto.
	* libc/iconv/lib/ces_euc.c: Ditto.
	* libc/iconv/lib/ces_iso2022.c: Ditto.
	* libc/iconv/lib/ces_table.c: Ditto.
	* libc/iconv/lib/converter.c: Ditto.
	* libc/iconv/lib/deps.h: Ditto.
	* libc/iconv/lib/endian.h: Ditto.
	* libc/iconv/lib/iconv.c: Ditto.
	* libc/iconv/lib/loaddata.c: Ditto.
	* libc/iconv/lib/local.h: Include newlib.h.
	* libc/argz/Makefile.in: Regenerated.
	* libc/ctype/Makefile.in: Ditto.
	* libc/errno/Makefile.in: Ditto.
	* libc/iconv/ccs/binary/Makefile.in: Ditto.
	* libc/locale/Makefile.in: Ditto.
	* libc/misc/Makefile.in: Ditto.
	* libc/posix/Makefile.in: Ditto.
	* libc/reent/Makefile.in: Ditto.
	* libc/search/Makefile.in: Ditto.
	* libc/signal/Makefile.in: Ditto.
	* libc/stdio/Makefile.in: Ditto.
	* libc/stdio64/Makefile.in: Ditto.
	* libc/stdlib/Makefile.in: Ditto.
	* libc/string/Makefile.in: Ditto.
	* libc/syscalls/Makefile.in: Ditto.
	* libc/time/Makefile.in: Ditto.
	* libc/unix/Makefile.in: Ditto.
	* testsuite/newlib.iconv/iconv.exp: New file.
	* testsuite/newlib.iconv/iconvjp.c: Ditto.
	* testsuite/newlib.iconv/iconvnm.c: Ditto.
	* testsuite/newlib.iconv/iconvru.c: Ditto.

2004-01-23  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* acinclude.m4 (--enable-newlib-iconv): New configuration option.
	(--enable-newlib-builtin-converters): Ditto.
	* configure.in: Add code to set _ICONV_ENABLED flag.
	Set _MB_LEN_MAX to 1 if not mb enabled.
	* configure: Regenerated.
	* aclocal.m4: Ditto.
	* Makefile.in: Ditto.
	* newlib.hin: Add _ICONV_ENABLED flag.
	* libc/Makefile.am: Add support for iconv.
	* libc/configure.in: Ditto.
	* libc/Makefile.in: Regenerated.
	* libc/aclocal.m4: Ditto.
	* libc/configure: Ditto.
	* libc/libc.texinfo: Add iconv documentation.
	* libc/iconv/AUTHORS, libc/iconv/COPYING, libc/iconv/Makefile.am,
	libc/iconv/Makefile.in, libc/iconv/README.ORIGINAL,
	libc/iconv/README.TODO, libc/iconv/charset.aliases,
	libc/iconv/iconv.tex, libc/iconv/ccs/Makefile.am,
	libc/iconv/ccs/Makefile.in, libc/iconv/ccs/README.CCS.SOURCES,
	libc/iconv/ccs/big5.c, libc/iconv/ccs/cns11643_plane1.c,
	libc/iconv/ccs/cns11643_plane14.c, libc/iconv/ccs/cns11643_plane2.c,
	libc/iconv/ccs/cp775.c, libc/iconv/ccs/cp850.c,
	libc/iconv/ccs/cp852.c, libc/iconv/ccs/cp855.c,
	libc/iconv/ccs/cp866.c, libc/iconv/ccs/gb_2312_80.c,
	libc/iconv/ccs/iconv_mktbl, libc/iconv/ccs/iso_8859_1.c,
	libc/iconv/ccs/iso_8859_15.c, libc/iconv/ccs/iso_8859_2.c,
	libc/iconv/ccs/iso_8859_4.c, libc/iconv/ccs/iso_8859_5.c,
	libc/iconv/ccs/jis_x0201.c, libc/iconv/ccs/jis_x0208_1983.c,
	libc/iconv/ccs/jis_x0212_1990.c, libc/iconv/ccs/koi8_r.c,
	libc/iconv/ccs/koi8_u.c, libc/iconv/ccs/ksx1001.c,
	libc/iconv/ccs/shift_jis.c, libc/iconv/ccs/us_ascii.c,
	libc/iconv/ccs/binary/Makefile.am, libc/iconv/ccs/binary/Makefile.in,
	libc/iconv/ccs/binary/big5.cct,
	libc/iconv/ccs/binary/cns11643_plane1.cct,
	libc/iconv/ccs/binary/cns11643_plane14.cct,
	libc/iconv/ccs/binary/cns11643_plane2.cct,
	libc/iconv/ccs/binary/cp775.cct, libc/iconv/ccs/binary/cp850.cct,
	libc/iconv/ccs/binary/cp852.cct, libc/iconv/ccs/binary/cp855.cct,
	libc/iconv/ccs/binary/cp866.cct, libc/iconv/ccs/binary/gb_2312_80.cct,
	libc/iconv/ccs/binary/iso_8859_1.cct,
	libc/iconv/ccs/binary/iso_8859_15.cct,
	libc/iconv/ccs/binary/iso_8859_2.cct,
	libc/iconv/ccs/binary/iso_8859_4.cct,
	libc/iconv/ccs/binary/iso_8859_5.cct,
	libc/iconv/ccs/binary/jis_x0201.cct,
	libc/iconv/ccs/binary/jis_x0208_1983.cct,
	libc/iconv/ccs/binary/jis_x0212_1990.cct,
	libc/iconv/ccs/binary/koi8_r.cct, libc/iconv/ccs/binary/koi8_u.cct,
	libc/iconv/ccs/binary/ksx1001.cct,
	libc/iconv/ccs/binary/shift_jis.cct,
	libc/iconv/ccs/binary/us_ascii.cct,
	libc/iconv/ces/Makefile.am, libc/iconv/ces/Makefile.in,
	libc/iconv/ces/euc-jp.c, libc/iconv/ces/euc-kr.c,
	libc/iconv/ces/euc-tw.c, libc/iconv/ces/gb2312.c,
	libc/iconv/ces/iso-10646-ucs-2.c, libc/iconv/ces/iso-10646-ucs-4.c,
	libc/iconv/ces/ucs-2-internal.c, libc/iconv/ces/ucs-4-internal.c,
	libc/iconv/ces/utf-16.c, libc/iconv/ces/utf-8.c,
	libc/iconv/lib/Makefile.am, libc/iconv/lib/Makefile.in,
	libc/iconv/lib/aliases.c, libc/iconv/lib/bialiasesi.c,
	libc/iconv/lib/biccs.c, libc/iconv/lib/bices.c,
	libc/iconv/lib/ccs.c, libc/iconv/lib/ces.c,
	libc/iconv/lib/ces_euc.c, libc/iconv/lib/ces_iso2022.c,
	libc/iconv/lib/ces_table.c, libc/iconv/lib/converter.c,
	libc/iconv/lib/deps.h, libc/iconv/lib/endian.h,
	libc/iconv/lib/iconv.c, libc/iconv/lib/loaddata.c,
	libc/iconv/lib/local.h, libc/include/iconv.h: New files.
	* libc/sys/linux/include/iconv.h: Ditto.
	* libc/include/sys/_types.h (_iconv_t): Added.
	* doc/aclocal.m4: Regenerated.
	* doc/configure: Ditto.
	* doc/Makefile.in: Ditto.
	* iconvdata/Makefile.in: Ditto.
	* iconvdata/aclocal.m4: Ditto.
	* iconvdata/configure: Ditto.
	* libc/*aclocal.m4: Ditto.
	* libc/*Makefile.in: Ditto.
	* libc/*configure: Ditto.
	* libm/*aclocal.m4: Ditto.
	* libm/*Makefile.in: Ditto.
	* libm/*configure: Ditto.

2004-01-22  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdio/findfp.c (__sfp): Protect global FILE pointer list
	by a lock when newlib is multithreaded. 

2004-01-21  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/mbrtowc.c (_mbrtowc_r): Fix case where s is null
	pointer to match C99 spec.
	* libc/stdlib/mbsrtowcs.c (_mbsrtowc_r): Fix to ignore len when
	dst is NULL.  Also fix to not alter src pointer when dst is NULL
	and call _mbrtowc_r instead of _mbtowc_r.
	* libc/stdlib/wcsrtombs.c (_wcsrtombs_r): Call _wcrtomb_r instead
	of _wctomb_r.

2004-01-19  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdio/fclose.c (fclose): Release FILE as the last step.
	* libc/stdio/freopen.c (freopen): Ditto.

2004-01-16  Christopher Faylor  <cgf@redhat.com>

	* libc/stdio/vfprintf.c: Add sys/lock.h include.

2004-01-16  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdio/findfp.c (__sfp): Remove unnecessary memset.
	* libc/stdio/vfprintf.c (__sbprintf): Ditto.
	Add calls to __lock_init_recursive and __lock_close_recursive
	instead.

2004-01-15  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdio/fclose.c: Include sys/lock.h.
	(fclose): Destroy lock when file is closed.
	* libc/stdio/findfp.c (__sfp): Initialize file pointers _lock
	member.
	* libc/stdio/freopen.c: Include sys/lock.h.
	(_freopen_r): Destroy lock when file is closed.
	* libc/stdio/vfprintf.c (__sbprintf): Initialize file pointers
	_lock member.

2004-01-08  Joel Sherrill  <joel@oarcorp.com>

        * libc/ctype/iswctype.c, include/sys/reent.h, libc/stdlib/a64l.c:
        Remove warnings.

2004-01-08  Joel Sherrill  <joel@oarcorp.com>

        * libc/sys/rtems/sys/queue.h: New file.
        * libc/include/sys/signal.h: Reflect renumbering of signals to
        fit into 32-bit mask.
        * libc/include/sys/unistd.h: Add fdatasync() prototype.
        * libc/sys/rtems/crt0.c: Add more symbols which may be implicitly
        required.  In particular, add the reentrant variants of libc calls.
        * libc/sys/rtems/sys/dirent.h: Add scandir() prototype.

2004-01-06  Mark Mitchell  <mark@codesourcery.com>

	* libc/sys/arm/syscalls.c (unistd.h): Include it.
	(remap_handle): Use STDIN_FILENO instead of __sfileno(stdin).
	Similarly for stdout and stderr.

2004-01-06  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/libc.texinfo: Correct escape character for @ sign
	so file will be processed by make info.  Update copyright years.
	* libm/libm.texinfo: Ditto.

2003-12-05  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/stat.h: No longer include stat-dj.h.
	* libc/include/sys/stat-dj.h: Removed.

2003-12-05  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/wchar.h: Include <sys/reent.h>.

2003-12-05  Christopher Faylor  <cgf@redhat.com>

	* libc/stdlib/mbrlen.c: Change include order to prevent compiler errors
	when defining _mbrtowc.
	* libc/stdlib/mbsinit.c: Ditto.
	* libc/stdlib/mbsrtowcs.c: Ditto.
	* libc/stdlib/wcrtomb.c: Ditto.
	* libc/stdlib/wcsrtombs.c: Ditto.
	* libc/stdlib/wctob.c: Ditto.

2003-12-05  Christopher Faylor  <cgf@redhat.com>

	* libc/stdlib/mbrlen.c: Change include order to prevent compiler
	errors when defining _mbrtowc.
	* libc/stdlib/mbsinit.c: Ditto.
	* libc/stdlib/mbsrtowcs.c: Ditto.

2003-12-05  Christopher Faylor  <cgf@redhat.com>

	* libc/stdlib/mbrtowc.c: Change include order to prevent compiler
	errors when defining _mbrtowc.

2003-12-04  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Use _r versions
	of mb routines for %lc and %ls support.
	* libc/stdio/vfscanf.c (_svfscanf_r): Add %lc, %C,
	%ls, and %S support.  Remove CYGNUS_NEC markers and
	code within.

2003-12-04  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/wchar.h: Add prototypes for _mbrtowc_r,
	_wcrtomb_r, and _wcsrtombs_r.

2003-12-01  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/fcntl.h: Don't define struct flock when on
	Cygwin.  This is done in winsup/cygwin/include/cygwin/types.h now.

2003-11-28  Christopher Faylor  <cgf@redhat.com>

	* libc/include/sys/signal.h: Use system specific signal file when
	building on cygwin.

2003-11-27  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdlib.h (_atoi_r): New prototype.
	* libc/stdlib/atoi.c (_atoi_r): New reentrant function.

2003-11-27  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdlib.h (_atoll_r, _atol_r): New prototypes.
	* libc/stdlib/atol.c (_atol_r): New reentrant function.
	* libc/stdlib/atoll.c (_atoll_r): Ditto.

2003-11-27  Artem B. Bityuckiy  <abitytsky@softminecorp.com>
	    Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdlib.h (lldiv_t): New type.
	(atoll, llabs, lldiv): New prototypes.
	* libc/stdlib/Makefile.am: Add support for atoll, llabs, and lldiv.
	* libc/stdlib/stdlib.tex: Ditto.
	* libc/stdlib/Makefile.in: Regenerated.
	* libc/stdlib/atoll.c: New file.
	* libc/stdlib/llabs.c: Ditto.
	* libc/stdlib/lldiv.c: Ditto.

2003-11-26  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/fcntl.h: Declare syscalls only when building newlib.
	* libc/include/unistd.h: Ditto.
	* libc/include/stat.h: Ditto.  Also declare struct stat64.

2003-11-24  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Fix check for 'C' format
	specifier to use ch instead of *fmt.

2003-11-21  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R, get_arg): Move mb-specific
	code within checks for MB_CAPABLE.  For non-mb-capable platforms,
	use simple byte logic.

2003-11-21  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfscanf.c (__svfscanf_r)[!_NO_LONGDBL]: Don't use
	_strtold routine for processing floats and doubles since it
	is not as fast as _strtod_r.

2003-11-20 Dhananjay Deshpande <dhananjayd@kpitcummins.com> 

	* libc/machine/h8300/defines.h : Correct pointer register defines 
	for normal mode.
	* libc/machine/h8300/memcpy.S : Use add/sub instead of adds/subs 
	for normal mode.
	* libc/machine/h8300/reg_memcpy.S : Likewise.
	* libc/machine/h8300/reg_memset.S : Likewise.
	* libc/machine/h8300/strcmp.S : Likewise.

2003-11-19  Nicholas Wourms  <nwourms@netscape.net>

	* configure.host: Enable positional arguments for printf
	family for Cygwin.
	* libc/stdio/vfprintf.c (_VFPRINTF_R): Remove extraneous
	pointer reference for quad_ptr_t.

2003-11-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/scanf.c: Don't include local.h more than once.

2003-11-18  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/fcntl.h: Declare _open64.
	* libc/include/sys/stat.h: Declare _fstat64.
	* libc/include/sys/unistd.h: Declare _lseek64.

2003-11-17  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/stdlib.h (getprogname): Declare for Cygwin.
	(setprogname): Ditto.

2003-11-10  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/machine/powerpc/ufix64toa.c (_ufix64to_r): Fix shifts
	to use (Ebits + 1) which accounts for the sign-bit.

2003-11-07  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Remove -DLOOSE_KERNEL_NAMES flag for linux 
	x86 build.
	* iconvdata/Makefile.am: Make dependent on newlib's configure.host
	and set up default flags to pass to aclocal.
	* iconvdata/Makefile.in: Regenerated.
	* libc/sys/linux/Makefile.am: Add _ELIX_LEVEL_4 getlogin, getpwnam,
	and getpwuid routines.
	* libc/sys/linux/Makefile.in: Regenerated.
	* libc/sys/linux/getlogin.c: New stub file to allow x86-linux
	applications to link with newlib's shared libc library.
	* libc/sys/linux/getpwnam.c: Ditto.
	* libc/sys/linux/getpwuid.c: Ditto.
	* libc/sys/linux/sys/types.h: Include <features.h> and supply types
	that were formerly supplied by /usr/include/linux/types.h with
	kernel types.
	* testsuite/newlib.wctype/twctype.c: Fix testcase to properly
	test _ELIX_LEVEL macro.

2003-11-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Fix typos that should be
	referring to _NO_LONGLONG macro.

2003-11-06  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/linuxthreads/td_init.c: Replace function name
	in LOG() macro so this will compile on gcc 3.4 and up.
	* libc/sys/linux/linuxthreads/td_log.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_clear_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_delete.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_enable_stats.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_event_addr.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_event_getmsg.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_get_nthreads.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_get_ph.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_get_stats.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_map_id2thr.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_map_lwp2thr.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_new.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_reset_stats.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_set_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_setconcurrency.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_thr_iter.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_tsd_iter.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_clear_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_dbresume.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_dbsuspend.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_event_enable.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_event_getmsg.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_get_info.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getfpregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getgregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getxregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getxregsize.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_set_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setfpregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setgregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setprio.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setsigpending.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setxregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_sigsetmask.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_tsd.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_validate.c: Ditto.

2003-11-05  Jeff Johnston  <jjohnstn@redhat.com>
            Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/stdio/vfprintf.c (_VFPRINTF_R): Add support for
	%ls, %S, %lc, and %C format specifiers.
	(get_arg): Ditto.
	* libc/stdio/sprintf.c: Add documentation regarding new
	format specifiers added in vfprintf.c.

2003-11-05  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/wcsrtombs.c (_wcsrtombs_r): Numerous fixes
	to make code work as specified in standard.

2003-10-23  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.in: Use absolute newlib basedir when forming
	CC_FOR_NEWLIB include options.
	* configure: Regenerated.

2003-10-23  Artem B. Bityuckiy  <abitytsky@softminecorp.com>

	* libc/string/wcsnlen.c: New file.
	* libc/include/wchar.h: Add wcsnlen prototype.
	* libc/string/Makefile.am: Add wcsnlen support.
	* libc/string/Makefile.in: Regenerated.
	* libc/string/wcstrings.tex: Add wcsnlen documentation.

2003-10-22  Richard Sandiford  <rsandifo@redhat.com>

	* libc/stdlib/exit.c (exit): Handle null _GLOBAL_REENT->_atexits.

2003-10-20  Bob Wilson  <bob.wilson@acm.org>

	* libc/locale/locale.c: Use double quotes in code.
	* libc/locale/locale.tex: Likewise.
	* libc/libc.texinfo: Hyphenate "floating-point".
	* libc/machine/necv70/necv70.tex: Likewise.
	* libc/stdio/sprintf.c: Likewise.
	* libc/stdio/sscanf.c: Likewise.
	* libc/stdlib/atof.c: Likewise.
	* libc/stdlib/ldtoa.c: Fix comment typo.
	* libc/stdlib/div.c: Use @ifnottex instead of @ifinfo.
	* libc/stdlib/ldiv.c: Likewise.
	* libm/common/s_expm1.c: Likewise.
	* libm/common/s_ilogb.c: Hyphenate "floating-point".  Use "nonzero".
	* libm/common/s_infinity: Hyphenate "double- and single-precision".
	* libm/common/s_nan.c: Likewise.  Also correct the FUNCTION summary.
	* libm/common/s_nextafter.c: Fix typo.  Hyphenate "double-precision"
	and "floating-point".
	* libm/common/s_scalbn.c: Correct the FUNCTION summary.
	* libm/math/e_pow.c: Fix comment typo.
	* libm/math/math.tex: Hyphenate "single-precision" and "floating-point".
	* libm/math/s_asinh.c: Use @ifnottex instead of @ifinfo.
	* libm/math/s_atan.c: Likewise.
	* libm/math/s_frexp.c: Likewise.  Also use "nonzero".
	* libm/math/s_isnan.c: Hyphenate "single-precision" and
	"floating-point".  Use "nonzero".
	* libm/math/s_ldexp.c: Use @ifnottex instead of @ifinfo.
	* libm/math/w_acos.c: Likewise.
	* libm/math/w_acosh.c: Likewise.
	* libm/math/w_asin.c: Likewise.
	* libm/math/w_atan2.c: Likewise.
	* libm/math/w_atanh.c: Likewise.
	* libm/math/w_cosh.c: Likewise.
	* libm/math/w_exp.c: Likewise.
	* libm/math/w_exp2.c: Likewise.  Add missing @end and missing @tex
	version of 2^x in the description.
	* libm/math/w_fmod.c: Use @ifnottex instead of @ifinfo.
	* libm/math/w_gamma.c: Likewise.
	* libm/math/w_hypot.c: Likewise.
	* libm/math/w_j0.c: Likewise.
	* libm/math/w_sinh.c: Likewise.
	* libm/math/w_pow.c: Replace "exp1.0nt" with "exponent".
	* libm/mathfp/mathfp.tex: Hyphenate "single-precision" and
	"floating-point".
	* libm/mathfp/e_acosh.c: Use @ifnottex instead of @ifinfo.
	* libm/mathfp/e_atanh.c: Likewise.
	* libm/mathfp/e_hypot.c: Likewise.
	* libm/mathfp/er_lgamma.c: Likewise.
	* libm/mathfp/s_acos.c: Likewise.
	* libm/mathfp/s_asine.c: Likewise.
	* libm/mathfp/s_asinh.c: Likewise.
	* libm/mathfp/s_atan.c: Likewise.
	* libm/mathfp/s_atan2.c: Likewise.
	* libm/mathfp/s_atangent.c: Likewise.
	* libm/mathfp/s_cosh.c: Likewise.
	* libm/mathfp/s_exp.c: Likewise.
	* libm/mathfp/s_fmod.c: Likewise.
	* libm/mathfp/s_frexp.c: Likewise.  Also use "nonzero".
	* libm/mathfp/s_isnan.c: Hyphenate "single-precision" and
	"floating-point".  Use "nonzero".
	* libm/math/s_pow.c: Replace "exp1.0nt" with "exponent".
	* libm/mathfp/s_ldexp.c: Use @ifnottex instead of @ifinfo.
	* libm/mathfp/s_sineh.c: Likewise.
	* libm/mathfp/w_jn.c: Likewise.

2003-10-15  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.am: Add $(MAKE) comments to multido and multiclean
	lines, to enable parallel make.
	* Makefile.in: Rebuilt.

2003-10-14  Christopher Faylor  <cgf@redhat.com>

	* libc/time/clock.c: Clarify documentation of return value when no
	measurement is available.

2003-09-29  Ian Lance Taylor  <ian@wasabisystems.com>

	* libm/configure.in: Check libm_machine_dir, not machine_dir.
	* libm/configure: Regenerate.
	* libm/Makefile.in: Ditto.

2003-09-29  J"orn Rennecke <joern.rennecke@superh.com>

	* libc/machine/sh/strncpy.S: New file.
	* libc/machine/sh/Makefile.am: Add entry & rule for new file.
	* libc/machine/sh/Makefile.in: Regenerate.

2003-09-11  James E Wilson  <wilson@specifixinc.com>

	* MAINTAINERS: Update my e-mail address.

2003-09-10  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/unistd.h: Declare function daemon for Cygwin.

2003-09-09  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/machine/powerpc/fix64.h: Fix typo for _simdldcheck
	prototype.
	* libc/machine/powerpc/simdldtoa.c: Remove prototype for
	_simdldcheck().  Also add unsigned cast for index variable in
	for loop using sizeof operators.
	* libc/machine/powerpc/strtoufix32.c: Remove unused variable.
	* libc/machine/powerpc/strtosfix64.c: Fix call to _simdldcheck.
	* libc/machine/powerpc/strtoufix64.c (_strtoufix64_r): Ditto
	plus fix shift calculation for determining if there is a
	carry from word2.

2003-09-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/grp.h: Don't define setgrfile, group_from_gid and
	setgroupent for Cygwin.

2003-09-05  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/exit.c (exit): Setting of struct _atexit ptr p
	is different for _REENT_SMALL than when using regular reent
	struct.

2003-09-05  Ben Elliston  <bje@wasabisystems.com>

	* libc/ctype/wctype.c (_DEFUN): Remove empty default case, as
	modern versions of GCC issue a warning.

	* libc/machine/xscale/memcmp.c (memcmp): Strip trailing whitespace
	after continuation characters that induces a warning from modern
	versions of GCC.

2003-09-04  Ben Elliston  <bje@wasabisystems.com>

	* libc/stdlib/mstats.c[_ELIX_LEVEL]: Fix guards.  #ifndef FOO ||
	FOO >= 2 is invalid; use #if !defined (FOO) || FOO >= 2 instead.

2003-09-02  Thomas Pfaff  <tpfaff@gmx.net>

	* libc/stdlib/atexit.c: Rename _REENT to _GLOBAL_REENT throughout.
	* libc/stdlib/exit.c : Ditto.
	* libc/stdlib/on_exit.c: Ditto.

2003-08-27  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/reent.h: Define stat64 as __stat64 when
	compiling newlib for Cygwin.

2003-08-26  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/stat.h[__CYGWIN__]: Only define stat64 as
	__stat64 when compiling newlib.

2003-08-26  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdio.h: Allow the io64 function prototypes for
	Cygwin when compiling newlib.
	* libc/include/sys/stat.h[__CYGWIN__]: Define stat64 as __stat64
	to expose the Cygwin struct __stat64 type.
	* libc/stdio64/fseeko64.c: Use _fstat64_r and pass a struct stat64
	pointer.
	* libc/stdio64/tmpfile64.c(_tmpfile64_r): Call _fopen64_r.

2003-08-23  Christopher Faylor  <cgf@redhat.com>

	* libc/stdio64/fseeko64.c (fseeko64_r): Rename second fseeko64_r
	definition to fseeko64.

2003-08-22  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/reent.h: Add _GLOBAL_REENT macro.
	* libc/stdio: Globally remove/replace all references to fp->_data.
	Replace with _REENT or _GLOBAL_REENT where appropriate.
	* libc/stdio/asprintf.c: Ditto.
	* libc/stdio/fclose.c: Ditto.
	* libc/stdio/fvwrite.c: Ditto.
	* libc/stdio/makebuf.c: Ditto.
	* libc/stdio/refill.c: Ditto.
	* libc/stdio/local.h: Ditto.
	* libc/stdio/setvbuf.c: Ditto.
	* libc/stdio/sscanf.c: Ditto.
	* libc/stdio/stdio.c: Ditto.
	* libc/stdio/ungetc.c: Ditto.
	* libc/stdio/vfscanf.c: Ditto.
	* libc/stdio/vsscanf.c: Ditto.
	* libc/stdio/fopen.c: Ditto.  Also use _fseek_r in _fopen_r.
	* libc/stdio/vasprintf.c: Ditto.  Also call _vfprintf_r directly.
	* libc/stdio/vsnprintf.c: Ditto.
	* libc/stdio/vsprintf.c: Ditto.
	* libc/stdio/fcloseall.c(fcloseall): Use _GLOBAL_REENT macro
	instead of _REENT to walk file list.
	* libc/stdio/fflush.c: Ditto.
	* libc/stdio/fgetpos.c: Add reentrant version and have regular
	version call reentrant version with _REENT argument.
	* libc/stdio/fsetpos.c: Ditto.
	* libc/stdio/fseek.c: Ditto.
	* libc/stdio/fseeko.c: Ditto.
	* libc/stdio/ftell.c: Ditto.
	* libc/stdio/ftello.c: Ditto.
	* libc/stdio/freopen.c: Ditto.
	* libc/stdio/findfp.c: Use _GLOBAL_REENT pointer when adding
	new files to chain.  Also use _GLOBAL_REENT pointer for
	cleaning up.
	* libc/stdio/fiprintf.c: Reformatted to minimize duplicate code.
	* libc/stdio/siprintf.c: Ditto.
	* libc/stdio/iprintf.c: Ditto.
	* libc/stdio/fprintf.c: Ditto.
	* libc/stdio/printf.c: Ditto.
	* libc/stdio/snprintf.c: Call _vfprintf_r directly.
	* libc/stdio/sprintf.c: Ditto.
	* libc/stdio/vprintf.c: Ditto.  Also add _REENT_ONLY check.
	* libc/stdio/rewind.c: Call _fseek_r directly.
	* libc/stdio/tmpfile.c: Call _fopen_r and _remove_r directly.
	* libc/stdio/vfprintf.c (_VFPRINTF_R): Change _r routines to use
	data pointer.
	(get_arg): Add extra struct _reent pointer argument.
	* libc/stdio64/fgetpos64.c: Add _r versions, remove any reference
	to fp->_data.
	* libc/stdio64/fopen64.c: Ditto.
	* libc/stdio64/freopen64.c: Ditto.
	* libc/stdio64/fsetpos64.c: Ditto.
	* libc/stdio64/ftello64.c: Ditto.
	* libc/stdio64/local64.h: Ditto.
	* libc/stdio64/stdio64.c: Ditto.
	* libc/stdio64/fseeko64.c: Ditto plus use _fstat_r instead of
	_fstat64_r for the meantime.

2003-08-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/mallocr.c (mALLOc, rEALLOc, mEMEALIGn): Enhance
	overflow detection.
	
2003-08-13  Aldy Hernandez  <aldyh@redhat.com>
	
	* libc/machine/powerpc/machine/stdlib.h: Wrap SPE functions in
	extern "C".

2003-08-13  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/math.h: Add prototypes for __signbitf and
	__signbitd.

2003-07-31  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/ctype/iswalpha.c: Fix calls to __jp2uc to pass the
	correct type of conversion when dealing with EUCJP or SJIS.
	* libc/ctype/iswblank.c: Ditto.
	* libc/ctype/iswcntrl.c: Ditto.
	* libc/ctype/iswprint.c: Ditto.
	* libc/ctype/iswpunct.c: Ditto.
	* libc/ctype/iswspace.c: Ditto.
	* libc/ctype/towlower.c: Ditto.
	* libc/ctype/towupper.c: Ditto.

2003-07-31  Nick Clifton  <nickc@redhat.com>

	* libc/sys/sysnecv850/crt0.S (_start): Allocate 4 slots on stack
	before calling main, in case it saves its argument registers.
        Remove reference to deleted v850ea port.
        * configure.host: Remove reference to deleted v850ea port.
        Do not use -mv850 when building for v850e target.  This
	prevents the ctbp system register from being initialised.

2003-07-29  Honda Hiroki  <hhonda@ipflex.com>

	* libc/stdio/vfprintf.c: Set output size to 1 when
	we have %f format with precision 0 and # flag not specified.

2003-07-29  Alexandre Oliva  <aoliva@redhat.com>

	* libc/machine/mn10300/setjmp.S: Never emit both .am33 and
	.am33_2.

2003-07-25  Christopher Faylor  <cgf@redhat.com>

	* libc/stdio64/fdopen64.c: Include sys/lock.h.

2003-07-25  Christopher Faylor  <cgf@redhat.com>

	* configure.host: Find cygwin include directory, when appropriate.

2003-07-24  Christopher Faylor  <cgf@redhat.com>

	* libc/stdio64/fdopen64.c: New file.
	* libc/stdio64/Makefile.am (LIB_OBJS): Add fdopen64.o
	* libc/stdio64/Makefile.in: Regenerate.
	* libc/include/stdio.h (fdopen64): Define.
	* libc/include/stdio.h (_fdopen64_r): Ditto.

2003-07-10  Alexandre Oliva  <aoliva@redhat.com>

	2000-04-27  Alexandre Oliva  <aoliva@cygnus.com>
	* libc/include/machine/setjmp.h (_JBLEN, AM33/2.0): Set to 26.
	* libc/machine/mn10300/setjmp.S (setjmp, longjmp): Save and
	restore callee-saved FP registers.

2003-07-10  J"orn Rennecke <joern.rennecke@superh.com>

	* libc/include/sys/unistd.h (ftruncate, truncate): Also declare
	for __sh__.
	* libc/sys/sh/Makefile.am (lib_a_SOURCES): Add ftruncate.c and
	truncate.c.
	* libc/sys/sh/Makefile.in: Regenerate.
	* libc/sys/sh/sys/syscall.h: (SYS_truncate, SYS_ftruncate): Define.
	* libc/sys/sh/ftruncate.c: New file.
	* libc/sys/sh/truncate.c: Likewise.

2003-07-09  Alexandre Oliva  <aoliva@redhat.com>

	* libc/include/math.h (nan, nanf): Update prototype to C99.
	* libm/common/s_nan.c (nan): Likewise.
	* libm/common/s_nanf.c (nanf, nan): Likewise.
	* libc/sys/linux/cmath/math_private.h (nan, nanf): Likewise.

2003-07-07  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdbool.h: Removed as this is defined by gcc.

2003-07-03  Shaun Jackman  <sjackman@pathwayconnect.com>

	* libc/include/stdbool.h: New header file defined by C99.

2003-07-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/types.h (int8_t): Make signed.

2003-07-02  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/include/mqueue.h: Add include of <sys/fcntl.h>.

2003-06-27  Jose Goncalves  <jose.goncalves@inov.pt>

	* libc/sys/linux/mq_open.c (mq_open): Only set created flag
	on if we actually created the shared memory file exclusively.

2003-06-27  Joe Vornehm  <joev@mitre.org>

	* libm/common/s_fpclassify.c (__fpclassifyf): Fix
	comparisons to account for unsigned internal value w.

2003-06-26  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/mq_open.c (mq_open): Must allocate rdbuf and
	wrbuf for a non-creating open.

2003-06-24  Kazu Hirata  <kazu@cs.umass.edu>

	* libc/machine/h8300/setarch.h: New.
	* libc/machine/h8300/memcpy.S: Use it.
	* libc/machine/h8300/memset.S: Likewise.
	* libc/machine/h8300/reg_memcpy.S: Likewise.
	* libc/machine/h8300/reg_memset.S: Likewise.
	* libc/machine/h8300/setjmp.S: Likewise.
	* libc/machine/h8300/strcmp.S: Likewise.

2003-06-24  Richard Sandiford  <rsandifo@redhat.com>

	* libc/sys/h8300hms/crt0.S (_start): Fix register sizes in call
	to atexit().

2003-06-20  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host (iq2000): Add tabs.

2003-06-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/reent.h (_REENT_INIT_PTR): Fix macros
	to handle latest on_exit change.
	* libc/sys/linux/Makefile.am: Remove special compilation
	for malloc.c and mcheck.c.
	* libc/sys/linux/Makefile.in: Regenerated.
	* libc/sys/linux/mntent.c: Add definition of _LIBC flag
	after including <features.h>.
	* libc/sys/linux/mcheck.c: Ditto.
	* libc/sys/linux/malloc.c: Ditto plus define _GNU_SOURCE
	for <features.h>.
	* libc/sys/linux/intl/Makefile.am: Remove -D_LIBC and
	add -DNOT_IN_libc to C flags.
	* libc/sys/linux/intl/Makefile.in: Regenerated.
	* libc/sys/linux/intl/config.h: Add definition of _LIBC.
	* libc/sys/linux/linuxthreads/semaphore.h: Include
	<bits/pthreadtypes.h>.
	* libc/sys/linux/sys/dirent.h: Define _LIBC and NOT_IN_libc after
	including <features.h>.
	* libc/sys/linux/sys/lock.h: Ditto.

2003-06-11  Nick Clifton  <nickc@redhat.com>

	* libc/reent/reent.c (reclaim_reent): Fix typo in code to free
	_on_exit_args_ptr.

2003-06-10  Stan Cox  <scox@redhat.com>
            Anthony Green  <green@redhat.com>
	
	* configure.host: Add iq2000 support.
	* newlib/libc/include/machine/ieeefp.h: Ditto.
	* newlib/libc/include/machine/setjmp.h: Ditto.
	* libc/machine/iq2000, libc/machine/iq2000/setjmp.S,
	libc/machine/iq2000/aclocal.m4, libc/machine/iq2000/configure,
	libc/machine/iq2000/configure.in, libc/machine/iq2000/Makefile.am,
	libc/machine/iq2000/Makefile.in: New files.

2003-06-10  Richard Sandiford  <rsandifo@redhat.com>

	* libc/sys/h8300hms/setarch.h: New file.
	* libc/sys/h8300hms/close.S, libc/sys/h8300hms/fstat.S,
	libc/sys/h8300hms/lseek.S, libc/sys/h8300hms/open.S,
	libc/sys/h8300hms/read.S, libc/sys/h8300hms/stat.S,
	libc/sys/h8300hms/write.S, libc/sys/h8300hms/crt0.S: Use it.

2003-06-06  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/argz/argz_add.c: Change to use _DEFUN macro for function
        definition.
        * libc/argz/argz_add_sep.c: Ditto.
        * libc/argz/argz_append.c libc/argz/argz_count.c: Ditto.
        * libc/argz/argz_create.c libc/argz/argz_create_sep.c: Ditto.
        * libc/argz/argz_delete.c libc/argz/argz_extract.c: Ditto.
        * libc/argz/argz_insert.c libc/argz/argz_next.c: Ditto.
        * libc/argz/argz_replace.c libc/argz/argz_stringify.c: Ditto.
        * libc/argz/envz_add.c libc/argz/envz_entry.c: Ditto.
        * libc/argz/envz_get.c libc/argz/envz_merge.c: Ditto.
        * libc/argz/envz_remove.c libc/argz/envz_strip.c: Ditto.
        * libc/locale/nl_langinfo.c libc/misc/ffs.c: Ditto.
        * libc/posix/closedir.c libc/posix/creat.c: Ditto.
        * libc/posix/execl.c libc/posix/execle.c: Ditto.
        * libc/posix/execlp.c libc/posix/execve.c: Ditto.
        * libc/posix/isatty.c libc/posix/opendir.c: Ditto.
        * libc/posix/popen.c libc/posix/readdir.c: Ditto.
        * libc/posix/readdir_r.c libc/posix/rewinddir.c: Ditto.
        * libc/posix/scandir.c libc/posix/seekdir.c: Ditto.
        * libc/posix/telldir.c libc/search/hcreate.c: Ditto.
        * libc/search/tdelete.c libc/search/tdestroy.c: Ditto.
        * libc/search/tfind.c libc/search/tsearch.c: Ditto.
        * libc/search/twalk.c libc/signal/signal.c: Ditto.

2003-06-05  Nick Clifton  <nickc@redhat.com>
	
	* libc/include/sys/reent.h (struct _on_exit_args): New
	structure containing fields used by the on_exit() function.
        (struct _atexit): Include struct _on_exit_args.  For
	_REENT_SMALL do his via a pointer that is initialised when
	needed.
        * libc/reent/reent.c (_reclaim_reent): Free the _on_exit_args
	structure, if one has been allocated.
        * libc/stdlib/atexit.c (atexit): Update indirection to
	_fntypes field.
        * libc/stdlib/on_exit.c (on_exit): Indirect via the
	_on_exit_args structure.  For _REENT_SMALL, allocate a
	structure if one does not exist.
        * libc/stdlib/exit.c (exit): Indirect via the _on_exit_args
	structure.

2003-06-04  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/net/Makefile.am: Remove extraneous markers.
	* libc/sys/linux/net/Makefile.in: Regenerated.

2003-06-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/reent/execr.c: Use _DEFUN macro for function declaration.
	* libc/reent/fcntlr.c: Ditto.
	* libc/reent/fstat64r.c: Ditto.
	* libc/reent/linkr.c: Ditto.
	* libc/reent/lseek64r.c: Ditto.
	* libc/reent/lseekr.c: Ditto.
	* libc/reent/openr.c: Ditto.
	* libc/reent/readr.c: Ditto.
	* libc/reent/reent.c: Ditto.
	* libc/reent/sbrkr.c: Ditto.
	* libc/reent/signalr.c: Ditto.
	* libc/reent/signgam.c: Ditto.
	* libc/reent/statr.c: Ditto.
	* libc/reent/timer.c: Ditto.
	* libc/reent/unlinkr.c: Ditto.
	* libc/reent/writer.c: Ditto.
	* libc/syscalls/sysclose.c: Ditto.
	* libc/syscalls/sysexecve.c: Ditto.
	* libc/syscalls/sysfcntl.c: Ditto.
	* libc/syscalls/sysfork.c: Ditto.
	* libc/syscalls/sysfstat.c: Ditto.
	* libc/syscalls/sysgetpid.c: Ditto.
	* libc/syscalls/sysgettod.c: Ditto.
	* libc/syscalls/syskill.c: Ditto.
	* libc/syscalls/syslink.c: Ditto.
	* libc/syscalls/syslseek.c: Ditto.
	* libc/syscalls/sysopen.c: Ditto.
	* libc/syscalls/sysread.c: Ditto.
	* libc/syscalls/syssbrk.c: Ditto.
	* libc/syscalls/sysstat.c: Ditto.
	* libc/syscalls/systimes.c: Ditto.
	* libc/syscalls/sysunlink.c: Ditto.
	* libc/syscalls/syswait.c: Ditto.
	* libc/syscalls/syswrite.c: Ditto.

2003-06-03  Till Straumann  <strauman@SLAC.Stanford.EDU>

	* libc/time/tzset_r.c: Change local variables that are
	set via sscanf using the %h format specifier to be unsigned short
	instead of int.

2003-05-30  Kelley Cook  <kelleycook@wideopenwest.com>

	* configure.host:  Allow i[34567]86 variant.
	* configure.in: Likewise.
	* README: Likewise to the docs.
	* configure: Regenerated.
	* Makefile.in: Ditto.

2003-05-28  Jeff Johnston  <jjohnstn@redhat.com>
	    Tom Fitzsimmons  <fitzsim@redhat.com>

	* configure.in: Add iconvdata support for x86 linux.
	* configure: Regenerated.
	* libc/sys/linux/Makefile.am: Add EL/IX level 3 network, dynamic 
	library, iconv, and linuxthreads support.
	* libc/sys/linux/configure.in: Ditto.
	* libc/sys/linux/Makefile.in: Regenerated.
	* libc/sys/linux/configure: Ditto.
	* iconvdata/EUC-JP.irreversible: New file.
	* iconvdata/Makefile.am: Ditto.
	* iconvdata/Makefile.in: Ditto.
	* iconvdata/SJIS.irreversible: Ditto.
	* iconvdata/aclocal.m4: Ditto.
	* iconvdata/configure: Ditto.
	* iconvdata/configure.in: Ditto.
	* iconvdata/dummy.c: Ditto.
	* iconvdata/euc-jp.c: Ditto.
	* iconvdata/gconv-modules: Ditto.
	* iconvdata/jis0201.c: Ditto.
	* iconvdata/jis0201.h: Ditto.
	* iconvdata/jis0208.c: Ditto.
	* iconvdata/jis0208.h: Ditto.
	* iconvdata/jis0212.c: Ditto.
	* iconvdata/jis0212.h: Ditto.
	* iconvdata/sjis.c: Ditto.
	* libc/include/errno.h: Protect definition of error_t.
	* libc/sys/linux/gethostid.c: New file.
	* libc/sys/linux/sethostid.c: Ditto.
	* libc/sys/linux/dl/Makefile.am: Ditto.
	* libc/sys/linux/dl/Makefile.in: Ditto.
	* libc/sys/linux/dl/abi-tag.h: Ditto.
	* libc/sys/linux/dl/atomicity.h: Ditto.
	* libc/sys/linux/dl/dl-addr.c: Ditto.
	* libc/sys/linux/dl/dl-cache.c: Ditto.
	* libc/sys/linux/dl/dl-cache.h: Ditto.
	* libc/sys/linux/dl/dl-close.c: Ditto.
	* libc/sys/linux/dl/dl-debug.c: Ditto.
	* libc/sys/linux/dl/dl-deps.c: Ditto.
	* libc/sys/linux/dl/dl-dst.h: Ditto.
	* libc/sys/linux/dl/dl-error.c: Ditto.
	* libc/sys/linux/dl/dl-fini.c: Ditto.
	* libc/sys/linux/dl/dl-init.c: Ditto.
	* libc/sys/linux/dl/dl-iteratephdr.c: Ditto.
	* libc/sys/linux/dl/dl-libc.c: Ditto.
	* libc/sys/linux/dl/dl-librecon.h: Ditto.
	* libc/sys/linux/dl/dl-load.c: Ditto.
	* libc/sys/linux/dl/dl-lookup.c: Ditto.
	* libc/sys/linux/dl/dl-lookupcfg.h: Ditto.
	* libc/sys/linux/dl/dl-minimal.c: Ditto.
	* libc/sys/linux/dl/dl-misc.c: Ditto.
	* libc/sys/linux/dl/dl-object.c: Ditto.
	* libc/sys/linux/dl/dl-open.c: Ditto.
	* libc/sys/linux/dl/dl-osinfo.h: Ditto.
	* libc/sys/linux/dl/dl-profile.c: Ditto.
	* libc/sys/linux/dl/dl-profstub.c: Ditto.
	* libc/sys/linux/dl/dl-reloc.c: Ditto.
	* libc/sys/linux/dl/dl-runtime.c: Ditto.
	* libc/sys/linux/dl/dl-support.c: Ditto.
	* libc/sys/linux/dl/dl-sym.c: Ditto.
	* libc/sys/linux/dl/dl-version.c: Ditto.
	* libc/sys/linux/dl/dlfcn.h: Ditto.
	* libc/sys/linux/dl/do-lookup.h: Ditto.
	* libc/sys/linux/dl/do-rel.h: Ditto.
	* libc/sys/linux/dl/dynamic-link.h: Ditto.
	* libc/sys/linux/dl/kernel-features.h: Ditto.
	* libc/sys/linux/dl/ldsodefs.h: Ditto.
	* libc/sys/linux/dl/libintl.h: Ditto.
	* libc/sys/linux/dl/trusted-dirs.h: Ditto.
	* libc/sys/linux/dl/unsecvars.h: Ditto.
	* libc/sys/linux/iconv/Makefile.am: Ditto.
	* libc/sys/linux/iconv/Makefile.in: Ditto.
	* libc/sys/linux/iconv/categories.def: Ditto.
	* libc/sys/linux/iconv/dummy-repertoire.c: Ditto.
	* libc/sys/linux/iconv/gconv.c: Ditto.
	* libc/sys/linux/iconv/gconv_builtin.c: Ditto.
	* libc/sys/linux/iconv/gconv_builtin.h: Ditto.
	* libc/sys/linux/iconv/gconv_cache.c: Ditto.
	* libc/sys/linux/iconv/gconv_charset.h: Ditto.
	* libc/sys/linux/iconv/gconv_close.c: Ditto.
	* libc/sys/linux/iconv/gconv_conf.c: Ditto.
	* libc/sys/linux/iconv/gconv_db.c: Ditto.
	* libc/sys/linux/iconv/gconv_dl.c: Ditto.
	* libc/sys/linux/iconv/gconv_int.h: Ditto.
	* libc/sys/linux/iconv/gconv_open.c: Ditto.
	* libc/sys/linux/iconv/gconv_simple.c: Ditto.
	* libc/sys/linux/iconv/gconv_trans.c: Ditto.
	* libc/sys/linux/iconv/hash-string.h: Ditto.
	* libc/sys/linux/iconv/iconv.c: Ditto.
	* libc/sys/linux/iconv/iconv.h: Ditto.
	* libc/sys/linux/iconv/iconv_charmap.c: Ditto.
	* libc/sys/linux/iconv/iconv_close.c: Ditto.
	* libc/sys/linux/iconv/iconv_open.c: Ditto.
	* libc/sys/linux/iconv/iconvconfig.c: Ditto.
	* libc/sys/linux/iconv/iconvconfig.h: Ditto.
	* libc/sys/linux/iconv/loadinfo.h: Ditto.
	* libc/sys/linux/iconv/localeinfo.h: Ditto.
	* libc/sys/linux/iconv/loop.c: Ditto.
	* libc/sys/linux/iconv/skeleton.c: Ditto.
	* libc/sys/linux/iconv/strtab.c: Ditto.
	* libc/sys/linux/include/dl-hash.h: Ditto.
	* libc/sys/linux/include/dlfcn.h: Ditto.
	* libc/sys/linux/include/fnmatch.h: Ditto.
	* libc/sys/linux/include/gconv.h: Ditto.
	* libc/sys/linux/include/glob.h: Ditto.
	* libc/sys/linux/include/hesiod.h: Ditto.
	* libc/sys/linux/include/ifaddrs.h: Ditto.
	* libc/sys/linux/include/libc_private.h: Ditto.
	* libc/sys/linux/include/link.h: Ditto.
	* libc/sys/linux/include/namespace.h: Ditto.
	* libc/sys/linux/include/netconfig.h: Ditto.
	* libc/sys/linux/include/netdb.h: Ditto.
	* libc/sys/linux/include/nsswitch.h: Ditto.
	* libc/sys/linux/include/regex.h: Ditto.
	* libc/sys/linux/include/resolv.h: Ditto.
	* libc/sys/linux/include/rune.h: Ditto.
	* libc/sys/linux/include/runetype.h: Ditto.
	* libc/sys/linux/include/semaphore.h: Ditto.
	* libc/sys/linux/include/setlocale.h: Ditto.
	* libc/sys/linux/include/un-namespace.h: Ditto.
	* libc/sys/linux/include/wordexp.h: Ditto.
	* libc/sys/linux/include/arpa/ftp.h: Ditto.
	* libc/sys/linux/include/arpa/inet.h: Ditto.
	* libc/sys/linux/include/arpa/nameser.h: Ditto.
	* libc/sys/linux/include/arpa/nameser_compat.h: Ditto.
	* libc/sys/linux/include/arpa/telnet.h: Ditto.
	* libc/sys/linux/include/arpa/tftp.h: Ditto.
	* libc/sys/linux/include/net/bpf.h: Ditto.
	* libc/sys/linux/include/net/bpf_compat.h: Ditto.
	* libc/sys/linux/include/net/bpfdesc.h: Ditto.
	* libc/sys/linux/include/net/bridge.h: Ditto.
	* libc/sys/linux/include/net/ethernet.h: Ditto.
	* libc/sys/linux/include/net/fddi.h: Ditto.
	* libc/sys/linux/include/net/if.h: Ditto.
	* libc/sys/linux/include/net/if_arc.h: Ditto.
	* libc/sys/linux/include/net/if_arp.h: Ditto.
	* libc/sys/linux/include/net/if_atm.h: Ditto.
	* libc/sys/linux/include/net/if_dl.h: Ditto.
	* libc/sys/linux/include/net/if_gif.h: Ditto.
	* libc/sys/linux/include/net/if_ieee80211.h: Ditto.
	* libc/sys/linux/include/net/if_llc.h: Ditto.
	* libc/sys/linux/include/net/if_media.h: Ditto.
	* libc/sys/linux/include/net/if_mib.h: Ditto.
	* libc/sys/linux/include/net/if_ppp.h: Ditto.
	* libc/sys/linux/include/net/if_pppvar.h: Ditto.
	* libc/sys/linux/include/net/if_slvar.h: Ditto.
	* libc/sys/linux/include/net/if_sppp.h: Ditto.
	* libc/sys/linux/include/net/if_stf.h: Ditto.
	* libc/sys/linux/include/net/if_tap.h: Ditto.
	* libc/sys/linux/include/net/if_tapvar.h: Ditto.
	* libc/sys/linux/include/net/if_tun.h: Ditto.
	* libc/sys/linux/include/net/if_tunvar.h: Ditto.
	* libc/sys/linux/include/net/if_types.h: Ditto.
	* libc/sys/linux/include/net/if_var.h: Ditto.
	* libc/sys/linux/include/net/if_vlan_var.h: Ditto.
	* libc/sys/linux/include/net/intrq.h: Ditto.
	* libc/sys/linux/include/net/iso88025.h: Ditto.
	* libc/sys/linux/include/net/net_osdep.h: Ditto.
	* libc/sys/linux/include/net/netisr.h: Ditto.
	* libc/sys/linux/include/net/pfil.h: Ditto.
	* libc/sys/linux/include/net/pfkeyv2.h: Ditto.
	* libc/sys/linux/include/net/ppp_comp.h: Ditto.
	* libc/sys/linux/include/net/ppp_defs.h: Ditto.
	* libc/sys/linux/include/net/radix.h: Ditto.
	* libc/sys/linux/include/net/raw_cb.h: Ditto.
	* libc/sys/linux/include/net/route.h: Ditto.
	* libc/sys/linux/include/net/slcompress.h: Ditto.
	* libc/sys/linux/include/net/slip.h: Ditto.
	* libc/sys/linux/include/net/zlib.h: Ditto.
	* libc/sys/linux/include/netinet/icmp6.h: Ditto.
	* libc/sys/linux/include/netinet/icmp_var.h: Ditto.
	* libc/sys/linux/include/netinet/if_atm.h: Ditto.
	* libc/sys/linux/include/netinet/if_ether.h: Ditto.
	* libc/sys/linux/include/netinet/igmp.h: Ditto.
	* libc/sys/linux/include/netinet/igmp_var.h: Ditto.
	* libc/sys/linux/include/netinet/in.h: Ditto.
	* libc/sys/linux/include/netinet/in_gif.h: Ditto.
	* libc/sys/linux/include/netinet/in_pcb.h: Ditto.
	* libc/sys/linux/include/netinet/in_systm.h: Ditto.
	* libc/sys/linux/include/netinet/in_var.h: Ditto.
	* libc/sys/linux/include/netinet/ip.h: Ditto.
	* libc/sys/linux/include/netinet/ip6.h: Ditto.
	* libc/sys/linux/include/netinet/ip_dummynet.h: Ditto.
	* libc/sys/linux/include/netinet/ip_ecn.h: Ditto.
	* libc/sys/linux/include/netinet/ip_encap.h: Ditto.
	* libc/sys/linux/include/netinet/ip_flow.h: Ditto.
	* libc/sys/linux/include/netinet/ip_fw.h: Ditto.
	* libc/sys/linux/include/netinet/ip_icmp.h: Ditto.
	* libc/sys/linux/include/netinet/ip_mroute.h: Ditto.
	* libc/sys/linux/include/netinet/ip_var.h: Ditto.
	* libc/sys/linux/include/netinet/ipprotosw.h: Ditto.
	* libc/sys/linux/include/netinet/tcp.h: Ditto.
	* libc/sys/linux/include/netinet/tcp_debug.h: Ditto.
	* libc/sys/linux/include/netinet/tcp_fsm.h: Ditto.
	* libc/sys/linux/include/netinet/tcp_seq.h: Ditto.
	* libc/sys/linux/include/netinet/tcp_timer.h: Ditto.
	* libc/sys/linux/include/netinet/tcp_var.h: Ditto.
	* libc/sys/linux/include/netinet/tcpip.h: Ditto.
	* libc/sys/linux/include/netinet/udp.h: Ditto.
	* libc/sys/linux/include/netinet/udp_var.h: Ditto.
	* libc/sys/linux/include/netinet6/ah.h: Ditto.
	* libc/sys/linux/include/netinet6/ah6.h: Ditto.
	* libc/sys/linux/include/netinet6/esp.h: Ditto.
	* libc/sys/linux/include/netinet6/esp6.h: Ditto.
	* libc/sys/linux/include/netinet6/esp_rijndael.h: Ditto.
	* libc/sys/linux/include/netinet6/icmp6.h: Ditto.
	* libc/sys/linux/include/netinet6/in6.h: Ditto.
	* libc/sys/linux/include/netinet6/in6_gif.h: Ditto.
	* libc/sys/linux/include/netinet6/in6_ifattach.h: Ditto.
	* libc/sys/linux/include/netinet6/in6_pcb.h: Ditto.
	* libc/sys/linux/include/netinet6/in6_prefix.h: Ditto.
	* libc/sys/linux/include/netinet6/in6_var.h: Ditto.
	* libc/sys/linux/include/netinet6/ip6.h: Ditto.
	* libc/sys/linux/include/netinet6/ip6_ecn.h: Ditto.
	* libc/sys/linux/include/netinet6/ip6_fw.h: Ditto.
	* libc/sys/linux/include/netinet6/ip6_mroute.h: Ditto.
	* libc/sys/linux/include/netinet6/ip6_var.h: Ditto.
	* libc/sys/linux/include/netinet6/ip6protosw.h: Ditto.
	* libc/sys/linux/include/netinet6/ipcomp.h: Ditto.
	* libc/sys/linux/include/netinet6/ipcomp6.h: Ditto.
	* libc/sys/linux/include/netinet6/ipsec.h: Ditto.
	* libc/sys/linux/include/netinet6/ipsec6.h: Ditto.
	* libc/sys/linux/include/netinet6/mld6_var.h: Ditto.
	* libc/sys/linux/include/netinet6/nd6.h: Ditto.
	* libc/sys/linux/include/netinet6/pim6.h: Ditto.
	* libc/sys/linux/include/netinet6/pim6_var.h: Ditto.
	* libc/sys/linux/include/netinet6/raw_ip6.h: Ditto.
	* libc/sys/linux/include/netinet6/scope6_var.h: Ditto.
	* libc/sys/linux/include/netinet6/tcp6_var.h: Ditto.
	* libc/sys/linux/include/netinet6/udp6_var.h: Ditto.
	* libc/sys/linux/include/netns/idp.h: Ditto.
	* libc/sys/linux/include/netns/idp_var.h: Ditto.
	* libc/sys/linux/include/netns/ns.h: Ditto.
	* libc/sys/linux/include/netns/ns_error.h: Ditto.
	* libc/sys/linux/include/netns/ns_if.h: Ditto.
	* libc/sys/linux/include/netns/ns_pcb.h: Ditto.
	* libc/sys/linux/include/netns/sp.h: Ditto.
	* libc/sys/linux/include/netns/spidp.h: Ditto.
	* libc/sys/linux/include/netns/spp_debug.h: Ditto.
	* libc/sys/linux/include/netns/spp_timer.h: Ditto.
	* libc/sys/linux/include/netns/spp_var.h: Ditto.
	* libc/sys/linux/include/rpc/Makefile: Ditto.
	* libc/sys/linux/include/rpc/auth.h: Ditto.
	* libc/sys/linux/include/rpc/auth_des.h: Ditto.
	* libc/sys/linux/include/rpc/auth_kerb.h: Ditto.
	* libc/sys/linux/include/rpc/auth_unix.h: Ditto.
	* libc/sys/linux/include/rpc/clnt.h: Ditto.
	* libc/sys/linux/include/rpc/clnt_soc.h: Ditto.
	* libc/sys/linux/include/rpc/clnt_stat.h: Ditto.
	* libc/sys/linux/include/rpc/des.h: Ditto.
	* libc/sys/linux/include/rpc/des_crypt.h: Ditto.
	* libc/sys/linux/include/rpc/nettype.h: Ditto.
	* libc/sys/linux/include/rpc/pmap_clnt.h: Ditto.
	* libc/sys/linux/include/rpc/pmap_prot.h: Ditto.
	* libc/sys/linux/include/rpc/pmap_rmt.h: Ditto.
	* libc/sys/linux/include/rpc/raw.h: Ditto.
	* libc/sys/linux/include/rpc/rpc.h: Ditto.
	* libc/sys/linux/include/rpc/rpc_com.h: Ditto.
	* libc/sys/linux/include/rpc/rpc_msg.h: Ditto.
	* libc/sys/linux/include/rpc/rpcb_clnt.h: Ditto.
	* libc/sys/linux/include/rpc/rpcb_prot.h: Ditto.
	* libc/sys/linux/include/rpc/rpcb_prot.x: Ditto.
	* libc/sys/linux/include/rpc/rpcent.h: Ditto.
	* libc/sys/linux/include/rpc/svc.h: Ditto.
	* libc/sys/linux/include/rpc/svc_auth.h: Ditto.
	* libc/sys/linux/include/rpc/svc_dg.h: Ditto.
	* libc/sys/linux/include/rpc/svc_soc.h: Ditto.
	* libc/sys/linux/include/rpc/types.h: Ditto.
	* libc/sys/linux/include/rpc/xdr.h: Ditto.
	* libc/sys/linux/intl/Makefile.am: Ditto.
	* libc/sys/linux/intl/Makefile.in: Ditto.
	* libc/sys/linux/intl/bindtextdom.c: Ditto.
	* libc/sys/linux/intl/catgets.c: Ditto.
	* libc/sys/linux/intl/catgetsinfo.h: Ditto.
	* libc/sys/linux/intl/config.h: Ditto.
	* libc/sys/linux/intl/dcgettext.c: Ditto.
	* libc/sys/linux/intl/dcigettext.c: Ditto.
	* libc/sys/linux/intl/dcngettext.c: Ditto.
	* libc/sys/linux/intl/dgettext.c: Ditto.
	* libc/sys/linux/intl/dngettext.c: Ditto.
	* libc/sys/linux/intl/explodename.c: Ditto.
	* libc/sys/linux/intl/finddomain.c: Ditto.
	* libc/sys/linux/intl/gettext.c: Ditto.
	* libc/sys/linux/intl/gettext.h: Ditto.
	* libc/sys/linux/intl/gettextP.h: Ditto.
	* libc/sys/linux/intl/hash-string.h: Ditto.
	* libc/sys/linux/intl/l10nflist.c: Ditto.
	* libc/sys/linux/intl/loadinfo.h: Ditto.
	* libc/sys/linux/intl/loadmsgcat.c: Ditto.
	* libc/sys/linux/intl/locale.alias: Ditto.
	* libc/sys/linux/intl/localealias.c: Ditto.
	* libc/sys/linux/intl/ngettext.c: Ditto.
	* libc/sys/linux/intl/open_catalog.c: Ditto.
	* libc/sys/linux/intl/plural.c: Ditto.
	* libc/sys/linux/intl/plural.y: Ditto.
	* libc/sys/linux/intl/stpcpy.c: Ditto.
	* libc/sys/linux/intl/textdomain.c: Ditto.
	* libc/sys/linux/linuxthreads/LICENSE: Ditto.
	* libc/sys/linux/linuxthreads/Makefile.am: Ditto.
	* libc/sys/linux/linuxthreads/Makefile.in: Ditto.
	* libc/sys/linux/linuxthreads/aclocal.m4: Ditto.
	* libc/sys/linux/linuxthreads/attr.c: Ditto.
	* libc/sys/linux/linuxthreads/barrier.c: Ditto.
	* libc/sys/linux/linuxthreads/bp-sym.h: Ditto.
	* libc/sys/linux/linuxthreads/cancel.c: Ditto.
	* libc/sys/linux/linuxthreads/condvar.c: Ditto.
	* libc/sys/linux/linuxthreads/config.h: Ditto.
	* libc/sys/linux/linuxthreads/configure: Ditto.
	* libc/sys/linux/linuxthreads/configure.in: Ditto.
	* libc/sys/linux/linuxthreads/defs.awk: Ditto.
	* libc/sys/linux/linuxthreads/ecmutex.c: Ditto.
	* libc/sys/linux/linuxthreads/events.c: Ditto.
	* libc/sys/linux/linuxthreads/getcpuclockid.c: Ditto.
	* libc/sys/linux/linuxthreads/getreent.c: Ditto.
	* libc/sys/linux/linuxthreads/internals.h: Ditto.
	* libc/sys/linux/linuxthreads/join.c: Ditto.
	* libc/sys/linux/linuxthreads/joinrace.c: Ditto.
	* libc/sys/linux/linuxthreads/kernel-features.h: Ditto.
	* libc/sys/linux/linuxthreads/libc-internal.h: Ditto.
	* libc/sys/linux/linuxthreads/libc-symbols.h: Ditto.
	* libc/sys/linux/linuxthreads/linuxthreads.texi: Ditto.
	* libc/sys/linux/linuxthreads/lockfile.c: Ditto.
	* libc/sys/linux/linuxthreads/manager.c: Ditto.
	* libc/sys/linux/linuxthreads/mq_notify.c: Ditto.
	* libc/sys/linux/linuxthreads/mutex.c: Ditto.
	* libc/sys/linux/linuxthreads/no-tsd.c: Ditto.
	* libc/sys/linux/linuxthreads/oldsemaphore.c: Ditto.
	* libc/sys/linux/linuxthreads/posix-timer.h: Ditto.
	* libc/sys/linux/linuxthreads/prio.c: Ditto.
	* libc/sys/linux/linuxthreads/proc_service.h: Ditto.
	* libc/sys/linux/linuxthreads/pt-machine.c: Ditto.
	* libc/sys/linux/linuxthreads/ptclock_gettime.c: Ditto.
	* libc/sys/linux/linuxthreads/ptclock_settime.c: Ditto.
	* libc/sys/linux/linuxthreads/ptfork.c: Ditto.
	* libc/sys/linux/linuxthreads/pthread.c: Ditto.
	* libc/sys/linux/linuxthreads/ptlongjmp.c: Ditto.
	* libc/sys/linux/linuxthreads/queue.h: Ditto.
	* libc/sys/linux/linuxthreads/reent.c: Ditto.
	* libc/sys/linux/linuxthreads/reqsyscalls.c: Ditto.
	* libc/sys/linux/linuxthreads/restart.h: Ditto.
	* libc/sys/linux/linuxthreads/rwlock.c: Ditto.
	* libc/sys/linux/linuxthreads/semaphore.c: Ditto.
	* libc/sys/linux/linuxthreads/semaphore.h: Ditto.
	* libc/sys/linux/linuxthreads/shlib-compat.h: Ditto.
	* libc/sys/linux/linuxthreads/signals.c: Ditto.
	* libc/sys/linux/linuxthreads/specific.c: Ditto.
	* libc/sys/linux/linuxthreads/spinlock.c: Ditto.
	* libc/sys/linux/linuxthreads/spinlock.h: Ditto.
	* libc/sys/linux/linuxthreads/sysctl.c: Ditto.
	* libc/sys/linux/linuxthreads/td_init.c: Ditto.
	* libc/sys/linux/linuxthreads/td_log.c: Ditto.
	* libc/sys/linux/linuxthreads/td_symbol_list.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_clear_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_delete.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_enable_stats.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_event_addr.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_event_getmsg.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_get_nthreads.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_get_ph.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_get_stats.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_map_id2thr.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_map_lwp2thr.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_new.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_reset_stats.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_set_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_setconcurrency.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_thr_iter.c: Ditto.
	* libc/sys/linux/linuxthreads/td_ta_tsd_iter.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_clear_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_dbresume.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_dbsuspend.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_event_enable.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_event_getmsg.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_get_info.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getfpregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getgregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getxregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_getxregsize.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_set_event.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setfpregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setgregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setprio.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setsigpending.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_setxregs.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_sigsetmask.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_tsd.c: Ditto.
	* libc/sys/linux/linuxthreads/td_thr_validate.c: Ditto.
	* libc/sys/linux/linuxthreads/testrtsig.h: Ditto.
	* libc/sys/linux/linuxthreads/thread_db.h: Ditto.
	* libc/sys/linux/linuxthreads/thread_dbP.h: Ditto.
	* libc/sys/linux/linuxthreads/timer_create.c: Ditto.
	* libc/sys/linux/linuxthreads/timer_delete.c: Ditto.
	* libc/sys/linux/linuxthreads/timer_getoverr.c: Ditto.
	* libc/sys/linux/linuxthreads/timer_gettime.c: Ditto.
	* libc/sys/linux/linuxthreads/timer_routines.c: Ditto.
	* libc/sys/linux/linuxthreads/timer_settime.c: Ditto.
	* libc/sys/linux/linuxthreads/tst-cancel.c: Ditto.
	* libc/sys/linux/linuxthreads/tst-context.c: Ditto.
	* libc/sys/linux/linuxthreads/tststack.c: Ditto.
	* libc/sys/linux/linuxthreads/unload.c: Ditto.
	* libc/sys/linux/linuxthreads/weaks.c: Ditto.
	* libc/sys/linux/linuxthreads/wrapsyscall.c: Ditto.
	* libc/sys/linux/linuxthreads/bits/initspin.h: Ditto.
	* libc/sys/linux/linuxthreads/bits/libc-lock.h: Ditto.
	* libc/sys/linux/linuxthreads/bits/libc-tsd.h: Ditto.
	* libc/sys/linux/linuxthreads/bits/local_lim.h: Ditto.
	* libc/sys/linux/linuxthreads/bits/posix_opt.h: Ditto.
	* libc/sys/linux/linuxthreads/bits/pthreadtypes.h: Ditto.
	* libc/sys/linux/linuxthreads/bits/sigthread.h: Ditto.
	* libc/sys/linux/linuxthreads/machine/Makefile.am: Ditto.
	* libc/sys/linux/linuxthreads/machine/Makefile.in: Ditto.
	* libc/sys/linux/linuxthreads/machine/aclocal.m4: Ditto.
	* libc/sys/linux/linuxthreads/machine/configure: Ditto.
	* libc/sys/linux/linuxthreads/machine/configure.in: Ditto.
	* libc/sys/linux/linuxthreads/machine/generic/generic-sysd: Ditto.ep.h
	* libc/sys/linux/linuxthreads/machine/i386/Makefile.am: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/Makefile.in: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/aclocal.m4: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/bp-asm.h: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/clone.S: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/configure: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/configure.in: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/i386-sysdep.S: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/i386-sysdep.h: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/pspinlock.c: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/pt-machine.h: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/sigcontextinfo.h: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/stackinfo.h: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/sysdep.S: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/sysdep.h: Ditto.
	* libc/sys/linux/linuxthreads/machine/i386/useldt.h: Ditto.
	* libc/sys/linux/machine/i386/dl-machine.h: Ditto.
	* libc/sys/linux/net/Makefile.am: Ditto.
	* libc/sys/linux/net/Makefile.in: Ditto.
	* libc/sys/linux/net/addr2ascii.3: Ditto.
	* libc/sys/linux/net/addr2ascii.c: Ditto.
	* libc/sys/linux/net/ascii2addr.c: Ditto.
	* libc/sys/linux/net/base64.c: Ditto.
	* libc/sys/linux/net/bindresvport.c: Ditto.
	* libc/sys/linux/net/byteorder.3: Ditto.
	* libc/sys/linux/net/ether_addr.c: Ditto.
	* libc/sys/linux/net/ethers.3: Ditto.
	* libc/sys/linux/net/getaddrinfo.3: Ditto.
	* libc/sys/linux/net/getaddrinfo.c: Ditto.
	* libc/sys/linux/net/gethostbydns.c: Ditto.
	* libc/sys/linux/net/gethostbyht.c: Ditto.
	* libc/sys/linux/net/gethostbyname.3: Ditto.
	* libc/sys/linux/net/gethostbynis.c: Ditto.
	* libc/sys/linux/net/gethostnamadr.c: Ditto.
	* libc/sys/linux/net/getifaddrs.3: Ditto.
	* libc/sys/linux/net/getifaddrs.c: Ditto.
	* libc/sys/linux/net/getipnodebyname.3: Ditto.
	* libc/sys/linux/net/getnameinfo.3: Ditto.
	* libc/sys/linux/net/getnameinfo.c: Ditto.
	* libc/sys/linux/net/getnetbydns.c: Ditto.
	* libc/sys/linux/net/getnetbyht.c: Ditto.
	* libc/sys/linux/net/getnetbynis.c: Ditto.
	* libc/sys/linux/net/getnetent.3: Ditto.
	* libc/sys/linux/net/getnetnamadr.c: Ditto.
	* libc/sys/linux/net/getproto.c: Ditto.
	* libc/sys/linux/net/getprotoent.3: Ditto.
	* libc/sys/linux/net/getprotoent.c: Ditto.
	* libc/sys/linux/net/getprotoname.c: Ditto.
	* libc/sys/linux/net/getservbyname.c: Ditto.
	* libc/sys/linux/net/getservbyport.c: Ditto.
	* libc/sys/linux/net/getservent.3: Ditto.
	* libc/sys/linux/net/getservent.c: Ditto.
	* libc/sys/linux/net/herror.c: Ditto.
	* libc/sys/linux/net/hesiod.3: Ditto.
	* libc/sys/linux/net/hesiod.c: Ditto.
	* libc/sys/linux/net/if_indextoname.3: Ditto.
	* libc/sys/linux/net/ifname.c: Ditto.
	* libc/sys/linux/net/inet.3: Ditto.
	* libc/sys/linux/net/inet6_option_s: Ditto.pace.3
	* libc/sys/linux/net/inet6_rthdr_space.3: Ditto.
	* libc/sys/linux/net/inet_addr.c: Ditto.
	* libc/sys/linux/net/inet_lnaof.c: Ditto.
	* libc/sys/linux/net/inet_makeaddr.c: Ditto.
	* libc/sys/linux/net/inet_net.3: Ditto.
	* libc/sys/linux/net/inet_net_ntop.c: Ditto.
	* libc/sys/linux/net/inet_net_pton.c: Ditto.
	* libc/sys/linux/net/inet_neta.c: Ditto.
	* libc/sys/linux/net/inet_netof.c: Ditto.
	* libc/sys/linux/net/inet_network.c: Ditto.
	* libc/sys/linux/net/inet_ntoa.c: Ditto.
	* libc/sys/linux/net/inet_ntop.c: Ditto.
	* libc/sys/linux/net/inet_pton.c: Ditto.
	* libc/sys/linux/net/innetgr-stub.c: Ditto.
	* libc/sys/linux/net/ip6opt.c: Ditto.
	* libc/sys/linux/net/iso_addr.3: Ditto.
	* libc/sys/linux/net/iso_addr.c: Ditto.
	* libc/sys/linux/net/issetugid-stub.c: Ditto.
	* libc/sys/linux/net/linkaddr.3: Ditto.
	* libc/sys/linux/net/linkaddr.c: Ditto.
	* libc/sys/linux/net/map_v4v6.c: Ditto.
	* libc/sys/linux/net/name6.c: Ditto.
	* libc/sys/linux/net/namespace.h: Ditto.
	* libc/sys/linux/net/ns.3: Ditto.
	* libc/sys/linux/net/ns_addr.c: Ditto.
	* libc/sys/linux/net/ns_name.c: Ditto.
	* libc/sys/linux/net/ns_netint.c: Ditto.
	* libc/sys/linux/net/ns_ntoa.c: Ditto.
	* libc/sys/linux/net/ns_parse.c: Ditto.
	* libc/sys/linux/net/ns_print.c: Ditto.
	* libc/sys/linux/net/ns_ttl.c: Ditto.
	* libc/sys/linux/net/nsap_addr.c: Ditto.
	* libc/sys/linux/net/nsdispatch.3: Ditto.
	* libc/sys/linux/net/nsdispatch.c: Ditto.
	* libc/sys/linux/net/nslexer.c: Ditto.
	* libc/sys/linux/net/nslexer.l: Ditto.
	* libc/sys/linux/net/nsparser.c: Ditto.
	* libc/sys/linux/net/nsparser.h: Ditto.
	* libc/sys/linux/net/nsparser.y: Ditto.
	* libc/sys/linux/net/rcmd.3: Ditto.
	* libc/sys/linux/net/rcmd.c: Ditto.
	* libc/sys/linux/net/rcmdsh.3: Ditto.
	* libc/sys/linux/net/rcmdsh.c: Ditto.
	* libc/sys/linux/net/recv.c: Ditto.
	* libc/sys/linux/net/res_comp.c: Ditto.
	* libc/sys/linux/net/res_config.h: Ditto.
	* libc/sys/linux/net/res_data.c: Ditto.
	* libc/sys/linux/net/res_debug.c: Ditto.
	* libc/sys/linux/net/res_init.c: Ditto.
	* libc/sys/linux/net/res_mkquery.c: Ditto.
	* libc/sys/linux/net/res_mkupdate.c: Ditto.
	* libc/sys/linux/net/res_query.c: Ditto.
	* libc/sys/linux/net/res_send.c: Ditto.
	* libc/sys/linux/net/res_update.c: Ditto.
	* libc/sys/linux/net/resolver.3: Ditto.
	* libc/sys/linux/net/rthdr.c: Ditto.
	* libc/sys/linux/net/send.c: Ditto.
	* libc/sys/linux/net/un-namespace.h: Ditto.
	* libc/sys/linux/net/vars.c: Ditto.
	* libc/sys/linux/stdlib/COPYRIGHT: Ditto.
	* libc/sys/linux/stdlib/Makefile.am: Ditto.
	* libc/sys/linux/stdlib/Makefile.in: Ditto.
	* libc/sys/linux/stdlib/cclass.h: Ditto.
	* libc/sys/linux/stdlib/cname.h: Ditto.
	* libc/sys/linux/stdlib/collate.c: Ditto.
	* libc/sys/linux/stdlib/collate.h: Ditto.
	* libc/sys/linux/stdlib/collcmp.c: Ditto.
	* libc/sys/linux/stdlib/engine.c: Ditto.
	* libc/sys/linux/stdlib/fnmatch.3: Ditto.
	* libc/sys/linux/stdlib/fnmatch.c: Ditto.
	* libc/sys/linux/stdlib/glob.3: Ditto.
	* libc/sys/linux/stdlib/glob.c: Ditto.
	* libc/sys/linux/stdlib/reallocf.c: Ditto.
	* libc/sys/linux/stdlib/regcomp.c: Ditto.
	* libc/sys/linux/stdlib/regerror.c: Ditto.
	* libc/sys/linux/stdlib/regex.3: Ditto.
	* libc/sys/linux/stdlib/regex2.h: Ditto.
	* libc/sys/linux/stdlib/regexec.c: Ditto.
	* libc/sys/linux/stdlib/regfree.c: Ditto.
	* libc/sys/linux/stdlib/utils.h: Ditto.
	* libc/sys/linux/stdlib/wordexp.c: Ditto.
	* libc/sys/linux/stdlib/wordfree.c: Ditto.
	* libc/sys/linux/sys/dlfcn.h: Ditto.
	* libc/sys/linux/sys/elfclass.h: Ditto.
	* libc/sys/linux/sys/event.h: Ditto.
	* libc/sys/linux/sys/ioccom.h: Ditto.
	* libc/sys/linux/sys/libc-tsd.h: Ditto.
	* libc/sys/linux/sys/link.h: Ditto.
	* libc/sys/linux/sys/lock.h: Ditto.
	* libc/sys/linux/sys/param.h: Ditto.
	* libc/sys/linux/sys/socket.h: Ditto.
	* libc/sys/linux/sys/sockio.h: Ditto.

2003-05-28  Dhananjay Deshpande  <dhananjayd@kpitcummins.com> 

	* newlib/libc/machine/h8300/memcpy.S: Use .h8300hn and .h8300sn for 
	normal mode
	* newlib/libc/machine/h8300/memset.S: Likewise
	* newlib/lib/machine/h8300/reg_memcpy.S: Likewise
	* newlib/lib/machine/h8300/reg_memset.S: Likewise
	* newlib/lib/machine/h8300/setjmp.S: Likewise
	* newlib/lib/machine/h8300/strcmp.S: Likewise
	* newlib/lib/sys/h8300hms/crt0.S: Likewise

2003-05-13  Corinna Vinschen  <corinna@vinschen.de>

	* libc/ctype/ctype_.c: Remove checks for deprecated __CYGWIN32__.
	* libc/include/stdio.h: Ditto.
	* libc/include/sys/config.h: Ditto.
	* libc/stdio/mktemp.c: Ditto.

2003-05-13  Corinna Vinschen  <corinna@vinschen.de>

	* libc/locale/ldpart.c (__part_load_locale): Substitute
	__CYGWIN_USE_BIG_TYPES__ by __USE_INTERNAL_STAT64.
	* libc/search/hash.c (__hash_open): Ditto.
	(init_hash): Ditto.
	* libc/stdio/fseek.c (fseek): Ditto.
	* libc/stdio/makebuf.c (__smakebuf): Ditto.
	* libc/stdio/mktemp.c (_gettemp): Ditto.

2003-05-12  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/stdio.h: Change one __CYGWIN__ to __CYGWIN32__.

2003-05-12  Corinna Vinschen  <corinna@vinschen.de>

	* configure.host: Accomodate removing the libc/sys/cygwin dir.
	* libc/locale/ldpart.c (__part_load_locale): Use 64 bit stat call
	if __CYGWIN_USE_BIG_TYPES__ is set.
	* libc/search/hash.c (__hash_open): Ditto.
	(init_hash): Ditto.
	* libc/stdio/fseek.c (fseek): Ditto.
	* libc/stdio/makebuf.c (__smakebuf): Ditto.
	* libc/stdio/mktemp.c (_gettemp): Ditto.
	* libc/sys/cygwin/Makefile.am: Remove.
	* libc/sys/cygwin/Makefile.in: Remove.
	* libc/sys/cygwin/aclocal.m4: Remove.
	* libc/sys/cygwin/configure: Remove.
	* libc/sys/cygwin/configure.in: Remove.
	* libc/sys/cygwin/crt0.c: Move to winsup/cygwin directory.
	* libc/sys/cygwin/sys/dirent.h: Move to winsup/cygwin/include/sys
	directory.
	* libc/sys/cygwin/sys/param.h: Ditto.
	* libc/sys/cygwin/sys/utime.h: Ditto.
	* libc/sys/cygwin/sys/utmp.h: Ditto.

2003-05-11  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/types.h: Don't define key_t for Cygwin.

2003-05-10  Christopher Faylor  <cgf@redhat.com>

	* libc/sys/cygwin/sys/dirent.h (struct dirent): Accommodate (slightly)
	64 bit inodes.

2003-05-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/config.h: Remove all Cygwin specific configuration.
	Include cygwin/config.h instead.

2003-04-16  Jeff Johnston  <jjohnstn@redhat.com>

	* newlib/libc/machine/powerpc (ato*fix*.c,strto*fix*.c): Shield
	all code with #ifdef __SPE__ test.
	* newlib/libc/machine/powerpc (simdldtoa.c, ufix64toa.c): Ditto.

2003-04-15  Chris January <chris@atomice.net>

	* newlib/libc/include/sys/unistd.h: add declaration for gethostid on
	Cygwin.

2003-04-09  J"orn Rennecke <joern.rennecke@superh.com>

	* libc/machine/sh/memset.S: Avoid clobbering volatile
	objects following a tiny to-be-set array in the same quadword.

2001-04-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/wchar.h: Add definitions for wcswidth and wcwidth.  
	* libc/string/Makefile.am: Add wcswidth.c and wcwidth.c
	* libc/string/Makefile.in: Regenerated.
	* libc/string/wcswidth.c: New file.
	* libc/string/wcwidth.c: New file.
	* libc/string/wcstrings.tex: Add wcswidth and wcwidth.

Thu Apr  3 14:01:16 2003  J"orn Rennecke <joern.rennecke@superh.com>

	* libc/machine/sh/memset.S: Fix problem with alloco region
	exceeding destination region for length >= 88 bytes, start
	& 0x16 == 0, end & 0x1f == 18.

2001-04-03  Corinna Vinschen  <corinna@vinschen.de>

	* libc/string/wcscoll.c: Fix comment.

2001-04-02  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/wchar.h: Add definition for wcscoll.
	* libc/string/Makefile.am: Add wcscoll.c.
	* libc/string/Makefile.in: Regenerated.
	* libc/string/wcscoll.c: New file.
	* libc/string/wcstrings.tex: Add wcscoll.   

2003-04-01  Corinna Vinschen  <corinna@vinschen.de>

	* libc/stdio/sscanf.c: Update flags description.
	* libc/stdio/vfscanf.c: Add CHAR flag value to denote 8 bit target
	type.
	(__svfscanf_r): Add 'hh' and 'll' handling.

2003-04-01  Corinna Vinschen  <corinna@vinschen.de>

	* libc/sys/cygwin/sys/dirent.h (struct DIR): Change type of
	__d_position member to _off_t.

2003-03-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdio/vfscanf.c (__svfscanf_r): For floating point conversion,
	count all characters used to create number against maximum width.
	* libc/machine/powerpc/vfscanf.c (__svfscanf_r): Ditto.

2003-03-18  D.Venkatasubramanian  <dvenkat@noida.hcltech.com>

	* libc/include/sys/h8300hms/crt0.S[__SIMULATOR__]: Add commandline
	support.
	* configure.host (h8300*-*-*): Added comment regarding -D__SIMULATOR__
	flag to support simulator only extensions.

2003-03-17  Bob Cassels  <bcassels@abinitio.com>

        * libc/string/wcschr.c: (wcschr): Look for character first, 
	then for end of string, so you can do wcschr(x, '\0').

2003-03-10  Corinna Vinschen  <corinna@vinschen.de>     

	* libc/include/stdio.h: Declare fgetpos, fsetpos, fseeko and ftello
	with internal (_fpos_t and _off_t) datatypes when compiling newlib.
	* libc/include/sys/unistd.h: Declare _lseek using _off_t.
	* libc/reent/lseekr.c (_lseek_r): Use _off_t instead of off_t.
	* libc/stdio/fseeko.c (fseeko): Ditto.
	* libc/stdio/ftello.c (ftello): Ditto.
	* libc/stdio/stdio.c (__swrite): Ditto.
	(__sseek): Ditto.
	* libc/stdio/fgetpos.c (fgetpos): Use _fpos_t instead of fpos_t.
	* libc/stdio/fseek.c (fseek): Ditto.
	* libc/stdio/fsetpos.c (fsetpos): Ditto.
	* libc/stdio/ftell.c (ftell): Ditto.
	* libc/stdio/local.h: Declare __sseek using _off_t.

2003-03-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/reent/lseekr.c (lseek_r): Use _off_t instead of off_t.

2003-03-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/config.h: Define __CYGWIN_USE_BIG_TYPES__ for
	Cygwin.

2003-03-09  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/pwd.h: Add guards to avoid type clashes when compiling
	Cygwin.
	* libc/include/sys/stat.h: Ditto.
	* libc/include/sys/unistd.h: Ditto.
	* libc/sys/cygwin/sys/dirent.h: Ditto.

2003-03-07  Christopher Faylor  <cgf@redhat.com>

	* libc/include/sys/unistd.h: Guard getopt.h call to force only
	declaration of getopt and avoid getopt_long declaration.
	* libc/sys/cygwin/include/unistd.h: Remove.

2003-03-07  Corinna Vinschen  <corinna@vinschen.de>

	* configure.host: Define stdio64_dir for Cygwin.
	* libc/include/stdio.h: Change definition of fpos_t to fulfill
	Cygwin 64bit file access requirements.
	Drop definition of f*64() functions when compiled for Cygwin.
	* libc/include/sys/config.h: Define __LARGE64_FILES for Cygwin.
	* libc/reent/lseek64r.c: Use _off64_t instead of off64_t.
	* libc/stdio64/local64.h: Use _fpos64_t instead of fpos64_t.

2003-03-07   Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/reent.h: Remove extraneous _sig_func
	declaration.

2003-02-25   D.Venkatasubramanian <dvenkat@noida.hcltech.com>

	* libc/sys/h8300hms/Makefile.am: Add support for new files.
	* libc/sys/h8300hms/Makefile.in: Regenerated.
	* libc/sys/h8300hms/close.S: New file.
	* libc/sys/h8300hms/fstat.S: Ditto.
	* libc/sys/h8300hms/lseek.S: Ditto.
	* libc/sys/h8300hms/open.S: Ditto.
	* libc/sys/h8300hms/stat.S: Ditto.
	* libc/sys/h8300hms/read.S: New file to replace read.c.
	* libc/sys/h8300hms/read.c: Removed.
	* libc/sys/h8300hms/syscalls.c: Removed functions _open,
	_lseek, _close, _stat, _fstat.
	* libc/sys/h8300hms/write.S: New file to replace write.c.
	* libc/sys/h8300hms/write.c: Removed.

2003-02-20  Nick Clifton  <nickc@redhat.com>

	* Add support for Cirrus Maverick ARM co-processor:
	
	2000-09-13  Aldy Hernandez  <aldyh@redhat.com>

		* libc/include/machine/ieeefp.h: Set IEEE_BIG_ENDIAN or
		IEEE_LITTLE_ENDIAN depending on endian mode (cirrus).

	2000-08-11  Aldy Hernandez  <aldyh@redhat.com>

		* configure.host: set sys_dir, syscall_dir, and
		newlib_cflags for ep9312 host.

        * configure.host: Restore alpha sorting of entries in case
	statements.

2003-02-19  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/stdlib/mallocr.c (unlink): Revert 02/18 fix.

2003-02-18  Christian Groessler  <chris@groessler.org>

	* libc/machine/z8k/setjmp.S (_setjmp / _longjmp): Fix to
	support z8001 segmented mode.

2003-02-18  Earnie Boyd  <earnie@users.sf.net>

	* libc/stdlib/mallocr.c (unlink): Don't assign a value to a pointer
	with a NULL value.

2003-02-10  Christopher Faylor  <cgf@redhat.com>

	* libc/include/sys/types.h: Don't define __MS_types__ for Cygwin.
	Don't define some types under cygwin.

2003-02-07  Jeff Johnston  <jjohnstn@redhat.com>

	* acinclude.m4 (--disable-newlib-supplied-syscalls): New configuration 
	option to allow disabling of syscalls being supplied in newlib.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* configure.host: Add support of new configuration option and add
	-D__NO_SYSCALLS__ if newlib supplied syscalls are disabled.
	* doc/aclocal.m4: Regenerated.
	* doc/configure: Ditto.
	* libc/*aclocal.m4: Ditto.
	* libc/*configure: Ditto.
	* libm/*aclocal.m4: Ditto.
	* libm/*configure: Ditto.
	* libc/sys/arm/Makefile.am: Don't build syscalls.o if new option
	is disabled.
	* libc/sys/arm/Makefile.in: Regenerated.

2003-02-05  Jonathan Larmour  <jifl@eCosCentric.com>

	* libc/stdio/vsprintf.c (vsprintf, _vsprintf_r): Set _file fd to
	-1 to be sure it cannot later match a valid file fd causing
	isatty() to return 1.
	* libc/stdio/asprintf.c (asprintf, _asprintf_r): Ditto.
	* libc/stdio/sprintf.c (sprintf, _sprintf_r): Ditto.
	* libc/stdio/vasprintf.c (vasprintf, _vasprintf_r): Ditto.

2003-02-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/ldtoa.c (_ldtoa_r): Fix code to allocate the format
	buffer based on the precision, after we have processed the input value 
	in a local buffer and know its relative magnitude. 

2003-01-31  Michael Snyder  <msnyder@redhat.com>

	* libc/sys/h8300hms/_exit.c (_exit, __exit):  Slip a magic cookie
	into registers r1 and r2, so that the simulator can distinguish
	this trap from a breakpoint trap.  Copied from libgloss.

2003-01-31  Michael Snyder  <msnyder@redhat.com>

	* libc/sys/h8300hms/crt0.S (_start): Change local label
	from .loop to .Loop, so that ld and gdb will ignore it.

2003-01-29  Jason Tishler  <jason@tishler.net>

	* libc/include/time.h: Declare nanosleep() under Cygwin.

2003-01-24  Nick Clifton  <nickc@redhat.com>

	* Add sh2e support:

	2002-04-02  Alexandre Oliva  <aoliva@redhat.com>

		* libc/machine/sh/asm.h: Added __SH2E__ next to __SH3E__.
		* libc/machine/sh/setjmp.S: Likewise.
		* libc/include/machine/ieeefp.h: Likewise.

2003-01-24  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/unistd.h: Add setregid and setreuid declarations
	for Cygwin.

2003-01-21 Anita Kulkarni  <anitak@kpit.com>
  
	* libc/time/difftime.c : Typecast the result to double.

2003-01-20  Christopher Faylor  <cgf@redhat.com>

	* libc/include/sys/unistd.h: Add rresvport declaration for cygwin.

2003-01-18  Nick Clifton  <nickc@redhat.com>

	* libc/include/machine/ieeefp.h : Define __IEEE_BIG_ENDIAN,
	__SMALL_BITFIELDS and _DOUBLE_IS_32BITS for IP2K.

2003-01-16  Joel Sherrill <joel@OARcorp.com>

        * libc/sys/rtems/include/limits.h, libc/sys/rtems/sys/param.h,
        libc/sys/rtems/sys/syslimits.h: Update to be in sync with what 
        constants are defined in each file in the shared versions in
        libc/include.
        * libc/sys/rtems/crt0.c: Define extra symbols on SH and HP-PA to
        autoconf can link programs.
        * libc/include/machine/types.h: Explicitly specify signed on
        intXX_t types to ensure they are signed.

2003-01-14  Christopher Faylor  <cgf@redhat.com>

	* libc/time/strftime.c (strftime): Add '%h' and '%l, %k' GNU
	extensions.

2003-01-08  Richard Sandiford  <rsandifo@redhat.com>

	* configure.host (mips64vr-elf, mips64vrel-elf): New config.

2003-01-07  Charles Wilson  <cwilson@ece.gatech.edu>

	* libc/stdio/sprintf.c: fix typo
	* libc/stdio/vfprintf.c: fix typo

2003-01-07  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Support long double I/O for x86-linux.
	* libc/stdlib/ldtoa.c (_ldtoa_r): Fix code to allocate a buffer
	large enough to hold formatted result.
	* libc/machine/powerpc/simdldtoa.c (_simdldtoa_r): Ditto.

2003-01-06  Charles Wilson  <cwilson@ece.gatech.edu>

	* Makefile.am: Add vasprintf.
	* Makefile.in: Regenerated.

2003-01-06  Charles Wilson  <cwilson@ece.gatech.edu>

	* asprintf.c (_asprintf_r): insure both declarations
	are the same.

2002-12-28  Christopher Faylor  <cgf@redhat.com>

	* libc/include/sys/unistd.h: Under cygwin, just include getopt.h rather
	than defining getopt directly.

2002-12-20  Jeff Johnston  <jjohnstn@redhat.com>

	* NEWS: Update with 1.11.0 info.
	* README: Ditto.
	* acinclude.m4: Change version number to 1.11.0.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* doc/aclocal.m4: Ditto.
	* doc/configure: Ditto.
	* libc/*/aclocal.m4: Ditto.
	* libc/*/configure: Ditto.
	* libc/libc.texinfo: Ditto.
	* libm/*/aclocal.m4: Ditto.
	* libm/*/configure: Ditto.
	* libm/libm.texinfo: Ditto.
	* libc/sys/linux/shared.ld: Add VERS_1.11.

2002-12-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/machine/i386/f_atan2.S: Change copyright from Cygnus
	Solutions to Red Hat Inc.
	* libc/machine/i386/f_atan2f.S: Ditto.
	* libc/machine/i386/f_exp.c: Ditto.
	* libc/machine/i386/f_expf.c: Ditto.
	* libc/machine/i386/f_frexp.S: Ditto.
	* libc/machine/i386/f_frexpf.S: Ditto.
	* libc/machine/i386/f_ldexp.S: Ditto.
	* libc/machine/i386/f_ldexpf.S: Ditto.
	* libc/machine/i386/f_log.S: Ditto.
	* libc/machine/i386/f_log10.S: Ditto.
	* libc/machine/i386/f_log10f.S: Ditto.
	* libc/machine/i386/f_logf.S: Ditto.
	* libc/machine/i386/f_pow.c: Ditto.
	* libc/machine/i386/f_powf.c: Ditto.
	* libc/machine/i386/f_tan.S: Ditto.
	* libc/machine/i386/f_tanf.S: Ditto.
	* libc/machine/i386/memchr.S: Ditto.
	* libc/machine/i386/memcmp.S: Ditto.
	* libc/machine/i386/memcpy.S: Ditto.
	* libc/machine/i386/memmove.S: Ditto.
	* libc/machine/i386/memset.S: Ditto.
	* libc/machine/i386/strchr.S: Ditto.
	* libc/machine/i386/strlen.S: Ditto.
	* libm/machine/i386/f_atan2.S: Ditto.
	* libm/machine/i386/f_atan2f.S: Ditto.
	* libm/machine/i386/f_exp.c: Ditto.
	* libm/machine/i386/f_expf.c: Ditto.
	* libm/machine/i386/f_frexp.S: Ditto.
	* libm/machine/i386/f_frexpf.S: Ditto.
	* libm/machine/i386/f_ldexp.S: Ditto.
	* libm/machine/i386/f_ldexpf.S: Ditto.
	* libm/machine/i386/f_log.S: Ditto.
	* libm/machine/i386/f_log10.S: Ditto.
	* libm/machine/i386/f_log10f.S: Ditto.
	* libm/machine/i386/f_logf.S: Ditto.
	* libm/machine/i386/f_pow.c: Ditto.
	* libm/machine/i386/f_powf.c: Ditto.
	* libm/machine/i386/f_tan.S: Ditto.
	* libm/machine/i386/f_tanf.S: Ditto.

2002-12-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/environ.c: Update license to Red Hat.
	* libc/machine/hppa/setjmp.S: Ditto.
	* libm/test/Makefile.in: Ditto.

2002-12-19  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Remove references to go32.
	* libc/sys/go32/*: Removed.

2002-12-16  Kazu Hirata  <kazu@cs.umass.edu>

	* libc/include/sys/config.h: Change setting of INT_MAX
	and UINT_MAX, to use __INT_MAX__ for __H8300__, __H8300H__,
	__H8300S__.  Also consolidate flag settings for these
	platforms.

2002-12-10  Joel Sherrill  <joel@OARcorp.com>

	* libc/include/machine/setjmp.h: Make sure _JBLEN is defined
	for i386-rtems targets.

2002-12-06  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/stdlib.h (strtof): New prototype (from C99).
	(strtodf): Changed from prototype to macro which redefines
	to strtof.
	* libc/stdlib/atof.c: Change documentation to refer to strtof
	instead of strtodf.
	* libc/stdlib/atoff.c (atoff): Change to call strtof instead of
	strtodf.
	* libc/stdlib/strtod.c (strtodf): Renamed to strtof.
	(strtof): New function.
	* libm/test/convert.c (test_strtodf): Renamed to test_strtof which
	calls strtof.

2002-11-27  Christopher Faylor  <cgf@redhat.com>

	* libc/string/memset.c (memset): Fix comment.

2002-11-26  Christopher Faylor  <cgf@redhat.com>

	* libc/string/memset.c (memset): Move initialization of 'd' earlier in
	function.

2002-11-25  Christopher Faylor  <cgf@redhat.com>

	* libc/string/memset.c (memset): Minor optimization: Use new 'd'
	variable, introduced below, everywhere.

2002-11-25  Kazu Hirata  <kazu@cs.umass.edu>

	* libc/string/memset.c (memset): Make it safe even if
	sizeof (int) = 2.

2002-11-22  Joe Buehler  <jbuehler@hekimian.com>

	* configure.in: Change check for libc/include in ${CC} to
	use an intermediate value so as to work with different shells.
	* configure: Regenerated.
	* Makefile.in: Ditto.

2002-11-22  Vijay L. Khuspe  <vijayk1@kpit.com>

	* libc/sys/h8300hms/read.c: Add support for normal mode
	architecture.

2002-11-20  Ryo Tsuruta  <ryo@kitanet.ne.jp>

	* libc/machine/h8300/setjmp.S (setjmp, longjmp): Combine common
	code for __H8300H__ and __H8300S__.  Also return 32-bit return code
	when -mint32 is used.

2002-11-18  Nick Clifton  <nickc@redhat.com>

	* libc/sys/arm/crt0.S: Add NULL to end of argv array.

2002-11-14  Jeff Johnston  <jjohnstn@redhat.com>

        * testsuite/lib/passfail.exp (newlib_pass_fail): Changed to
        only issue one pass/fail message for a compile/link/execute.
        * testsuite/newlib.elix/elix.exp: New file.
        * testsuite/newlib.elix/tmmap.c: Ditto.

2002-11-06  Christopher Faylor  <cgf@redhat.com>

	* libc/stdlib/malign.c: Don't compile if MALLOC_PROVIDED.
	* libc/stdlib/mlock.c: Ditto.
	* libc/stdlib/msize.c: Ditto.
	* libc/stdlib/msize.c: Ditto.
	* libc/stdlib/mtrim.c: Ditto.
	* libc/stdlib/valloc.c: Ditto.

2002-11-12  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/stdlib/ldtoa.c (e64toe): When checking the exponent
        for inf/nan, make sure that the check ignores the sign bit.

2002-11-07  Joel Sherrill <joel@OARcorp.com>

        * libc/sys/rtems/machine: New directory.
        * libc/sys/rtems/machine/limits.h, libc/sys/rtems/machine/param.h,
        libc/sys/rtems/sys/param.h, libc/sys/rtems/sys/syslimits.h,
        libc/sys/rtems/sys/utime.h: New files added to make *-rtems newlib
        targets more BSD like when installed without requiring files to
        be overwritten at install point when RTEMS itself is installed.
        * Makefile.am: Pick up system dependent machine .h files such as
        might be found on a BSD-ish system.
        * Makefile.in: Regenerate.
        * libc/include/machine/types.h: When on an RTEMS target, define a
        few BSD flavor types. 

2002-11-06  Sergey Okhapkin  <sos@prospect.com.ru>

	* include/utmp.h: Define WTMP_FILE.  Define and use UT_IDLEN.

2002-11-06  Kazuhiro Fujieda  <fujieda@jaist.ac.jp>

        * libc/include/wchar.h: Use _{BEGIN,END}_STD_C instead of extern "C".
        * libc/include/wctype.h: Ditto.

2002-11-04  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/include/wchar.h: Add extern "C" specifier if C++.
        * libc/include/wctype.h: Ditto.

2002-10-18  Jeff Johnston  <jjohnstn@redhat.com>

        * testsuite/newlib.wctype/tiswctype.c: New test case.
        * testsuite/newlib.wctype/twctrans.c: Ditto.

2002-10-18  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/sys/linux/machine/i386/include/endian.h: New file.
        * libc/sys/linux/machine/i386/include/param.h: Ditto.

2002-10-18  Jeff Johnston  <jjohnstn@redhat.com>

	* libm/machine/i386/aclocal.m4: Regenerated.
	* libm/machine/i386/configure: Ditto.

2002-10-18  Jeff Johnston  <jjohnstn@redhat.com>

        * testsuite/include/check.h: New header file to use with
        test cases.
        * testsuite/lib/newlib.exp: Add testsuite/include directory
        to list of header files to use.
        * testsuite/newlib.wctype/twctype.c: New test case for iswctype fns.
        * testsuite/newlib.wctype/wctype.exp: New file.

2002-10-11  Graham Stott  <graham.stott@btinternet.com>
	    Richard Sandiford  <rsandifo@redhat.com>

	* libc/include/sys/config.h (SIZE_T_SMALLER_THAN_LONG): Undefine.
	* libc/stdlib/mallocr.c (long_sub_size_t): Define in a way that
	doesn't require the SIZE_T_SMALLER_THAN_LONG macro.

2002-10-07	Joel Sherrill <joel@OARcorp.com>

	* libc/sys/rtems/crt0.c: Add even more symbols so gcc() can link
	dummy programs.

2002-10-07	Joel Sherrill <joel@OARcorp.com>

	* libc/include/pthread.h: Define PTHREAD_CANCELED.

2002-10-07	Joel Sherrill <joel@OARcorp.com>

	* libc/machine/hppa/DEFS.h, libc/machine/hppa/pcc_prefix.s,
	libc/machine/hppa/setjmp.S, libc/machine/hppa/DEFS.h: Make this
	compile with current GNU tools.

2002-10-07  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am: Add EXTRA_DIRS to allow future dependencies on
	the build library.
	* configure.in: Ditto.
	* Makefile.in: Regenerated.
	* configure: Ditto.
	* libc/sys/linux/Makefile.am: Add EXTRA_SUBDIRS and EXTRA_SUBLIBS
	for specifying configured libraries/directories.
	* libc/sys/linux/configure.in: Ditto.
	* libc/sys/linux/Makefile.in: Regenerated.
	* libc/sys/linux/configure: Ditto.

2002-10-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/reent.h: Update documentation at start of file.

2002-09-27  Jim Wilson  <wilson@redhat.com>

	* libc/sys/sysnecv850/crt0.S (start): Delete v850 code for initializing
	the ctbp register.

2002-09-27  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/ctype/jp2uc.c: Change to use multiple arrays in jp2uc.h.
	Also convert to EUCJP before using arrays.  For values not in
	the conversion arrays, return WEOF.
	* libc/ctype/jp2uc.h: Change from one array to a number of
	arrays to account for the fact that the originating table
	is not contiguous for the input values since some are invalid.

2002-09-24  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/time/ctime.c: Fix prototype documentation.

2002-09-24  Corinna Vinschen  <corinna@vinschen.de>

	* libc/include/sys/errno.h: Add EOVERFLOW.

2002-09-20  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/wctype.h: New file.

2002-09-20  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/ctype/Makefile.am: Add new files.
        * libc/ctype/Makefile.in: Regenerated.
        * libc/ctype/ctype.tex: Add new iswxxxx, towxxxx, wctype,
        and wctrans functions to documentation index.
        * libc/ctype/iswalnum.c: New file.
        * libc/ctype/iswalpha.c: Ditto.
        * libc/ctype/iswblank.c: Ditto.
        * libc/ctype/iswcntrl.c: Ditto.
        * libc/ctype/iswctype.c: Ditto.
        * libc/ctype/iswdigit.c: Ditto.
        * libc/ctype/iswgraph.c: Ditto.
        * libc/ctype/iswlower.c: Ditto.
        * libc/ctype/iswprint.c: Ditto.
        * libc/ctype/iswpunct.c: Ditto.
        * libc/ctype/iswspace.c: Ditto.
        * libc/ctype/iswupper.c: Ditto.
        * libc/ctype/iswxdigit.c: Ditto.
        * libc/ctype/jp2uc.c: Ditto.
        * libc/ctype/jp2uc.h: Ditto.
        * libc/ctype/local.h: Ditto.
        * libc/ctype/towctrans.c: Ditto.
        * libc/ctype/towlower.c: Ditto.
        * libc/ctype/towupper.c: Ditto.
        * libc/ctype/utf8alpha.h: Ditto.
        * libc/ctype/utf8print.h: Ditto.
        * libc/ctype/utf8punct.h: Ditto.
        * libc/ctype/wctrans.c: Ditto.
        * libc/ctype/wctype.c: Ditto.
        * libc/locale/locale.c (__lc_ctype): New external array to
        replace static lc_ctype array.
        * libc/stdlib/mbtowc_r.c: Use __lc_ctype to check current lc_ctype
        rather than reentrancy structure's _current_locale field.
        * libc/stdlib/wctomb_r.c: Ditto.

2002-09-20  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Minor comment and formatting changes.
	* libc/Makefile.am: Add libc_la_DEPENDENCIES.
	* libc/Makefile.in: Regenerated.
	* libc/include/sys/config.h: Minor format change.

2002-09-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/syscalls/sysfcntl.c (fcntl): Fix typo in preprocessor
	statement comment.

2002-09-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/posix/opendir.c (opendir): Change code to check
	for HAVE_FCNTL before calling fcntl.
	* libc/search/hash.c (hash_open): Ditto.
	* libc/search/hash_page.c (open_tmp): Ditto.
	* libc/reent/Makefile.am: Add fcntlr.c.
	* libc/reent/Makefile.in: Regenerated.
	* libc/reent/fcntlr.c: New file.
	* libc/stdio/fdopen.c (_fdopen_r): Change to call _fcntl_r
	instead of _fcntl when HAVE_FCNTL flag is set.
	* libc/syscalls/sysfcntl.c (fcntl): Check for HAVE_FCNTL flag
	to see if _fcntl or _fcntl_r should be called.  If flag is not
	set, default to ENOSYS stub.

2002-09-16  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/wchar.h (mbstate_t): Change protective flag to
	be _MBSTATE_T.
	* libc/include/sys/_types.h (_mbstate_t): Remove protective flag.
	[__CYGWIN__]: Remove special code that defines mbstate_t and WEOF
	for Cygwin.
	* libc/sys/linux/sys/_types.h (_mbstate_t): Remove protective flag.

2002-09-11  Jeff Johnston  <jjohnstn@redhat.com>

        * acinclude.m4 (enable-newlib-mb): Change check to
        default newlib_mb variable to empty string rather than "no".
        * configure.host: Remove hard-coding of -DMB_CAPABLE for
        x86-linux and Cygwin.  Add code to check for newlib_mb
        being unset in which case set to "yes" for x86-linux and
        Cygwin.  Change check for newlib_mb being "yes" to allow
        for an empty string.
        * configure.in (_MB_LEN_MAX): New AC_DEFINE.
        * newlib.hin (_MB_LEN_MAX): New define to configure.
        * aclocal.m4: Regenerated.
        * configure: Ditto.
        * libc/include/limits.h: New file.
        * libc/sys/linux/include/limits.h: Ditto.
        * doc/aclocal.m4 doc/configure libc/aclocal.m4
          libc/configure libc/include/%redact libc/machine/aclocal.m4
          libc/machine/configure libc/machine/a29k/aclocal.m4
          libc/machine/a29k/configure libc/machine/arm/aclocal.m4
          libc/machine/arm/configure libc/machine/d10v/aclocal.m4
          libc/machine/d10v/configure libc/machine/d30v/aclocal.m4
          libc/machine/d30v/configure libc/machine/fr30/aclocal.m4
          libc/machine/fr30/configure libc/machine/frv/aclocal.m4
          libc/machine/frv/configure libc/machine/h8300/aclocal.m4
          libc/machine/h8300/configure libc/machine/h8500/aclocal.m4
          libc/machine/h8500/configure libc/machine/hppa/aclocal.m4
          libc/machine/hppa/configure libc/machine/i386/aclocal.m4
          libc/machine/i386/configure libc/machine/i960/aclocal.m4
          libc/machine/i960/configure libc/machine/m32r/aclocal.m4
          libc/machine/m32r/configure libc/machine/m68hc11/aclocal.m4
          libc/machine/m68hc11/configure libc/machine/m68k/aclocal.m4
          libc/machine/m68k/configure libc/machine/m88k/aclocal.m4
          libc/machine/m88k/configure libc/machine/mips/aclocal.m4
          libc/machine/mips/configure libc/machine/mn10200/aclocal.m4
          libc/machine/mn10200/configure libc/machine/mn10300/aclocal.m4
          libc/machine/mn10300/configure libc/machine/necv70/aclocal.m4
          libc/machine/necv70/configure libc/machine/powerpc/aclocal.m4
          libc/machine/powerpc/configure libc/machine/sh/aclocal.m4
          libc/machine/sh/configure libc/machine/sparc/aclocal.m4
          libc/machine/sparc/configure libc/machine/tic80/aclocal.m4
          libc/machine/tic80/configure libc/machine/v850/aclocal.m4
          libc/machine/v850/configure libc/machine/w65/aclocal.m4
          libc/machine/w65/configure libc/machine/xscale/aclocal.m4
          libc/machine/xscale/configure
          libc/machine/xstormy16/aclocal.m4
          libc/machine/xstormy16/configure libc/machine/z8k/aclocal.m4
          libc/machine/z8k/configure libc/sys/aclocal.m4
          libc/sys/configure libc/sys/a29khif/aclocal.m4
          libc/sys/a29khif/configure libc/sys/arc/aclocal.m4
          libc/sys/arc/configure libc/sys/arm/aclocal.m4
          libc/sys/arm/configure libc/sys/cygwin/aclocal.m4
          libc/sys/cygwin/configure libc/sys/d10v/aclocal.m4
          libc/sys/d10v/configure libc/sys/decstation/aclocal.m4
          libc/sys/decstation/configure libc/sys/go32/aclocal.m4
          libc/sys/go32/configure libc/sys/h8300hms/aclocal.m4
          libc/sys/h8300hms/configure libc/sys/h8500hms/aclocal.m4
          libc/sys/h8500hms/configure libc/sys/idt/aclocal.m4
          libc/sys/idt/configure libc/sys/linux/aclocal.m4
          libc/sys/linux/configure libc/sys/linux/include/%redact
          libc/sys/linux/machine/aclocal.m4
          libc/sys/linux/machine/configure
          libc/sys/linux/machine/i386/aclocal.m4
          libc/sys/linux/machine/i386/configure
          libc/sys/m88kbug/aclocal.m4 libc/sys/m88kbug/configure
          libc/sys/mmixware/aclocal.m4 libc/sys/mmixware/configure
          libc/sys/netware/aclocal.m4 libc/sys/netware/configure
          libc/sys/rtems/aclocal.m4 libc/sys/rtems/configure
          libc/sys/sh/aclocal.m4 libc/sys/sh/configure
          libc/sys/sparc64/aclocal.m4 libc/sys/sparc64/configure
          libc/sys/sun4/aclocal.m4 libc/sys/sun4/configure
          libc/sys/sysmec/aclocal.m4 libc/sys/sysmec/configure
          libc/sys/sysnec810/aclocal.m4 libc/sys/sysnec810/configure
          libc/sys/sysnecv850/aclocal.m4 libc/sys/sysnecv850/configure
          libc/sys/sysvi386/aclocal.m4 libc/sys/sysvi386/configure
          libc/sys/sysvnecv70/aclocal.m4 libc/sys/sysvnecv70/configure
          libc/sys/tic80/aclocal.m4 libc/sys/tic80/configure
          libc/sys/w65/aclocal.m4 libc/sys/w65/configure
          libc/sys/z8ksim/aclocal.m4 libc/sys/z8ksim/configure
          libm/aclocal.m4 libm/configure: Regenerated.

2002-09-09  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/sys/linux/machine/i386/crt0.c (_start): Remove
        code that clears the .bss section.

2002-09-09  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/include/sys/_types.h (_mbstate_t): Changed to use
        unsigned char internally.
        * libc/sys/linux/sys/_types.h: Ditto.
        * libc/include/sys/reent.h
        * libc/stdlib/mblen.c (mblen): Use function-specific state
        value from default reentrancy structure.
        * libc/stdlib/mblen_r.c (_mblen_r):  If return code from
        _mbtowc_r is less than 0, reset state __count value and
        return -1.
        * libc/stdlib/mbrlen.c (mbrlen): If the input state pointer
        is NULL, use the function-specific pointer provided in the
        default reentrancy structure.
        * libc/stdlib/mbrtowc.c: Add reentrant form of function.
        If input state pointer is NULL, use function-specific area
        provided in reentrancy structure.
        * libc/stdlib/mbsrtowcs.c: Ditto.
        * libc/stdlib/wcrtomb.c: Ditto.
        * libc/stdlib/wcsrtombs.c: Ditto.
        * libc/stdlib/mbstowcs.c: Reformat.
        * libc/stdlib/wcstombs.c: Ditto.
        * libc/stdlib/mbstowcs_r.c (_mbstowcs_r): If an error occurs,
        reset the state's __count value and return -1.
        * libc/stdlib/mbtowc.c: Ditto.
        * libc/stdlib/mbtowc_r.c (_mbtowc_r): Add restartable functionality.
        If number of bytes is used up before completing a valid multibyte
        character, return -2 and save the state.
        * libc/stdlib/wctomb_r.c (_wctomb_r): Define __state as __count
        and change some __count references to __state for clarity.

2002-09-06  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/config.h (MB_LEN_MAX): Removed as this
	is defined by <limits.h>.

2002-09-05  Kazuhiro Fujieda  <fujieda@jaist.ac.jp>

	* libc/include/wchar.h (WCHAR_MAX): Only define if not already
	defined.

2002-09-04  Kazuhiro Fujieda  <fujieda@jaist.ac.jp>

        * libc/include/sys/config.h: Define accordingly __WCHAR_MAX__.
        * libc/include/wchar.h: Define WCHAR_MIN as 0 and WCHAR_MAX as
        __WCHAR_MAX__ or 0x7fffffffu.
        * libc/string/wcscmp.c: Delete wrong and unnecessary type cast.
        * libc/string/wcsncmp.c: Ditto.

2002-09-03  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/string/wcschr.c: Add include of <stddef.h>.
	* libc/string/wcspbrk.c: Ditto.
	* libc/string/wcsrchr.c: Ditto.
	* libc/string/wcsstr.c: Ditto.

2002-09-03  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/include/sys/_types.h (_flock_t): Added.
        * libc/include/sys/lock.h (__lock_try_acquire): New interface.
        (__lock_try_acquire_recursive): Ditto.
        * libc/include/sys/reent.h (__sFILE, __sFILE64): Add new
        _lock field.
        * libc/stdio/findfp.c (std)[!__SINGLE_THREAD__]: Initialize _lock
        field.
        * libc/stdio/fopen.c (_fopen_r)[!__SINGLE_THREAD__]: Ditto.
        * libc/stdio64/fopen64.c (_fopen64_r)[!__SINGLE_THREAD__]: Ditto.
        * libc/sys/linux/include/time.h (struct timespec): Moved from
        <sys/types.h> and added check for __need_timespec flag so type
        can be defined by itself.
        * libc/sys/linux/sys/_types.h (_flock_t): New type.
        * libc/sys/linux/sys/types.h (struct timespec): Moved to
        <time.h>.

2002-08-29  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* libc/sys/linux/argp: New directory.
	* libc/sys/linux/getopt.c: New file.
	* libc/sys/linux/getopt1.c: New file.
	* libc/sys/linux/getoptlong.c: Remove file.
	* libc/sys/linux/include/argp.h: New file.
	* libc/sys/linux/Makefile.am: Define argp_dir and ARGP_LIB,
	based on ELIX level.
	(SUBDIRS): Add argp_dir.
	(SUBLIBS): Add ARGP_LIB.
	(ELIX_2_OBJS): Add getopt.$(oext), getopt1.$(oext), remove
	getopt_long.$(oext).
	* libc/sys/linux/configure.in (AC_OUTPUT): Add argp/Makefile.

2002-08-29  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/libc.texinfo: Add node reference to wide-character strings.
        * libc/string/wcstrings.tex: New file.
	* libc/string/strtok_r.c: Remove outdated advertising clause.
        * libc/string/Makefile.am (doc): Add wide-character string
        chapter to documentation.
        * libc/string/Makefile.in: Regenerated.

2002-08-29  Kazuhiro Fujieda  <fujieda@jaist.ac.jp>

        * libc/include/wchar.h: Define NULL. Define WEOF more general
        way. Declare functions in newlib manner.
        * libc/stdlib/Makefile.am: Delete wmem*.c
        * libc/stdlib/Makefile.in: Regenerated.
        * libc/stdlib/wmemchr.c: Delete.
        * libc/stdlib/wmemcmp.c: Ditto.
        * libc/stdlib/wmemcpy.c: Ditto.
        * libc/stdlib/wmemmove.c: Ditto.
        * libc/stdlib/wmemset.c: Ditto.
        * libc/string/Makefile.am: Add wmem*.c and wcs*.c.
        * libc/string/Makefile.in: Regenerated.
        * libc/string/wcscat.c: New file derived from the NetBSD C Library.
        * libc/string/wcschr.c: Ditto.
        * libc/string/wcscmp.c: Ditto.
        * libc/string/wcscpy.c: Ditto.
        * libc/string/wcscspn.c: Ditto.
        * libc/string/wcslcat.c: Ditto.
        * libc/string/wcslcpy.c: Ditto.
        * libc/string/wcslen.c: Ditto.
        * libc/string/wcsncat.c: Ditto.
        * libc/string/wcsncmp.c: Ditto.
        * libc/string/wcsncpy.c: Ditto.
        * libc/string/wcspbrk.c: Ditto.
        * libc/string/wcsrchr.c: Ditto.
        * libc/string/wcsspn.c: Ditto.
        * libc/string/wcsstr.c: Ditto.
        * libc/string/wmemchr.c: Ditto.
        * libc/string/wmemcmp.c: Ditto.
        * libc/string/wmemcpy.c: Ditto.
        * libc/string/wmemmove.c: Ditto.
        * libc/string/wmemset.c: Ditto.

2002-08-29  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/locale/locale.c (_setlocale_r)[MB_CAPABLE]: Fix so
        default locale "" is accepted for LC_CTYPE or LC_MESSAGES
        and is treated as if "C" was specified.

2002-08-28  Jeff Johnston  <jjohnstn@redhat.com>

        * Makefile.am (install-data-local): Move install of build
        newlib.h after installing headers in libc/include so as to
        overwrite default newlib.h.
        * Makefile.in: Regenerated.

2002-08-28  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/include/newlib.h: New file for tools that use newlib
        headers but don't build newlib first (e.g. gcc).

2002-08-28  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/stdlib/wmemchr.c: Explicitly include <_ansi.h>.
	* libc/stdlib/wmemcmp.c: Ditto.
	* libc/stdlib/wmemcpy.c: Ditto.
	* libc/stdlib/wmemmove.c: Ditto.
	* libc/stdlib/wmemset.c: Ditto.

2002-08-27  Egor Duda  <deo@logos-m.ru>

	* libc/stdlib/wmemchr.c: New file.
	* libc/stdlib/wmemcmp.c: Ditto.
	* libc/stdlib/wmemcpy.c: Ditto.
	* libc/stdlib/wmemmove.c: Ditto.
	* libc/stdlib/wmemset.c: Ditto.
	* libc/stdlib/Makefile.am (GENERAL_SOURCES): Add new files.
	* configure.host: Default -DMB_CAPABLE for cygwin.
	* libc/include/wchar.h: Declare wmemchr(), wmemcmp(), wmemcpy(),
	wmemmove() and wmemset().  Add include of <_ansi.h>.
	* libc/stdlib/Makefile.in: Regenerate.

2002-08-27  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Remove _ELIX_LEVEL flag setting.
	* Makefile.am(stmp-targ-include): Copy newlib.h to targ-include.
	(install-data-local): Install newlib.h.
	* Makefile.in: Regenerated.
	* aclocal.m4: Ditto.
	* configure: Ditto.
	* configure.in: Add AM_CONFIG_HEADER to generate newlib.h based on 
	newlib.hin.  Add AC_DEFINE_UNQUOTED entries for _ELIX_LEVEL
	and _NEWLIB_VERSION to fill in newlib.h header file entries.
	In AC_OUTPUT statement, unset ac_file so multilib support does
	not use last ac_file temporary used in newlib.h configuration.
	* libc/include/_ansi.h: Include <newlib.h>.
	* newlib.hin: New template file for newlib.h.
	* stamp-h.in: New file.

2002-08-26  Wu Yongwei <adah@netstd.com>

        * time.h (timezonevar): Change "#if" to "#ifdef".

2002-08-26  Jeff Johnston  <jjohnstn@redhat.com>

	* Makefile.am(LIBC_OBJECTLISTS): Add STDIO64_OBJECTLIST.
	* Makefile.in: Regenerated.
	* acinclude.m4: Add support for --enable-newlib-elix-level option.
	* aclocal.m4: Regenerated.
	* configure: Ditto.
	* configure.host: Add code to define _ELIX_LEVEL if
	--enable-newlib-elix-level option is used.
	* configure.in: 
	* libc/aclocal.m4: Regenerated.
	* libc/configure: Ditto.
	* libc/argz/Makefile.am: Add EL/IX level checking.
	* libc/argz/Makefile.in: Regenerated.
	* libc/argz/dummy.c: New file.
	* libc/ctype/Makefile.am: Add EL/IX level checking.
	* libc/ctype/Makefile.in: Regenerated.
	* libc/locale/Makefile.am: Add EL/IX level checking.
	* libc/locale/Makefile.in: Regenerated.
	* libc/posix/Makefile.am: Add EL/IX level checking.
	* libc/posix/Makefile.in: Regenerated.
	* libc/posix/telldir.c: Add EL/IX level checking.
	* libc/reent/Makefile.am: Ditto.
	* libc/reent/fstat64r.c: Ditto.
	* libc/reent/lseek64r.c: Ditto.
	* libc/reent/open64r.c: Ditto.
	* libc/reent/Makefile.in: Regenerated.
	* libc/search/Makefile.am: Add EL/IX level checking.
	* libc/search/Makefile.in: Regenerated.
	* libc/stdio/Makefile.am: Add EL/IX level checking.
	* libc/stdio/Makefile.in: Regenerated.
	* libc/stdio64/Makefile.am: Add EL/IX level checking.
	* libc/stdio64/Makefile.in: Regenerated.
	* libc/stdio64/dummy.c: New file.
	* libc/stdio64/fgetpos64.c: Fix so _LARGE64_FILES macro is checked
	after first include.
	* libc/stdio64/fopen64.c: Ditto.
	* libc/stdio64/freopen64.c: Ditto.
	* libc/stdio64/fseeko64.c: Ditto.
	* libc/stdio64/fsetpos64.c: Ditto.
	* libc/stdio64/ftello64.c: Ditto.
	* libc/stdio64/tmpfile64.c: Ditto.
	* libc/stdlib/Makefile.am: Add EL/IX level checking.
	* libc/stdlib/Makefile.in: Regenerated.
	* libc/stdlib/mstats.c: Add EL/IX level checking.
	* libc/string/Makefile.am: Ditto.
	* libc/string/Makefile.in: Regenerated.
	* libc/sys/linux/Makefile.am: Add EL/IX level checking.
	* libc/sys/linux/Makefile.in: Regenerated.
	* libc/sys/linux/aclocal.m4: Ditto.
	* libc/sys/linux/configure: Ditto.
	* libc/sys/linux/aio.c: Add EL/IX level checking.
	* libc/sys/linux/ftok.c: Ditto.
	* libc/sys/linux/getdate.c: Ditto.
	* libc/sys/linux/ids.c: Ditto.
	* libc/sys/linux/inode.c: Ditto.
	* libc/sys/linux/io.c: Ditto.
	* libc/sys/linux/process.c: Ditto.
	* libc/sys/linux/resource.c: Ditto.
	* libc/sys/linux/sched.c: Ditto.
	* libc/sys/linux/sig.c: Ditto.
	* libc/sys/linux/termios.c: Ditto.
	* libc/sys/linux/wait.c: Ditto plus add __waitpid and
	__libc___waitpid weak aliases.
	* libc/sys/linux/machine/i386/syscall.h: Add new _base macros
	that generate the code for a syscall, but do not create a
	weak alias.
	* libc/syscalls/Makefile.am: Add EL/IX level checking.
	* libc/syscalls/Makefile.in: Regenerated.
	* libc/time/tzset_r.c: Change to replace strdup with equivalent
	functionality.
	* libc/unix/Makefile.am: Add EL/IX level checking.
	* libc/unix/Makefile.in: Regenerated.

2002-08-26  Christopher Faylor  <cgf@redhat.com>

	* libc/include/malloc.h: On cygwin, define malloc _r functions as
	wrapper macros to standard malloc functions.
	* libc/include/stdlib.h: Ditto.
	* configure.host: Always define MALLOC_PROVIDED on cygwin.

2002-08-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* libc/include/langinfo.h: New file.
	* libc/include/wchar.h: Likewise.
	* libc/include/sys/syslimits.h: Likewise.
	* libc/locale/fix_grouping.c: Likewise.
	* libc/locale/ldpart.c: Likewise.
	* libc/locale/ldpart.h: Likewise.
	* libc/locale/lmessages.c: Likewise.
	* libc/locale/lmessages.h: Likewise.
	* libc/locale/lmonetary.c: Likewise.
	* libc/locale/lmonetary.h: Likewise.
	* libc/locale/lnumeric.c: Likewise.
	* libc/locale/lnumeric.h: Likewise.
	* libc/locale/nl_langinfo.3: Likewise.
	* libc/locale/nl_langinfo.c: Likewise.
	* libc/locale/timelocal.c: Likewise.
	* libc/locale/timelocal.h: Likewise.
	* libc/stdlib/btowc.c: Likewise.
	* libc/stdlib/mbrlen.c: Likewise.
	* libc/stdlib/mbrtowc.c: Likewise.
	* libc/stdlib/mbsinit.c: Likewise.
	* libc/stdlib/mbsrtowcs.c: Likewise.
	* libc/stdlib/wcrtomb.c: Likewise.
	* libc/stdlib/wcsrtombs.c: Likewise.
	* libc/stdlib/wctob.c: Likewise.
	* libc/sys/linux/prof-freq.c: Likewise.
	* libc/sys/linux/profile.c: Likewise.
	* libc/sys/linux/machine/i386/dl-procinfo.c: Likewise.
	* libc/sys/linux/machine/i386/dl-procinfo.h: Likewise.
	* libc/include/stdlib.h: Change re-entrant functions to take
	mbstate_t pointers.
	* libc/include/sys/_types.h: Define _mbstate_t.
	* libc/include/sys/config.h (MB_LEN_MAX): New macro.
	* libc/include/sys/errno.h (EILSEQ): New error code.
	* libc/include/sys/reent.h: Include wchar.h.  Change reentrant
	structure to use mbstate_t.
	* libc/locale/Makefile.am (LIB_SOURCES): Add new files.
	* libc/machine/powerpc/vfprintf.c: Use mbstate_t.
	* libc/machine/powerpc/vfscanf.c: Likewise.
	* libc/stdio/getdelim.c: Reallocate buffer only when necessary.
	* libc/stdio/vfprintf.c: Likewise.
	* libc/stdio/vfscanf.c: Likewise.
	* libc/stdlib/Makefile.am (LIB_SOURCES): Add new files.
	* libc/stdlib/mblen.c: Use mbstate_t.
	* libc/stdlib/mblen_r.c: Likewise.
	* libc/stdlib/mbstowcs.c: Likewise.
	* libc/stdlib/mbstowcs_r.c: Likewise.
	* libc/stdlib/mbtowc.c: Likewise.
	* libc/stdlib/mbtowc_r.c: Likewise.
	* libc/stdlib/wcstombs.c: Likewise.
	* libc/stdlib/wcstombs_r.c: Likewise.
	* libc/stdlib/wctomb_r.c: Likewise.
	* libc/sys/linux/Makefile.am (LIB_SOURCES): Add prof-freq.c and
	profile.c.
	* libc/sys/linux/machine/i386/Makefile.am (LIB_SOURCES): Add
	dl-procinfo.c.
	* libc/sys/linux/sys/errno.h (EILSEQ): New error code.
	* libc/sys/linux/sys/types.h (off_t): Define type.
	* testsuite/newlib.locale/UTF-8.c: Change locale name from UTF-8
	to C-UTF-8.
	* testsuite/newlib.locale/UTF-8.exp: Likewise.

2002-08-20  Casper S. Hornstrup  <chorns@users.sourceforge.net>

        * libc/stdlib/mallocr.c: #include windows.h on Win32.
          (AlignPage): Continue macro on next line.

2002-08-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/include/pthread.h: New file.

2002-08-19  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/include/sys/types.h: Support __need_inttypes macro
	that only sets the __intxx and __uintxx types.  
	* libc/machine/powerpc/Makefile.am: Add stdlib to include directories
	to get mprec.h.
	* libc/machine/powerpc/Makefile.in: Regenerated.
	* libc/machine/powerpc/vfprintf.c: Fix state variable type.
	* libc/machine/powerpc/vfscanf.c: Fix state variable type.  Remove
	redundant fixed-point conversion prototypes.
	* libc/machine/powerpc/machine/stdlib.h[__SPE__]: Include <sys/types.h>
	after setting __need_inttypes.

2002-08-18  Christopher Faylor  <cgf@redhat.com>

	* libc/include/sys/unistd.h: Add getsid declaration for cygwin.

2002-08-17  Jeff Johnston  <jjohnstn@redhat.com>

        * libc/include/sys/config.h[__PPC__][__SPE__]: Set
        _LONG_DOUBLE to double.

2002-08-17  Jeff Johnston  <jjohnstn@redhat.com>

	* configure.host: Add powerpc*-*-eabispe* configuration.
	* libc/machine/powerpc/atosfix16.c: New fixed-point conversion file.
	* libc/machine/powerpc/atosfix32.c: Ditto.
	* libc/machine/powerpc/atosfix64.c: Ditto.
	* libc/machine/powerpc/atoufix16.c: Ditto.
	* libc/machine/powerpc/atoufix32.c: Ditto.
	* libc/machine/powerpc/atoufix64.c: Ditto.
	* libc/machine/powerpc/fix64.h: Ditto.
	* libc/machine/powerpc/simdldtoa.c: Ditto.
	* libc/machine/powerpc/strtosfix16.c: Ditto.
	* libc/machine/powerpc/strtosfix32.c: Ditto.
	* libc/machine/powerpc/strtosfix64.c: Ditto.
	* libc/machine/powerpc/strtoufix16.c: Ditto.
	* libc/machine/powerpc/strtoufix32.c: Ditto.
	* libc/machine/powerpc/strtoufix64.c: Ditto.
	* libc/machine/powerpc/ufix64toa.c: Ditto.
	* libc/machine/powerpc/configure.in: Add check for
	powerpc*-eabispe and add fixed-point conversion functions.
	* libc/machine/powerpc/configure: Regenerated.
	* libc/machine/powerpc/vfprintf.c[__SPE__]: Add support for
	%r and %R format specifiers which handle fixed-point data.
	* libc/machine/powerpc/vfscanf.c[__SPE__]: Ditto.
	* libc/machine/powerpc/machine/stdlib.h[__SPE__]: Add fixed-point
	function prototypes.

2002-08-17  Jeff Johnston  <jjohnstn@redhat.com>

	*  Makefile.am: Move cmath stuff into libc/sys/linux.
	*  Makefile.in: Regenerated.
	*  configure.host: Default -DMB_CAPABLE for x86-linux.
	*  libc/include/reent.h: Define _sbrk to take signed int argument.
	*  libc/include/sys/unistd.h: Ditto for _sbrk_r and sbrk.
	*  libc/locale/locale.c[MB_CAPABLE]: Add LC_MESSAGES support and 
	make locale name checking more efficient.  Also allow "C-ISO-8859-1" 
	locale for LC_CTYPE and LC_MESSAGES.
	*  libc/reent/sbrkr.c: Change prototype to take ptrdiff_t.
	*  libc/sys/linux/brk.c: Change sbrk prototype.
	*  libc/sys/linux/include/time.h: Remove Cygwin stuff and
	include <sys/features.h>.
	(CLOCK_THREAD_CPUTIME): Renamed to CLOCK_THREAD_CPUTIME_ID.
	(CLOCK_PROCESS_CPUTIME): Renamed to CLOCK_PROCESS_CPUTIME_ID.
	*  libc/sys/linux/sys/cdefs.h: Replace with glibc sys/cdefs.h
	with a few local additions.
	*  libc/sys/linux/sys/features.h: New file.
	*  libc/sys/linux/sys/unistd.h: Change _sbrk_r and sbrk prototypes
	to take signed argument.
	*  libc/syscalls/syssbrk.c: Change sbrk, _sbrk_r, and _sbrk
	prototypes to take signed size argument.

2002-08-16  Thomas Fitzsimmons  <fitzsim@redhat.com>

	* libc/sys/linux/cmath: New directory.
	* libc/sys/linux/include/cmathcalls.h: New file.
	* libc/sys/linux/include/complex.h: New file.
	* libc/sys/linux/machine/i386/huge_val.h: New file
	* libm/math/w_sincos.c: New file
	* libm/math/wf_sincos.c: New file
	* libm/mathfp/s_sincos.c: New file
	* libm/mathfp/sf_sincos.c: New file
	* Makefile.am (LIBC_OBJECTLISTS): Add cmath/objectlist.awk.in.
	* libc/include/math.h: Add sincos and sincosf declarations.
	* libc/sys/linux/Makefile.am (SUBDIRS): Add cmath.
	(SUBLIBS): Likewise.
	* libc/sys/linux/configure.in (AC_OUTPUT): Add cmath.
	* libm/math/Makefile.am (src): Add w_sincos.c.
	(fsrc): Add wf_sincos.c.
	* libm/mathfp/Makefile.am (src): Add s_sincos.c
	(fsrc): Add sf_sincos.c.

2002-08-12  Jeff Johnston  <jjohnstn@redhat.com>

	* libc/sys/linux/machine/i386/crt0.c (__bss_start,_end):
	Declare as extern chars and use the address operator to
	properly use values set in linker script.

2002-08-09  Jason Tishler  <jason@tishler.net>

	* libc/stdlib/mallocr.c: Include <limits.h>.
